var info =
{
"pages":
[
["EMA_RDM_Usage_Guide\u002FChap_API_Intro.01.01.html","1.1 About this Manual","This manual describes how the Domain Models are defined in terms of the Open Message Model. Data conforming to Domain Models are available via LSEG Real-Time Distribution System, LSEG Real-Time, and Data Feed Direct (LDF-D) using the Enterprise Message API. ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair1.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_API_Intro.01.02.html","1.2 Audience","This guide is written for software developers who are familiar with the Enterprise Message API and want to develop Enterprise Message API-based applications to access Domain Model-formatted data. Before reading this manual: \u2022 Users should be familiar with Open Message Model concepts and types. \u2022 It ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_API_Intro.01.03.html","1.3 Open Message Model","The Open Message Model is a collection of message header and data constructs. Some Open Message Model message header constructs, such as the Update message, have implicit market logic associated with them while others, such as the Generic message, allow for free-flowing bi-directional messaging. Ope...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_API_Intro.01.04.html","1.4 Rssl Wire Format","Rssl Wire Format is the encoded representation of the Open Message Model. Rssl Wire Format is a highly-optimized, binary format designed to reduce the cost of data distribution as compared to previous wire formats. Binary encoding represents data in the machine\u2019s native manner, enabling further use ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair4.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_API_Intro.01.05.html","1.5 JSON","As of RTSDK 2.0.1.L1, the Enterprise Message API supports WebSocket protocols including rssl.json.v2 and tr_json2 (though LSEG intends to deprecate tr_json2 at some time in the future). For further details on WebSocket domain models, refer to the WebSockets API protocol specification on GitHub at ht...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair5.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_API_Intro.01.06.html","1.6 References","For additional Enterprise Message API documentation, refer to: \u2022 The Enterprise Message API C++ Edition Developers Guide \u2022 The Enterprise Message API C++ Edition Reference Guide \u2022 The LSEG Developer Community ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair6.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_API_Intro.01.07.html","1.7 Documentation Feedback","While we make every effort to ensure the documentation is accurate and up-to-date, if you notice any errors, or would like to see more details on a particular topic, you have the following options: \u2022 Send us your comments via email at ProductDocumentation@lseg.com. \u2022 Mark up the PDF using the Commen...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair7.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_API_Intro.01.08.html","1.8 Conventions","","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair8.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_API_Intro.01.09.html","1.8.1 Typographic","The Enterprise Message API uses the following typographical conventions: \u2022 The Domain Models are described in terms of Open Message Model concepts. Images and XML example layouts are provided as a reference in relevant sections. \u2022 In-line structures, functions, and types are shown in orange, Lucida ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair9.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_API_Intro.01.10.html","1.8.2 General Transport API Syntax","The Enterprise Message API uses the following general API syntax conventions: \u2022 Dot-separated notation indicates data available within a hierarchy. Each period can indicate a structure, a data memberName, an entry, or an element name. \u2022 StreamID values are assigned by the application and used across...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair10.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_API_Intro.01.11.html","1.8.3 Definitions and Standard Behaviors","This Enterprise Message API manual uses the following terms and the API illustrates the following default behavior: \u2022 Not Used means the attribute is not extensible; the Enterprise Message API may pass-on the information, however there is no guarantee that the data will be passed through the network...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair11.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_API_Intro.01.12.html","1.9 Acronyms and Abbreviations","Table 1: Acronyms and Abbreviations \u00A0 ACRONYM DEFINITION ADH LSEG Real-Time Advanced Distribution Hub ADS LSEG Real-Time Advanced Distribution Server API Application Programming Interface ASCII American Standard Code for Information Interchange ATS LSEG Real-Time Advanced Transformation Server DACS ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair12.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Domain_Model_Overview.02.01.html","2.1 What is a Domain Message Model?","A Domain Message Model describes a specific arrangement of Open Message Model message and data constructs. A domain message model will define any specialized behaviors associated with the domain or any specific meaning or semantics associated with data contained in the message. Unless a domain model...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair1_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Domain_Model_Overview.02.02.html","2.2 Domain Models Vs User-Defined Models","2.2.1 Domain Models A Domain Model is a domain message model typically provided or consumed by an LSEG product, such as the LSEG Real-Time Distribution System, Data Feed Direct, or the Delivery Platform. Some currently-defined Domain Models allow for authenticating to a provider (e.g. Login), exchan...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair2_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Domain_Model_Overview.02.03.html","2.2.2 User-Defined Domain Model","A User Defined Domain Model is a domain message model defined by a party other than LSEG. These may be defined to solve a specific user or system need in a particular deployment which is not resolvable through the use of a Domain Model. Any user-defined model must use a domain value between 128 and ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair3_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Domain_Model_Overview.02.04.html","2.2.3 Domain Message Model Creation","This document discusses Domain Models capable of flowing through the Enterprise Message API. Enterprise Message API users can leverage the Open Message Model to create their own Domain Message Models in addition to those described in this document. When defining a Domain Message Model, consider the ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair4_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Domain_Model_Overview.02.05.html","2.3 Message Concepts","The following table describes the mapping of Open Message Model concepts with actual interfaces. For clarity and consistency, the Message concept will be referenced throughout the rest of this Domain Model Usage Guide.  Table 3: Message Concepts \u00A0 MESSAGE CONCEPT DESCRIPTION\u002FVALUE Request Message Re...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair5_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Domain_Model_Overview.02.06.html","2.4 Consumer \u002F Interactive Provider Initial Interaction","An Open Message Model consumer application can connects to Open Message Model interactive provider applications, including the LSEG Real-Time Distribution System, Data Feed Direct, and the Delivery Platform. This interaction first requires an exchange of login messages between the consumer and provi...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair6_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Domain_Model_Overview.02.07.html","2.5 Sending and Receiving Content","Use of non-administrative domains generally follows a specific sequence: \u2022 The consumer sends a ReqMsg containing the name of an item it is interested in. \u2022 The provider first responds with a RefreshMsg to bring the consumer up to date with all currently available information. \u2022 As data changes, the...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair7_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Domain_Model_Overview.02.08.html","2.6 General Enterprise Message API Concepts","Many domains share a set of common behaviors for handling data. If a specific behavior is not supported on a domain, this should be specified in that domains detailed description. This section briefly defines these concepts; the Enterprise Message API C++ Edition Developers Guide describes them in g...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair8_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Domain_Model_Overview.02.09.html","2.6.1 Snapshot and Streaming Requests","Many domains generally support issuing a request message with or without setting the ReqMsg.InterestAfterRefresh flag. When the flag is set, the request is known as a \u201Cstreaming\u201D request, meaning that the refresh will be followed by updates. When a snapshot request is made, the refresh should have a...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair9_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Domain_Model_Overview.02.10.html","2.6.2 Reissue Requests and Pause\u002FResume","A consumer application can request a new refresh and change certain parameters on an already requested stream. To do so, the application sends a subsequent ReqMsg on the same stream. This is known as a reissue. A reissue changes the priority of a stream and pauses or resumes data flow. \u2022 To pause st...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair10_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Domain_Model_Overview.02.11.html","2.6.3 Clearing the Cache on Refreshes","If you perform a refresh, you might need to clear the cache. To clear the cache, call RefreshMsg.ClearCache with a value of true. For further details on using the clear cache flag, refer to the Enterprise Message API C++ Edition Reference Guide.   RefreshMsg().clearCache(true);  When clearing a cach...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair11_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Domain_Model_Overview.02.12.html","2.6.4 Dynamic View","A dynamic view allows a consumer application to specify a subset of data content in which it is interested. A providing application can choose to supply only this requested subset of content across all response messages. This filtering results in reduced data flow across the connection. View use can...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair12_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Domain_Model_Overview.02.13.html","2.6.5 Batch Request","A batch request allows a consumer application to indicate interest in multiple like-item streams with a single ReqMsg. A providing application should respond by providing a status on the batch request stream itself and with new individual item streams for each item requested in the batch. Batch requ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair13.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Domain_Model_Overview.02.14.html","2.6.6 Posting","Posting offers an easy way for an Open Message Model consumer application to publish content to upstream components which can then provide the information. This can be done off-stream using the Login domain or on-stream using any other non-administrative domain. Use PostMsg to post content to the sy...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair14.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.01.html","3.1 Description","The Login domain registers a user with the system, after which the user can request or post Domain Model content. A Login request can also be used to authenticate a user with the system. \u2022 A consumer application must log into the system before it can request or post content. \u2022 A non-interactive prov...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair1_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.02.html","3.2 Usage","3.2.1 Login Request Message A Login request message is encoded and sent by Open Message Model consumer and Open Message Model non-interactive provider applications internally in the constructor of this class. This message registers a user with the system. After receiving a successful login response,...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair2_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.03.html","3.2.2 Login Request Elements","You can use the Login Attrib elements to send additional authentication information and user preferences between components. The ReqMsg.Attrib is an ElementList. The predefined elements available on a Login Request are shown in the following table.  Table 6: Login Request Attrib Elements \u00A0 ELEMENT N...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair3_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.04.html","3.2.3 Login Request Domain Representation","The Domain Representation of the Login Request Message is an easy-to-use object which can set up and return an encoded Open Message Model Login Request Message without extensive effort. You can find this object in Enterprise Message API\u2019s Login package.   OmmConsumerConfig ommConsumerConfig;  ommCon...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair4_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.05.html","3.2.4 Login Refresh Message","A Login refresh message is encoded using RefreshMsg and sent by Open Message Model interactive provider applications. This message is used to respond to a Login Request message after the user\u2019s Login is accepted. An Open Message Model provider can use the Login request information to authenticate us...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair5_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.06.html","3.2.5 Login Refresh Elements","The Login Attrib can be used to send additional authentication information and user preferences between components. The ReqMsg.Attrib is an ElementList, which can contain any of the following predefined elements (none of which are required):  Table 8: Login Refresh Attrib Elements \u00A0 ELEMENT NAME DAT...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair6_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.07.html","3.2.6 Login Refresh Domain Representation","The Domain Representation of the Login Refresh Message is an easy-to-use object which can set up and return an encoded Open Message Model Login Refresh Message without extensive effort. You can find this object in Enterprise Message API\u2019s Login package.   Login::LoginRefresh loginRefresh = Login::Lo...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair7_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.08.html","3.2.7 Login Status Message","Open Message Model provider and non-interactive provider applications use the Login status message to convey state information associated with the login stream. Such state information can indicate that a login stream cannot be established or to inform a consumer of a state change associated with an ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair8_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.09.html","3.2.8 Login Status Elements","The Login Attrib can be used to send additional authentication information and user preferences between components. The ReqMsg.Attrib is an ElementList, which can contain any of the following predefined elements (none of which are required):  Table 10: Login Status Attrib Elements \u00A0 ELEMENT NAME DAT...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair9_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.10.html","3.2.9 Login Status Domain Representation","The Domain Representation of the Login Status Message is an easy-to-use object which can set up and return an encoded Open Message Model Login Status Message without extensive effort. You can find this object in Enterprise Message API\u2019s Login package.   Login::LoginStatus loginStatus = Login::LoginS...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair10_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.11.html","3.2.10 Login Update Message","Update messages are currently not used or supported on a Login stream. ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair11_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.12.html","3.2.11 Login Close Message","A Login close message is encoded and sent by Open Message Model consumer applications. This message allows a consumer to log out of the system. Closing a login stream is equivalent to a \u2018Close All\u2019 type of message, where all open streams are closed (thus all other streams associated with the user ar...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair12_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.13.html","3.2.12 Login Generic Message Use","3.2.12.1 RTT Login Generic Message A Round Trip Time (RTT) Login Generic Message exchange is initiated by the Interactive Provider application. This message must contain the Ticks count, which is set by the provider before sending the message to a consumer that supports RTT functionality. The CPU ti...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair13_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.14.html","3.2.13 Login Post Message","Open Message Model consumer applications can encode and send data for any item via Post messages on the item\u2019s Login stream. This is known as off-stream posting because items are posted without using that item\u2019s dedicated stream. Posting an item on its own dedicated stream is referred to as on-strea...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair14_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.15.html","3.2.14 Login Ack Message","Open Message Model provider applications encode and send acknowledgment messages (AckMsg) to acknowledge the receipt of Post messages. This message is used whenever a consumer is posting off-stream and asks for acknowledgments. The acknowledgment contains a positive (ACK) or negative (NACK) code. Fo...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair15.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.16.html","3.3 Data","3.3.1 Login Refresh Message Payload When a Login request message asks for connection configuration information (i.e., DownloadConnectionConfig = 1), a provider capable of supplying these details should respond with extended connection information in the RefreshMsg payload. This information can be us...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair16.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.17.html","3.3.2 Login Generic Message Payloads","3.3.2.1 Login Consumer Connection Status Message Payload The Login data structure for Payload is a Map of ASCII-> ElementList. Each key is a ServiceName. Each ElementList contains one ElementEntry.PayloadThere is no summary data and typically only one map entry that informs the provider of its warm ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair17.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.18.html","3.3.2.2 RTT Login Generic Message Payload","The RTT message payload is an ElementList, which must contain an ElementEntry with Ticks data and, optionally, ElementEntrys with latency and TCP retransmission values.   Table 16: ElementList ElementEntrys \u00A0 Element NAME Data TYPE RANGE\u002FEXAMPLE DESCRIPTION Ticks Int 0 \u2013 264 - 1 | 235634 Required. S...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair18.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.19.html","3.4 Special Semantics","3.4.1 Login Direction Login Request Messages are always sent from client to server, regardless of which is the provider and which is the consumer. Consumers send a Login Request Message to the providers they connect to, while non interactive provider send a Login Request Message to the consumer serv...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair19.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.20.html","3.4.2 Initial Login","An Enterprise Message API Consumer sends a login request to an Open Message Model Provider application on behalf of users who are using login attributes specified in OmmConsumerConfig. Users can register to get a login handle to receive a login status or use the login handle to reissue and post mess...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair20.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.21.html","3.4.3 Multiple Logins","Enterprise Message API does not support multiple logins per OmmConsumer as login stream is opened internally by Enterprise Message API. If multiple logins are needed in the applications, users need to create additional OmmConsumer instances, one per login.  Whether or not a user is authenticated dep...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair21.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.22.html","3.4.4 Group and Service Status","Group and service status messages do not apply to the Login domain. ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair22.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.23.html","3.4.5 Single Open and Allow Suspect Data Behavior","The SingleOpen and AllowSuspectData Elements that are passed via the ReqMsg. The MsgKey.Attrib can affect how state information is processed. When the provider indicates support for SingleOpen behavior, the provider should drive the recovery of item streams. If no provider support is indicated, the ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair23.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.24.html","3.5 Specific Usage: LDF Direct Login","When sending a Login Request message to an LDF Direct, the Name can be an ASCII string composed of printable characters. The Name is used for scoping some LDF Direct\u2019s configuration. The NameType must be USER_NAME. In the Attrib\u2019s ElementList, SingleOpen, AllowSuspectData, and ProvidePermissionExpre...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair24.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.25.html","3.6 Specific Usage: RDMS","When sending a Login to a Data Access Control System-enabled LSEG Real-Time Distribution System deployment, Name should be a valid username in the Data Access Control System. The Attrib containing ApplicationId and Position will also be used for Data Access Control System authorization. Name is used...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair25.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Login_Domain.03.26.html","3.7 Specific Usage: Login Credentials Update Feature","Internally Enterprise Message API stores all login credentials (e.g., user name, name type, login attributes), so it can use them later during connection recovery phase. These credentials can be changed by the application at any point in time after a connection and login is established. To change lo...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair26.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.01.html","4.1 Description","The Source Directory domain model conveys: \u2022 Information about all available services and their capabilities. This includes information about domain types supported within a service, the service\u2019s state, the quality of service, and any item group information associated with the service. Each service...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair1_4.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.02.html","4.2 Usage","4.2.1 Source Directory Request Message A Directory request message is encoded using ReqMsg with default or user-configured values and sent internally by OmmConsumer in the constructor of this class. A consumer can request information about all services by omitting ServiceName or ServiceId informatio...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair2_4.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.03.html","4.2.2 Source Directory Refresh Message","A Directory Refresh Message is encoded using a RefreshMsg and sent by Open Message Model provider and non-interactive provider applications. This message provides information about currently-known services, as well as additional details ranging from state information to provided domain types.  Table...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair3_4.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.04.html","4.2.3 Source Directory Update Message","A Source Directory Update Message is encoded using an UpdateMsg and sent by Open Message Model provider and non-interactive provider applications. An Update message can: \u2022 Indicate the addition or removal of services from the system or changes to existing services. \u2022 Convey item group status informa...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair4_4.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.05.html","4.2.4 Source Directory Status Message","A Source Directory status message is encoded using a StatusMsg and sent by both Open Message Model interactive provider and non-interactive provider applications. This message conveys state change information associated with a source directory stream. Such state information can indicate that a direc...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair5_4.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.06.html","4.2.5 Source Directory Generic Message","A Source Directory Generic message is encoded and sent by an LSEG Real-Time Advanced Distribution Hub when using a \u2018hot standby\u2019 configuration. When running in hot standby mode, the LSEG Real-Time Advanced Distribution Hub can leverage source mirroring and use a generic message to convey usage infor...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair6_4.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.07.html","4.3 Data","4.3.1 Source Directory Refresh and Update Payload A list of services is represented by a Map. Each MapEntry represents a known service and is uniquely identified by its ServiceId (i.e., its key). The information about each service is represented as a FilterList. Each FilterEntry contains one of six ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair7_4.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.08.html","4.3.1.1 Source Directory Info Filter Entry","The Info filter entry (SERVICE_INFO_FILTER, SERVICE_INFO_ID) conveys information that identifies a service and the content it can provide. This includes information about provided domain types (e.g., Market Price, Market By Order), available QoS, and the names of any dictionaries required to parse t...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair8_4.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.09.html","4.3.1.2 Source Directory State Filter Entry","The State filter entry (SERVICE_STATE_FILTER, SERVICE_STATE_ID) conveys information about the current state of a service. This information usually has some bearing on the availability of data from a service. If a service becomes temporarily unavailable or becomes available again, consumers are infor...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair9_4.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.10.html","4.3.1.3 Source Directory Group Filter Entry","The Group filter entry (SERVICE_GROUP_FILTER, SERVICE_GROUP_ID) conveys item group status and item group merge information. Every item stream is associated with an item group as defined by the ItemGroup provided with the item\u2019s RefreshMsg or StatusMsg. If some kind of change impacts all items within...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair10_4.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.11.html","4.3.1.4 Source Directory Load Filter Entry","The Load filter entry (SERVICE_LOAD_FILTER, SERVICE_LOAD_ID) conveys information about the service\u2019s workload. If multiple services can provide desired data, a consumer can use service workload information to help decide which to use. None of these elements are required, nor have a default value.  T...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair11_4.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.12.html","4.3.1.5 Source Directory Data Filter Entry","The Data filter entry (SERVICE_DATA_FILTER, SERVICE_DATA_ID) conveys information that should be applied to all items associated with the service. This is commonly used for services that provide ANSI Page-based data. These elements has do not have a default value.  Table 29: Source Directory Data Fil...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair12_4.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.13.html","4.3.1.6 Source Directory Link Filter Entry","The Link filter entry (SERVICE_LINK_FILTER, SERVICE_LINK_ID) conveys information about the upstream sources that provide data to a service. This information is represented as a Map, where each MapEntry represents one upstream source. The map entry key is the name associated with the communication li...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair13_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.14.html","4.3.2 Source Directory ConsumerStatus Generic Message Payload","NOTE: GenericMsg(s) are supported for the DIRECTORY Domain Model only for sending \u002F receiving information related to ConsumerStatus\u002FSource Mirroring Mode. The directory data structure for the ConsumerStatus message is a Map. Each MapEntry sends status to one service and is uniquely identified by Ser...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair14_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.15.html","4.4 Special Semantics","4.4.1 Multiple Streams Unlike other MessageModelTypes, two directory streams can be open with identical message key information. It is also permissible to change an open stream\u2019s filter. ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair15_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.16.html","4.4.2 Service IDs","Most Domain Model messages can be associated with a service (although Login and Directory typically are not). For better bandwidth utilization, the RSSL transport optimizes the service name into a two byte service ID. The ServiceId is only unique within a single channel. ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair16_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.17.html","4.4.3 ServiceState and AcceptingRequests","The ServiceState and AcceptingRequests elements in the State filter entry work together to indicate the ability of a particular service to provide data: \u2022 ServiceState indicates whether the source of the data is accepting requests. \u2022 AcceptingRequests indicates whether the immediate upstream provide...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair17_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.18.html","4.4.4 Service and Group Status Values","The Status elements in the State and Group FilterEntries are transient. Their values should be applied to all existing streams. The values should not be cached and should not affect any new requests. ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair18_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.19.html","4.4.4.1 Service Status","Providers can use a directory\u2019s ServiceState.Status element to efficiently change the state of all of a service\u2019s existing streams with a single message. The ServiceState.Status does not apply to requests that are currently pending a first refresh or status response (for details, refer to Section 2....","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair19_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.20.html","4.4.4.2 Group Status","The Group FilterEntry can be used to efficiently change the state of a large number of items with a single message. The Group.Status does not apply to requests that are currently pending a first refresh or status response message. Enterprise Message API consumer implementation normally fans out grou...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair20_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.21.html","4.4.5 Removing a Service","If a provider needs to remove a service from the list of known services, it should send the service\u2019s MapEntry with the action set to MapEntry.Delete. A consumer should place all open items associated with this service in the OmmState.ClosedRecover. All services associated with a Source Directory st...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair21_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.22.html","4.4.6 Automatic Request from Enterprise Message API Consumer","Enterprise Message API internal consumer implementation will always automatically request a Directory with the Filter set to SERVICE_INFO_FILTER, SERVICE_STATE_FILTER, or SERVICE_GROUP_FILTER. This ensures that Enterprise Message API can: \u2022 Map service IDs to names \u2022 Fanout SERVICE_STATE_ID.Status a...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair22_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SourceDirectory_Domain.04.23.html","4.4.7 Client Requests Non-Existing Service Directory","If the client sends a directory request without specifying service name or service ID, the directory response includes all available services. If the client specifies a service name or service ID in a directory request, it receives the directory response for just the requested service. If the reques...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair23_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.01.html","5.1 Description","NOTE: GenericMsg(s) are not supported for the Dictionary domain model. The Open Message Model can optimize bandwidth usage by reducing or removing the need to constantly communicate well-known information (e.g., names and data types associated with information in a FieldList). Using these techniques...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair1_5.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.02.html","5.2 Decoding Field List Contents with Field and Enumerated Types Dictionaries","By itself, a FieldEntry contains only the FieldId and its associated encoded value in Data. Because the Enterprise Message API internally stores pre-decoded data, an application can easily decode a FieldEntry (without cross-referencing the FieldId to the correct Field Dictionary to determine its typ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair2_5.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.03.html","5.3 Usage","5.3.1 Dictionary Request Message A dictionary request message is encoded using ReqMsg and sent internally by the OmmConsumer in the constructor of this class. The request indicates the name of the desired dictionary and how much information from that dictionary is needed. Users can configure diction...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair3_5.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.04.html","5.3.2 Dictionary Refresh Message","A Dictionary refresh message is encoded and sent by OMM Interactive and non-interactive provider applications and provides the consumer with the content of the requested dictionary. A dictionary refresh may be encoded in one or multiple parts. Table 34: Dictionary Refresh Message \u00A0 COMPONENT DESCRIP...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair4_5.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.05.html","5.3.3 Dictionary Status Message","A dictionary status message is encoded using StatusMsg and sent by Open Message Model Interactive and non-interactive provider applications. This message can indicate changes to a dictionary\u2019s version.  Table 35: Dictionary Status Message \u00A0 COMPONENT DESCRIPTION \u002F VALUE DomainType Required. MMT_DICT...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair5_5.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.06.html","5.4 Data","5.4.1 Filter While Dictionary\u2019s Filters values correlate to a bitmap, the Enterprise Message API supports only the combinations in the following table. For example, a Dictionary\u2019s Filter cannot be 0x2 or 0x6. Dictionary providers are required to support DICTIONARY_INFO and DICTIONARY_NORMAL filers. ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair6_5.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.07.html","5.4.2 Refresh Message Summary Data","A dictionary\u2019s SummaryData is an ElementList that can be used by a consumer to find out if it needs an updated dictionary or if it needs the dictionary at all. SummaryData is extensible and can include other elements.  Table 37: Dictionary Map.SummaryData \u00A0 NAME TYPE RANGE\u002FEXAMPLE DESCRIPTION Versio...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair7_5.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.08.html","5.4.3 Response Message Payload","The Response Message (refer to Section 2.3) payload can vary widely, based on its DictionaryType. The payload is typically a Series of ElementLists, but can also be XML or Opaque data. For further details on the response message payloads, refer to Section 5.5.1 and Section 5.6.1. Some DictionaryType...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair8_5.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.09.html","5.4.4 DictionaryId","The first FieldList provided for an item always has a DictionaryId. While a FieldList can be parsed without a Dictionary, to interpret the data, the FieldList\u2019s DictionaryId must be associated with a Dictionary. The DictionaryId (provided in a Dictionary response message\u2019s Payload.SummaryData) assoc...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair9_5.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.10.html","5.5 Field Dictionary","5.5.1 Field Dictionary Payload The payload of a Field Dictionary Refresh Message consists of a Series where each series entries contains a ElementList. Each SeriesEntry represents a row of information in the dictionary. The ElementList contained in each series entry provides information about an ele...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair10_5.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.11.html","5.5.2 Field Dictionary File Format","The RDMFieldDictionary file format is a plain-text table. Each row represents one field, and each column a datum about that field. Each row is separated with a line break and columns are separated by whitespace. Lines beginning with an exclamation point (!) are comments and are ignored.   !ACRONYM\u00A0\u00A0...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair11_5.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.12.html","5.5.2.1 Field Dictionary Tag Attributes","The following table describes tag attributes and indicates whether they are used when encoding the domain representation of the file.  Table 39: Field Dictionary File Tag Information \u00A0 TAG ATTRIBUTE DESCRIPTION Filename The original name of the file as created by LSEG. This typically will not match ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair12_5.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.13.html","5.5.2.2 Field Dictionary Columns","The columns in the field dictionary correspond to the ElementEntry names used while encoding and decoding the Field Dictionary:  Table 40: Field Dictionary File Column Names and ElementEntry Names \u00A0 COLUMN NAME IN FILE Rssl Wire Format ELEMENT NAME NOTES ACRONYM NAME The abbreviated name correspondi...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair13_4.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.14.html","5.5.2.3 RWFTYPE Keywords","The following keywords are supported for the RWFTYPE:  Table 41: Field Dictionary Type Keywords \u00A0 Keyword DATA TYPE ANSI_PAGEa ANSI_Page ARRAYa Array ASCII_STRING ASCII BUFFER Buffer DATE Date DATETIMEa DateTime DOUBLE Double ELEMENT_LIST, ELEM_LISTa ElementList ENUM Enum FIELD_LISTa FieldList FILTE...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair14_4.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.15.html","5.5.2.4 FIELD TYPE Keywords","The RDMFieldDictionary\u2019s RWFTYPE and RWFLEN are derived from the field dictionaries used in Marketfeed.Valid keywords for the Marketfeed Field Type are INTEGER, ALPHANUMERIC, ENUMERATED, TIME, TIME_SECONDS, DATE, or PRICE. Thee following Rssl Wire Format types and values help ensure that data is not...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair15_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.16.html","5.5.2.5 Custom FIDs","There are a couple of recommendations for custom Field IDentifiers:  Table 43: Marketfeed to Rssl Wire Format Mappings in RDMFieldDictionary \u00A0 Field Type LeNGTH RWF Type RWF LEN NOTES PRICE 17 REAL 9 Real can represent values with fractional denominators, trailing zeros, or up to 14 decimal position...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair16_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.17.html","5.5.3 Specific Usage: LDF Direct and FieldDefinition Dictionary","The FieldDefinition Dictionary provided by LDF Direct is named \u201CRWFFld\u201D. It has a DictionaryId of 1. All DataMasks are supported. DictionaryVerbose will return the same data as DictionaryNormal. The response Payload.SummaryData includes Version, Type, and DictionaryId. The RWFFld dictionary only use...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair17_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.18.html","5.6 Enumerated Types Dictionary","5.6.1 Enumerated Types Dictionary Payload The payload of an Enumerated Types Dictionary Refresh Message consists of a Series with each series entry (SeriesEntry) containing an ElementList and representing a table in the dictionary. The ElementList in each entry contains information about each Enumer...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair18_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.19.html","5.6.2 Enumerated Types Dictionary File Format","The enumtype.def file format is a plain-text set of tables. Rows are separated by lines and columns are separated by whitespace (excepting quoted strings, as illustrated in Section 5.6.1). Lines that begin with an exclamation point (!) are comments and are ignored. The file contains a set of tables,...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair19_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.20.html","5.6.2.1 Enumerated Types Dictionary File Example","! ACRONYM FID ! ------- --- BIG_FIGURE\u00A0\u00A0\u00A06207 PIPS_POS\u00A0\u00A0\u00A0\u00A0\u00A06208 ! VALUE DISPLAY MEANING ! ----- ------- ------- \u00A0\u00A0\u00A0\u00A00\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u0022INT\u0022\u00A0\u00A0\u00A0\u00A0\u00A0whole number \u00A0\u00A0\u00A0\u00A01\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00221DP\u0022\u00A0\u00A0\u00A0\u00A0\u00A01 decimal place \u00A0\u00A0\u00A0\u00A02\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00222DP\u0022\u00A0\u00A0\u00A0\u00A0\u00A02 decimal places \u00A0\u00A0\u00A0\u00A03\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00223DP\u0022\u00A0\u00A0\u00A0\u00A0\u00A03 decimal places \u00A0\u00A0\u00A0\u00A04\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00A0\u00224DP\u0022\u00A0\u00A0\u00A0\u00A0\u00A04 decimal ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair20_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.21.html","5.6.2.2 Tagged Attributes","Several tagged attributes are available at the beginning of the file. These attributes provide version information about the dictionary contained in the file and are processed while loading from a file-based dictionary. Some of this information is conveyed along with the domain model representation ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair21_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.22.html","5.6.2.3 Reference Fields Section","The first section lists all fields that use the table. These fields should have the type Enum in their corresponding Field Dictionary and have matching names.  Table 46: Rssl Wire Format EnumType Dictionary File Format Reference Fields \u00A0 NAME Rssl Wire Format ELEMENT NAME ACRONYM n\u002Fa (The name of th...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair22_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.23.html","5.6.2.4 Values Table Section","The second section lists the value of each enumerated type and its corresponding display data.  Table 47: Rssl Wire Format EnumType Dictionary File Values \u00A0 Name Rssl Wire Format Element Name Notes VALUE VALUE The unsigned, integer value corresponding to the enumerated value. DISPLAY DISPLAY Quoted ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair23_3.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.24.html","5.6.3 Specific Usage: LDF Direct and EnumTable Dictionary","The LDF Direct EnumTable Dictionary uses the name \u201CRWFEnum\u201D. It has a DictionaryId of 1 to match the RWFFld Dictionary. LDF Direct uses the standard file representation described in Section 5.5.2. The file does not include a DictionaryId or a Version number, so most existing enumtype.def parsers can...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair24_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.25.html","5.7 Special Semantics","LSEG","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair25_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.26.html","5.7.1 DictionariesProvided and DictionariesUsed","The Directory\u2019s DirectoryInfo FilterEntry (refer to Section 4.3.1.1) includes two elements related to Dictionaries: DictionariesProvided and DictionariesUsed. Both elements contain an Array of ASCII dictionary names. These names can be used in Name to request the dictionaries. To dynamically discove...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair26_2.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.27.html","5.7.2 Version Information","The version of a dictionary is normally available in Summary Data in the payload of a RefreshMsg. All available verbosities are expected to include this information. The verbosity DICTIONARY_INFO can be used to request only the version information (as the many fields in dictionaries tend to result i...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair27.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.28.html","5.7.2.1 Version Information Usage","Version information has a couple of uses: \u2022 The minor version changes whenever a dictionary adds new fields, but does not modify existing fields. This means the consumer can still use the previous dictionary with its data (though the consumer is unable to decode any new fields). Also, if the consume...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair28.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.29.html","5.7.2.2 Handling Dictionary Version Changes","To keep consumers informed of changes, LSEG recommends that dictionary requests be streaming even though updates are not used for this domain. If the dictionary\u2019s minor version changes, a provider may advertise it via a StatusMsg with a State of OmmState.Open\u002FOmmState.Suspect. The consumer may then ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair29.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.30.html","5.8 Other Dictionary Types","The Dictionary domain is intended to be used for other versionable data that updates very rarely. This section briefly describes the other reserved dictionary types. None of these dictionary types are currently used, nor is there any domain model specification associated with any of them at this tim...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair30.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_Dictionary_Domain.05.31.html","5.9 Specific Usage: RDMS","LSEG Real-Time Distribution System currently support only a single DictionaryId\u2019s family. If the provider doesn\u2019t specify it then it is interpreted to be 1.  Code Example 6: Dictionary Request Message Sample XML Message Layout  Code Example 7: Field Dictionary Refresh Message Sample XML Message Layo...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair31.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketPrice_Domain.06.01.html","6.1 Description","The Market Price domain provides access to Level I market information such as trades, indicative quotes, and top-of-book quotes. All information is sent as a FieldList. Field-value pairs contained in the field list include information related to that item (i.e., net change, bid, ask, volume, high, l...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair1_6.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketPrice_Domain.06.02.html","6.2 Usage","6.2.1 Market Price Request Message A Market Price request message is encoded using ReqMsg and sent by Open Message Model consumer applications. The request specifies the name and attributes of an item in which the consumer is interested. To receive updates, a consumer can make a \u201Cstreaming\u201D request ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair2_6.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketPrice_Domain.06.03.html","6.2.2 Market Price Refresh Message","A Market Price Refresh Message is encoded using RefreshMsg and sent by Open Message Model provider and non-interactive provider applications. This message sends all currently available information about the item to the consumer. FieldList in the payload should include all fields that may be present ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair3_6.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketPrice_Domain.06.04.html","6.2.3 Market Price Update Message","A Market Price Update Message is encoded using UpdateMsg and sent by Open Message Model provider and non-interactive provider applications. The Market Price Update Message conveys any changes to an item\u2019s data.  NOTE: The provider should only send the Name and NameType in the first Refresh response ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair4_6.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketPrice_Domain.06.05.html","6.2.4 Market Price Status Message","A Market Price Status Message is encoded using StatusMsg and sent by Open Message Model provider and non-interactive provider applications. The status message conveys state change information associated with an item stream.  NOTE: The provider should only send the Name and NameType in the first Refr...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair5_6.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketPrice_Domain.06.06.html","6.2.5 Market Price Post Message","If support is specified by the provider, consumer applications can post Market Price data. For more information on posting, refer to the Enterprise Message API C++ Edition Developers Guide. ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair6_6.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketPrice_Domain.06.07.html","6.3 Data: Response Message Payload","Market Price data is conveyed as an FieldList, where each FieldEntry corresponds to a piece of information and its current value. The field list should be decoded by checking FieldEntry.LoadType and retrieving a specific type. For more information, refer to the Enterprise Message API C++ Edition Dev...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair7_6.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketPrice_Domain.06.08.html","6.4 Special Semantics","6.4.1 Snapshots MarketPrice is one of a few message model types that support a true snapshot. If a non-streaming request is made, then the UpdateMsg will not be sent. Status messages could be received before the single Refresh response message (for details refer to Section 2.3) is received. For stre...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair8_6.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketPrice_Domain.06.09.html","6.4.2 Ripple Fields","Some fields in a FieldList are defined as ripple fields. When the value of a ripple field changes, the former value automatically becomes the new value of another field. The change to the second field may, in turn, cause another field to be changed to reflect the second field\u2019s former value. Whether...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair9_6.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketPrice_Domain.06.10.html","6.5 Specific Usage: LDF Direct MarketPrice","LDF Direct uses MarketPrice for SIAC Level 1, NASDAQ Level 1, and OPRA Level 1 data. The Refresh is provided in a single message. It contains all of the fields, even if they are blank. ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair10_6.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketPrice_Domain.06.11.html","6.6 Specific Usage: Legacy Records","MarketPrice can also be used for data structured like IDN records, such as: \u2022 Page Records for reference page records and TS1 historical data. \u2022 Chains for indices and ranked lists. \u2022 Segment Chains for time & sales and news stories. ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair11_6.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyOrder_Domain.07.01.html","7.1 Description","The Market By Order domain provides access to Level II full order books. The list of orders is sent in the form of a Map. Each MapEntry represents one order (using the order\u2019s Id as its key) and contains a FieldList describing information related to that order (such as price, whether it is a bid\u002Fask...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair1_7.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyOrder_Domain.07.02.html","7.2 Usage","7.2.1 Market By Order Request Message A Market By Order request message is encoded using ReqMsg and sent by Open Message Model consumer applications. The request specifies the name of the item in which a consumer is interested. To receive updates, the consumer makes a \u201Cstreaming\u201D request by setting ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair2_7.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyOrder_Domain.07.03.html","7.2.2 Market By Order Refresh Message","A Market By Order refresh message is encoded using RefreshMsg and sent by Open Message Model interactive provider and non-interactive provider applications. A Market By Order refresh may be sent in multiple parts. It is possible for update and status messages to be delivered between parts of a refre...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair3_7.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyOrder_Domain.07.04.html","7.2.3 Market By Order Update Message","A Market By Order update message is encoded using UpdateMsg and sent by Open Message Model interactive provider and non-interactive provider applications. The provider can send an update message to add, update, or remove order information. Updates may be received between the first Refresh and the Re...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair4_7.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyOrder_Domain.07.05.html","7.2.4 Market By Order Status Message","A Market By Order status message is encoded using StatusMsg and sent by Open Message Model interactive provider and non-interactive provider applications. This message conveys state change information associated with an item stream.  NOTE: The provider should only send the Name and ServiceName in th...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair5_7.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyOrder_Domain.07.06.html","7.2.5 Market By Order Post Message","If support is specified by the provider, consumer applications can post Market By Order data. For more information on posting, refer to the Enterprise Message API C++ Edition Developers Guide. ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair6_7.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyOrder_Domain.07.07.html","7.3 Data","7.3.1 Response Message Payload The payload is a Map. Refreshes for this Map may be in multiple response messages. The bandwidth of the refresh messages can be optimized by putting multiple MapEntry in each response messages. For optimal performance the packed map entries in each response message sho...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair7_7.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyOrder_Domain.07.08.html","7.3.2 Summary Data","The Map.SummaryData only needs to be present for the first refresh part. Typical fields in the Map.SummaryData include: \u2022 Permission information (PROD_PERM) \u2022 Currency of the orders (CURRENCY) \u2022 Trade Units for the precision at which order prices are set (TRD_UNITS) \u2022 Market State (MKT_ST_IND) \u2022 Ide...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair8_7.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyOrder_Domain.07.09.html","7.3.3 MapEntry Contents","The MapEntry.Key is a Buffer, Ascii, or Rmtes that contains the Order ID. The MapEntry.KeyFieldId may be set to ORDER_ID, so the information does not have to be repeated in the MapEntry.Value. The MapEntry.Value is a FieldList that typically contains the following information about the order: \u2022 Orde...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair9_7.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyOrder_Domain.07.10.html","7.4 Special Semantics","None.","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair10_7.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyOrder_Domain.07.11.html","7.5 Specific Usage: LDF Direct and Response Message Payload","LDF Direct uses MarketByOrder for several markets, including NASDAQ TotalView, Archipelago ECN order book, and Instinet ECN order book. The payload is a Map. Each Refresh for this Map includes summary data and a single MapEntry. Updates are not sent for any map entry until after the message is sent ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair11_7.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyOrder_Domain.07.12.html","7.6 Specific Usage: RDMS","For the most part, MarketByOrder data from LSEG Real-Time Distribution System is the same as it is from the original source of the data (e.g., Data Feed Direct). However, if caching is enabled in an LSEG Real-Time Distribution System component, there are two differences. \u2022 The number of messages pac...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair12_6.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyPrice_Domain.08.01.html","8.1 Description","Market By Price provides access to Level II market depth information. The list of price points is sent in a Map. Each entry represents one price point (using that price and bid\u002Fask side as its key) and contains a FieldList that describes information related to that price point.  NOTE: GenericMsg(s) ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair1_8.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyPrice_Domain.08.02.html","8.2 Usage","8.2.1 Market By Price Request Message A Market By Price request message is encoded using ReqMsg and sent by Open Message Model consumer applications. The request specifies the name of an item in which the consumer is interested. To receive updates, a consumer can make a \u201Cstreaming\u201D request by settin...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair2_8.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyPrice_Domain.08.03.html","8.2.2 Market By Price Refresh Message","A Market By Price refresh message is encoded using RefreshMsg and sent by Open Message Model interactive provider and non-interactive provider applications. A Market By Price refresh may be sent in multiple parts. Both update and status messages can be delivered between parts of a refresh message, r...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair3_8.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyPrice_Domain.08.04.html","8.2.3 Market By Price Update Message","A Market By Price update message is encoded using UpdateMsg and sent by Open Message Model interactive provider and non-interactive provider applications. The provider can send an update message to add, update, or remove price point information. Updates will not be received before images. True snaps...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair4_8.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyPrice_Domain.08.05.html","8.2.4 Market By Price Status Message","A Market By Price status message is encoded using StatusMsg and sent by Open Message Model interactive provider and non-interactive provider applications. This message conveys state change information associated with an item stream.  NOTE: The provider should send Name and ServiceName only in the fi...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair5_8.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyPrice_Domain.08.06.html","8.2.5 Market By Price Post Message","If supported by the provider, consumer applications can post Market By Price data. For more information on posting, refer to the Enterprise Message API C++ Edition Developers Guide. ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair6_8.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyPrice_Domain.08.07.html","8.3 Data","8.3.1 Response Message Payload The payload is a Map. Refreshes for this Map may be in multiple Response messages. The bandwidth of the refresh messages can be optimized by putting multiple MapEntry in each response message. For optimal performance the packed map entries in each response message shou...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair7_8.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyPrice_Domain.08.08.html","8.3.2 Summary Data","The Map.SummaryData needs to be present only for the first refresh part, which typically includes: \u2022 Permission information (PROD_PERM) \u2022 Currency of the orders (CURRENCY) \u2022 Trade Units for the precision with which order prices are set (TRD_UNITS) \u2022 Market State (MKT_ST_IND) \u2022 The identifier of the ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair8_8.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyPrice_Domain.08.09.html","8.3.3 MapEntry.Key Contents","The MapEntry.Key\u2019s data is a Buffer that contains a combination of the price and order side, thus each key is unique within its map. The MapEntry.Key\u2019s data should be treated as a single entity and is not meant to be parsed. MapEntry.Data is a FieldList that contains some or all of the following inf...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair9_8.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyPrice_Domain.08.10.html","8.4 Special Semantics","None.","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair10_8.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyPrice_Domain.08.11.html","8.5 Specific Usage: LDF Direct and the Response Message Payload","LDF Direct uses MARKET_BY_PRICE for several markets, including NYSE OpenBook, Archipelago ECN market depth, and Instinet ECN market depth. The payload is a Map. Each refresh message for this Map includes SummaryData and up to 50 map entries. Updates are not sent for any map entry until after the Ref...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair11_8.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketbyPrice_Domain.08.12.html","8.6 Specific Usage: RDMS","For the most part, MarketByPrice data from LSEG Real-Time Distribution System is the same as it is from the original source of the data (e.g. LDF Direct). However, if caching is enabled in an LSEG Real-Time Distribution System component, there are two differences. \u2022 The number of messages packed int...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair12_7.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketMaker_Domain.09.01.html","9.1 Description","The Market Maker domain provides access to market maker quotes and trade information. The list of market makers is sent in the form of a Map. Each MapEntry represents one market maker (using that market maker\u2019s ID as its key) and contains a FieldList describing information such as that market maker\u2019...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair1_9.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketMaker_Domain.09.02.html","9.2 Usage","9.2.1 Market Maker Request Message A Market Maker request message is encoded using ReqMsg and sent by Open Message Model consumer applications. The request specifies the name of an item in which the consumer is interested. To receive updates, a consumer can make a \u201Cstreaming\u201D request by setting the ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair2_9.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketMaker_Domain.09.03.html","9.2.2 Market Maker Refresh Message","A Market Maker refresh message is encoded using RefreshMsg and sent by Open Message Model interactive provider and non-interactive provider applications. The Market Maker refresh can be sent in multiple parts. Keep in mind that both update and status messages can be delivered between parts of a refr...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair3_9.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketMaker_Domain.09.04.html","9.2.3 Market Maker Update Message","A Market Maker update message is encoded using UpdateMsg and sent by Open Message Model interactive provider and non-interactive provider applications. Updates will not be received before images, and a true snapshot is supported. The provider can send an update message to add, update, or remove mark...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair4_9.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketMaker_Domain.09.05.html","9.2.4 Market Maker Status Message","A Market Maker status message is encoded and sent by Open Message Model interactive provider and non-interactive provider applications. This message conveys state change information associated with an item stream.  NOTE: The provider should send the Name and ServiceName only in the first Refresh res...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair5_9.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketMaker_Domain.09.06.html","9.2.5 Market Maker Post Message","If the provider supports Market Maker post messages, consumer applications can post Market Maker data. For more information on posting, refer to the Enterprise Message API C++ Edition Developers Guide. ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair6_9.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketMaker_Domain.09.07.html","9.3 Data","9.3.1 Response Message Payload  The payload is a Map. Refreshes for this Map may be in multiple response messages. The bandwidth of the Refresh response messages can be optimized by putting multiple MapEntry in each Response message. For optimal performance the packed map entries in each response me...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair7_9.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketMaker_Domain.09.08.html","9.3.2 Summary Data","The Map.SummaryData only needs to be present in the first refresh part. Typical fields in the Map.SummaryData include: \u2022 Permission information (PROD_PERM) \u2022 Currency of the orders (CURRENCY) \u2022 Trade Units for the precision at which order prices are set (TRD_UNITS) \u2022 Identifier of the exchange on wh...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair8_9.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketMaker_Domain.09.09.html","9.3.3 MapEntry Contents","Each MapEntry.key\u2019s data is a Buffer that contains a unique market maker\u2019s ID. The Map.KeyFieldId may be set to MMID or MKT_MKR_ID, so the information does not have to be repeated in the MapEntry.Data. Each MapEntry houses a FieldList that contains information about the market maker. The field list ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair9_9.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketMaker_Domain.09.10.html","9.4 Special Semantics","None.","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair10_9.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketMaker_Domain.09.11.html","9.5 Specific Usage: LDF Direct and the Response Message Payload","LDF Direct uses MARKET_MAKER for NASDAQ Market Makers. The payload is a Map. Each Refresh message for this Map includes SummaryData and up to 50 MapEntrys. Updates are not sent for any map entry until after the RefreshMsg.Complete is sent with a value of true. DataDefinitions are not used to reduce ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair11_9.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_MarketMaker_Domain.09.12.html","9.6 Specific Usage: RDMS","For the most part, MarketMaker data from LSEG Real-Time Distribution System is the same as it is from the original source of the data (e.g., Data Feed Direct). However, if caching is enabled in an LSEG Real-Time Distribution System component, there will be two differences. The number of messages pac...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair12_8.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_YieldCurve_Domain.10.01.html","10.1 Description","The Yield Curve domain shows the relation between the interest rate and the term (time to maturity) associated with the debt of a borrower. The shape of a yield curve can help give an idea of future economic activity and interest rates. Information is sent as a FieldList, where some FieldEntry\u2018s can...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair1_10.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_YieldCurve_Domain.10.02.html","10.2 Usage","10.2.1 Yield Curve Request Message A Yield Curve request message is encoded using ReqMsg and sent by Open Message Model consumer applications. The request specifies the name and attributes of the curve in which the consumer is interested. To receive updates, the consumer makes a \u201Cstreaming\u201D request ...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair2_10.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_YieldCurve_Domain.10.03.html","10.2.2 Yield Curve Refresh Message","A Yield Curve Refresh Message is encoded using RefreshMsg and sent by Open Message Model provider and non-interactive provider applications. This message sends all currently available information about the item to the consumer. FieldList in the payload should include all fields that might be present...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair3_10.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_YieldCurve_Domain.10.04.html","10.2.3 Yield Curve Update Message","A Yield Curve Update Message is encoded using UpdateMsg and sent by Open Message Model provider and non-interactive provider applications. It conveys any changes to an item\u2019s data. Updates may be received between the first Refresh and the RefreshComplete. It is the consuming application\u2019s responsibi...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair4_10.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_YieldCurve_Domain.10.05.html","10.2.4 Yield Curve Status Message","A Yield Curve status message is encoded using StatusMsg and sent by Open Message Model interactive provider and non-interactive provider applications. This message conveys state change information associated with an item stream.  NOTE: The provider should send the Name and ServiceName only in the fi...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair5_10.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_YieldCurve_Domain.10.06.html","10.2.5 Yield Curve Domain Post Message","If supported by the provider, consumer applications can post Yield Curve data. For more information on posting, refer to the Enterprise Message API C++ Edition Developers Guide. ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair6_10.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_YieldCurve_Domain.10.07.html","10.3 Data","10.3.1 Response Message Payload The payload of a Yield Curve Refresh or Update is a FieldList. Some FieldEntry contents contain primitive type information to help describe the curve. Examples include the Curve Type (CRV_TYPE), the Algorithm used to calculate the curve (CRV_ALGTHM), and the Interpola...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair7_10.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_YieldCurve_Domain.10.08.html","10.3.2 Summary Data","For Vector types, Map.SummaryData can be included to provide information specific to the Vector\u2018s contents. Any Map.SummaryData needs to be present only for the first refresh part that contains the Vector. Typical Map.SummaryData fields include tenors (TENORS). ","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair8_10.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_YieldCurve_Domain.10.09.html","10.3.3 Yield Curve Input and Output Entries","Each VectorEntry houses a FieldList that contains specific information about the respective input or output. The field list should be decoded by checking the FieldEntry data type. \u2022 For more information on dictionary use, refer to Section 5.2. \u2022 For more information about use of the Vector and Field...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair9_10.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_YieldCurve_Domain.10.10.html","10.4 Special Semantics","None.","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair10_10.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_YieldCurve_Domain.10.11.html","10.5 Specific Usage: ATS","When an application consumes Yield Curve data, the dictionary used by the application must contain certain required Field IDentifiers. For further details, refer to the LSEG Real-Time Advanced Transformation Server documentation.  Code Example 6: Yield Curve Request Message Sample XML Message Layout","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair11_10.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SymbolList_Domain.11.1.html","11.1 Description","The Symbol List domain provides access to a set of symbol names, typically from an index, service, or cache. Content is encoded as a Map, with each symbol represented by a map entry and where the symbol name is the entry key. An entry\u2019s payload is optional, but when present the payload is a FieldLis...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair1_11.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SymbolList_Domain.11.2.html","11.2 Usage","11.2.1 Symbol List Request Message A Symbol List request message is encoded and sent by Open Message Model consumer applications. The consumer can make a streaming request (set ReqMsg.InterestAfterRefresh to true) to receive updates, typically associated with item additions or removals from the list...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair2_11.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SymbolList_Domain.11.3.html","11.2.2 Symbol List Refresh Message","A Symbol List refresh Message is encoded using RefreshMsg and sent by Open Message Model provider and non-interactive provider applications. This message sends a list of item names to the consumer. A Symbol List refresh can be sent in multiple parts. Update and status messages can be delivered betwe...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair3_11.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SymbolList_Domain.11.4.html","11.2.3 Symbol List Update Message","A Symbol List Update Message is encoded using UpdateMsg and sent by Open Message Model provider and non-interactive provider applications. It adds or removes items from the list. Updates will not be received before images, and a true snapshot is supported.  NOTE: The provider should send the Name an...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair4_11.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SymbolList_Domain.11.5.html","11.2.4 Symbol List Status Message","A Symbol List status message is encoded using StatusMsg and sent by Open Message Model interactive provider and non-interactive provider applications. This message conveys state change information associated with an item stream.  NOTE: The provider should send the Name and ServiceName only in the fi...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair5_11.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SymbolList_Domain.11.6.html","11.3 Data: Response Message Payload","A consumer requesting a Symbol List stream may also request additional behaviors from a supporting provider. To do so, the payload of its ReqMsg must contain an ElementList list that includes an ElementEntry. The entry contains an ElementList, in which the consumer encodes entries to request the des...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair6_11.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SymbolList_Domain.11.7.html","11.4 Special Semantics","None.","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair7_11.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FChap_SymbolList_Domain.11.8.html","11.5 Specific Usage","The payload is a Map. No SummaryData is provided. Each Refresh message includes up to 150 MapEntrys. DataDefinitions are not used to reduce bandwidth. The Map.TotalCountHint is not provided. The Map.KeyFieldId is currently not set. Each MapEntry\u2019s key is a Buffer that can be used as a request\u2019s Name...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair8_11.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FAppendix_ReqMsg_Payload.12.1.html","Appendix A ReqMsg Payload","A.1 View Definition The client application can specify interest in a specific subset of fields or elements (known as a \u2018View\u2019). This is done by encoding an array of the desired fields or elements in the request message payload. The response Message will contain a list of the requested fields or elem...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair1_12.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FAppendix_ReqMsg_Payload.12.2.html","A.2 ItemList","The client application can specify interest in multiple items by using a single batch request message. To do this, encode a list of item names in the request message payload. This is supported on any non-administrative Domain Model and any user defined DMM. For further details, refer to Enterprise M...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair2_12.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FAppendix_ReqMsg_Payload.12.3.html","A.3 Symbol List Behaviors","The client application can specify interest in getting data along with names belonging to the symbol list while requesting a symbol list. By specifying interest in data along with names, a client application does not need to open individual items belonging to symbol list and the items will be opened...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair3_12.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FAppendix_ReqMsg_Payload.12.4.html","A.3.1 Element List Contents","To encode a Symbol List request message that specifies interest in data, include an element list with the following element entry:  Table 76: Request Message Payload for Symbol List Domain Specifying Symbol List Behaviors \u00A0 ELEMENT NAME TYPE Default DESCRIPTION :SymbolListBehaviors ElementList Eleme...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair4_12.js","content-page"]
,["EMA_RDM_Usage_Guide\u002FAppendix_ReqMsg_Payload.12.5.html","A.3.2 Contents of :SymbolListBehaviors","The following is the contents of the :SymbolListBehaviors element entry.  Table 77: :SymbolListBehaviors ElementEntry Contents \u00A0 ELEMENT NAME TYPE RANGE DESCRIPTION :DataStreams UInt 0 - 2 Indicates whether the consumer wants the individual items of the symbol list to be opened as streaming or non-s...","EMA_RDM_Usage_Guide\u002Fpairs\u002Fpair5_12.js","content-page"]
],
"words":
{
"1.1":[0,1]
,"manual":[0,2,1,1,10,1,27,1,28,1]
,"describes":[0,1,12,1,16,1,19,1,41,1,58,1,86,2,95,1,104,1,129,1]
,"domain":[0,2,1,1,2,2,4,1,8,1,9,1,10,5,11,2,12,5,13,30,14,8,15,15,16,1,18,1,19,1,20,1,23,1,24,1,25,2,26,3,29,3,32,3,35,4,47,1,52,2,53,1,54,1,58,1,59,6,65,1,67,1,75,2,80,2,85,1,86,7,95,8,103,1,104,2,106,2,108,2,117,2,129,1,141,2,153,3,158,1,164,2,172,1,173,1,175,1]
,"models":[0,2,2,1,4,1,8,1,9,1,10,2,13,6,14,2,15,5,58,1,75,1,80,2,117,1]
,"defined":[0,1,9,2,10,3,13,1,14,3,15,1,59,1,61,1,83,1,86,1,95,1,114,1,172,1,173,1]
,"terms":[0,1,8,1,10,1,15,1]
,"open":[0,1,1,1,2,10,3,2,8,1,11,1,12,1,13,3,15,3,16,1,17,3,25,2,27,3,28,4,29,1,30,2,31,6,32,1,33,3,35,1,37,2,39,1,40,1,45,1,46,1,48,18,52,2,53,1,54,1,55,1,56,2,60,3,61,1,62,3,63,1,66,2,68,2,72,1,75,1,79,1,89,1,107,1,108,1,109,1,110,1,114,1,118,1,119,1,120,1,121,1,130,1,131,1,132,1,133,1,142,1,143,1,144,1,145,1,154,1,155,1,156,1,157,1,165,1,166,1,167,1,168,1,174,1]
,"message":[0,2,1,5,2,16,3,3,4,1,5,3,8,2,9,6,10,5,11,3,12,9,13,4,14,1,15,16,16,13,17,3,19,2,20,1,21,1,22,1,23,2,24,1,25,3,26,2,27,15,28,9,29,4,30,11,31,17,32,4,33,5,35,4,36,1,37,7,38,8,39,3,40,4,41,3,42,3,43,3,44,2,45,2,46,5,48,7,49,2,50,1,51,6,52,4,53,7,54,6,55,8,56,6,57,8,58,2,59,1,61,3,65,4,66,1,70,4,71,4,72,1,73,4,74,2,75,1,76,1,77,5,78,4,79,5,80,6,81,2,82,3,83,1,84,2,89,1,92,2,105,6,107,6,108,8,109,8,110,8,111,2,112,7,113,4,114,5,115,1,118,7,119,9,120,9,121,7,122,2,123,3,127,3,128,5,130,6,131,13,132,10,133,8,134,2,135,4,139,3,140,5,142,6,143,11,144,10,145,8,146,2,147,4,151,2,152,4,154,6,155,12,156,8,157,7,158,2,159,1,161,1,163,2,165,4,166,10,167,9,168,7,169,2,171,3,172,4,173,3,174,3,175,2,176,1]
,"model":[0,1,1,1,2,12,3,2,8,1,11,3,12,5,13,9,14,7,15,13,16,2,17,3,23,2,24,1,25,2,26,1,27,3,28,4,29,1,30,2,31,6,32,1,33,1,35,1,37,1,39,1,40,1,45,1,52,2,53,1,54,1,55,1,56,1,65,1,67,1,75,2,79,1,85,1,89,1,95,1,104,1,106,1,107,1,108,1,109,1,110,1,113,1,114,1,118,1,119,1,120,1,121,1,129,1,130,1,131,1,132,1,133,1,141,1,142,1,143,1,144,1,145,1,153,1,154,1,155,1,156,1,157,1,164,1,165,1,166,1,167,1,168,1,172,1,173,1]
,"data":[0,2,1,1,2,5,3,6,9,3,10,6,11,2,12,3,13,3,15,3,16,7,17,2,18,1,19,1,21,4,22,5,23,3,27,3,28,8,30,1,31,9,33,1,34,1,39,1,41,4,42,3,43,2,48,1,49,1,50,4,53,4,54,2,56,1,58,9,59,4,60,2,61,1,62,2,63,11,64,1,65,6,68,5,75,4,76,2,78,1,80,6,81,1,82,3,83,1,84,2,88,1,89,3,91,1,93,1,97,1,100,1,101,1,102,3,104,2,108,1,109,5,110,3,111,1,112,2,115,1,116,2,118,1,119,1,120,4,121,2,122,1,123,2,124,1,127,1,128,3,130,1,131,1,132,2,133,2,134,1,135,2,136,1,137,2,139,3,140,2,143,1,144,2,145,2,146,1,147,2,148,1,149,1,151,1,152,3,155,1,156,4,157,2,158,1,159,6,160,1,161,10,163,1,166,1,167,2,168,2,169,2,174,4,175,2,176,1]
,"conforming":[0,1]
,"available":[0,1,9,1,13,1,17,1,18,1,28,2,31,1,52,1,53,3,54,2,58,1,59,5,60,4,68,3,74,3,75,2,80,1,85,2,95,2,101,2,102,1,108,2,119,1,139,2,143,1,155,2,166,1,172,1]
,"via":[0,1,6,1,23,1,24,1,25,1,27,1,28,1,31,1,33,1,37,1,39,1,48,1,52,1,53,2,55,1,57,1,59,2,60,1,103,1,107,1,118,1,130,1,142,1,154,1]
,"lseg":[0,2,2,1,4,1,5,1,6,1,11,3,13,7,14,3,15,2,17,1,20,1,23,1,28,6,31,2,33,1,34,1,41,1,50,3,52,1,53,1,57,3,58,1,59,2,60,2,77,1,81,1,83,1,86,1,95,1,99,1,103,1,105,1,107,1,118,1,128,2,130,1,140,2,142,1,152,2,153,1,154,1,163,1,165,1]
,"real-time":[0,2,2,1,11,3,13,1,17,1,23,1,28,2,31,1,33,1,34,1,41,1,50,3,52,1,57,3,58,1,59,2,60,1,105,1,128,2,140,2,152,2,153,1,163,1]
,"distribution":[0,1,2,1,3,1,11,2,13,1,17,1,23,1,28,2,31,1,33,1,34,1,41,1,50,3,52,1,57,3,58,1,59,1,60,1,105,1,128,2,140,2,152,2]
,"system":[0,1,2,2,11,1,13,1,14,1,17,1,25,1,26,4,27,4,28,10,30,1,31,5,33,1,34,1,37,1,50,5,55,1,62,2,64,1,105,1,128,2,140,2,152,2]
,"feed":[0,1,11,1,13,1,17,1,128,1,152,1]
,"direct":[0,1,11,1,13,1,17,1,49,3,91,2,98,3,115,2,127,2,128,1,139,2,140,1,151,2,152,1,171,1]
,"ldf-d":[0,1,11,1]
,"using":[0,1,6,1,9,1,22,1,25,2,27,5,30,1,31,2,38,1,39,1,41,1,45,1,53,2,54,1,55,1,56,1,57,1,59,1,75,1,77,2,79,1,81,1,83,1,92,1,97,1,102,2,107,1,108,1,109,1,110,1,117,1,118,1,119,1,120,1,121,1,129,1,130,1,131,1,132,1,133,1,141,1,142,1,143,1,144,1,154,1,155,1,156,1,157,1,159,3,166,1,167,1,168,1,173,1]
,"enterprise":[0,1,1,4,2,2,4,1,5,3,8,1,9,4,10,4,11,2,15,2,19,2,21,1,22,1,23,2,24,1,25,1,27,1,28,3,29,1,31,6,32,1,35,1,39,1,40,1,45,1,46,2,48,2,51,4,53,1,55,1,59,1,61,1,70,2,71,2,73,3,74,1,76,1,80,1,81,1,83,1,84,1,107,2,108,1,111,1,112,1,114,1,118,3,119,1,122,1,130,2,131,1,134,1,142,2,143,1,146,1,154,2,155,1,158,1,161,1,172,1,173,1,174,1,176,1]
,"api":[0,1,1,3,2,3,4,2,5,3,8,1,9,6,10,5,11,3,15,2,19,2,21,1,22,1,23,2,24,1,25,1,27,4,28,3,31,6,39,1,40,1,42,1,45,1,46,2,48,2,51,4,53,1,55,1,59,2,61,1,70,2,71,2,73,3,74,1,76,1,80,1,81,1,83,1,84,1,107,2,108,1,111,1,112,1,114,1,118,3,119,1,122,1,130,2,131,1,134,1,142,2,143,1,146,1,154,2,155,1,158,1,161,1,172,1,173,1,174,1,176,1]
,"1.2":[1,1]
,"audience":[1,1]
,"guide":[1,2,5,2,10,1,16,1,19,1,21,1,22,1,23,1,24,1,25,1,27,1,28,1,31,5,39,1,40,1,48,1,53,1,55,1,59,2,61,1,83,1,84,1,107,1,111,1,112,1,118,1,122,1,130,1,134,1,142,1,146,1,154,1,158,1,161,1,171,1,172,1,173,1,174,1,176,1]
,"written":[1,1,61,1]
,"software":[1,1]
,"developers":[1,2,5,1,10,1,19,1,21,1,23,1,24,1,27,1,28,1,31,5,39,1,40,1,48,1,55,1,61,1,83,1,84,1,107,1,111,1,112,1,118,1,122,1,130,1,134,1,142,1,146,1,154,1,158,1,161,1,172,1,176,1]
,"familiar":[1,3]
,"want":[1,1,15,1,48,1]
,"develop":[1,1]
,"api-based":[1,1]
,"applications":[1,2,9,3,10,2,13,3,17,1,27,2,28,5,30,1,31,1,33,1,37,1,39,1,40,1,46,1,52,1,54,1,55,1,56,1,58,2,72,1,75,1,78,1,79,1,83,1,107,1,108,1,109,1,110,1,111,1,118,1,119,1,120,1,121,1,122,1,128,1,130,1,131,1,132,1,133,1,134,1,140,1,142,1,143,1,144,1,145,1,146,1,154,1,155,2,156,2,157,1,158,1,165,1,166,1,167,1,168,1]
,"access":[1,1,9,1,11,1,13,6,27,2,28,5,30,1,31,4,33,1,50,3,106,1,117,1,129,1,141,1,164,1]
,"model-formatted":[1,1]
,"reading":[1,1]
,"users":[1,1,2,2,13,1,15,1,27,3,28,1,30,1,45,2,46,1,53,1,77,1,159,1]
,"concepts":[1,1,8,2,16,3,19,2]
,"types":[1,1,2,1,3,1,8,1,13,1,23,1,24,1,52,1,54,1,59,2,75,2,76,3,81,1,84,1,86,1,89,2,91,1,92,4,93,1,94,2,95,3,104,4,113,1,153,1,155,2,156,2,159,2,160,1,161,1]
,"may":[1,1,9,1,10,4,13,1,14,1,17,1,21,1,28,1,31,1,50,1,59,1,60,1,72,1,75,1,76,1,78,1,80,1,83,2,85,1,95,1,103,2,108,1,114,2,118,1,119,1,120,1,121,1,123,1,125,1,127,2,128,1,130,1,131,1,135,1,139,1,140,2,142,1,147,1,149,1,151,2,152,2,154,1,156,1,169,1]
,"useful":[1,1,41,1]
,"read":[1,1]
,"edition":[1,1,5,2,10,1,19,1,21,1,22,1,23,1,24,1,25,1,27,1,28,1,31,5,39,1,40,1,48,1,53,1,55,1,59,1,61,1,83,1,84,1,107,1,111,1,112,1,118,1,122,1,130,1,134,1,142,1,146,1,154,1,158,1,161,1,172,1,173,1,174,1,176,1]
,"example":[1,1,8,2,15,1,28,1,29,1,31,1,32,1,33,1,34,1,35,2,41,2,42,1,43,1,48,2,59,3,60,2,61,3,62,1,63,1,64,1,65,1,74,2,75,1,80,1,81,1,83,1,84,1,85,3,92,1,94,2,95,2,101,1,105,5,112,2,128,2,140,2,152,2,159,2,163,2,171,2]
,"provided":[1,1,2,1,8,1,10,3,13,1,21,1,31,1,53,1,54,2,55,2,56,1,58,1,59,3,60,2,61,3,78,2,79,1,81,1,83,2,91,1,97,1,104,1,108,2,109,3,110,2,115,1,119,2,120,2,121,2,123,1,127,1,131,2,132,3,133,3,135,1,139,1,143,2,144,3,145,3,147,1,151,1,153,1,155,2,156,2,157,3,166,1,167,3,168,3,169,1,171,3,174,1]
,"package":[1,1,29,1,32,1,35,1]
,"1.3":[2,1]
,"collection":[2,1]
,"header":[2,2,31,1]
,"constructs":[2,5,3,1,12,1]
,"update":[2,1,12,2,15,1,16,1,20,1,36,2,51,1,55,8,58,4,60,1,63,1,74,1,77,1,85,1,100,1,109,10,119,1,120,13,131,1,132,11,143,1,144,12,152,1,156,10,159,1,166,1,167,9,169,1]
,"implicit":[2,1,12,1]
,"market":[2,1,12,1,13,20,17,2,20,1,23,2,28,1,31,1,59,3,106,2,107,3,108,5,109,4,110,3,111,2,112,3,117,2,118,3,119,4,120,3,121,3,122,2,124,1,125,1,127,1,128,1,129,2,130,3,131,4,132,3,133,3,134,2,136,1,137,2,139,6,140,2,141,7,142,3,143,7,144,6,145,3,146,3,148,2,149,4,151,7,152,1]
,"logic":[2,1,12,1]
,"associated":[2,1,12,3,13,1,22,2,27,3,31,1,33,3,37,1,52,4,53,1,55,2,56,3,58,1,61,2,63,1,64,1,67,1,70,1,71,1,72,2,75,1,76,2,83,1,86,2,87,4,95,2,104,1,107,1,108,2,109,1,110,3,118,2,119,1,120,1,121,3,130,1,131,1,133,3,142,1,143,1,144,1,145,3,153,1,154,1,155,2,156,2,157,3,165,2,166,1,167,1,168,3]
,"others":[2,1,172,1]
,"generic":[2,1,10,1,15,1,16,1,38,5,42,2,43,1,52,1,53,1,57,5,65,3]
,"allow":[2,1,13,1,28,1,31,1,48,1,62,1,108,1]
,"free-flowing":[2,1]
,"bi-directional":[2,1]
,"messaging":[2,1,15,2,142,1]
,"combined":[2,1,22,1]
,"various":[2,1,13,1,75,1]
,"ways":[2,1,15,1]
,"ranges":[2,1,10,1]
,"simple":[2,1]
,"flat":[2,1]
,"primitive":[2,1,159,1]
,"complex":[2,1,3,1,153,1,155,1,156,1,159,2]
,"multiple-level":[2,1]
,"hierarchal":[2,1,3,1]
,"layout":[2,1,105,3,112,2,128,1,140,2,152,1,163,1,171,1]
,"interpretation":[2,1]
,"specific":[2,1,10,2,12,2,13,1,14,1,18,1,19,1,23,1,26,1,31,2,34,1,38,1,41,1,48,1,49,1,50,1,51,1,53,4,59,1,78,1,91,1,98,1,105,1,112,1,115,1,116,1,127,1,128,1,139,1,140,1,151,1,152,1,160,1,161,1,163,1,171,1,172,1]
,"referred":[2,1,39,1]
,"described":[2,1,8,1,15,1,23,1,24,1,25,1,30,1,52,1,56,1,58,1,98,1]
,"within":[2,1,9,1,10,3,15,1,26,1,52,1,54,1,61,1,67,1,78,1,107,1,108,1,109,1,118,1,119,1,120,1,121,1,130,1,131,1,132,1,137,1,139,1,142,1,143,1,144,1,154,1,155,1,166,1,167,1]
,"model\u2019s":[2,1]
,"definition":[2,1,11,2,13,3,23,1,172,2]
,"coupled":[2,1]
,"flexible":[2,1,15,1]
,"tool":[2,1]
,"provides":[2,2,13,8,15,1,54,1,58,1,59,2,64,1,75,1,77,4,78,3,84,1,106,1,107,1,108,1,109,2,110,2,117,1,118,1,119,2,120,2,121,1,129,1,130,2,131,2,132,2,133,2,141,1,142,2,143,2,144,2,145,2,154,2,155,2,156,2,157,2,159,1,164,1,165,1,166,1,167,2,168,2]
,"building":[2,1,15,1]
,"blocks":[2,1,15,1]
,"design":[2,1,15,1]
,"produce":[2,1]
,"meet":[2,1,51,1]
,"needs":[2,1,17,1,18,1,31,2,33,1,51,1,59,1,72,1,81,2,83,1,100,1,124,1,136,1,142,1,148,1,160,1]
,"structural":[2,1]
,"representations":[2,1,82,1]
,"manages":[2,1,58,1]
,"rssl":[2,1,3,5,11,2,67,1,87,2,89,5,90,1,96,2,97,2]
,"wire":[2,1,3,6,11,1,87,2,89,6,90,1,96,2,97,2]
,"format":[2,1,3,6,11,1,84,2,85,3,87,3,89,5,90,1,93,2,94,1,96,3,97,2]
,"binary-encoded":[2,1]
,"representation":[2,1,3,1,29,3,32,3,35,3,85,1,86,7,95,8,98,1]
,"leverage":[2,1,15,1,57,1]
,"consume":[2,1]
,"provide":[2,1,13,1,17,1,23,1,25,1,58,4,59,3,62,1,63,1,64,1,68,1,75,1,83,1,85,1,92,1,95,1,107,1,118,1,130,1,139,1,142,1,154,1,159,1,160,1]
,"throughout":[2,1,16,1]
,"1.4":[3,1]
,"encoded":[3,1,27,1,29,1,30,1,32,1,35,1,37,1,53,1,54,1,55,1,56,1,57,1,61,1,76,1,77,1,78,2,79,1,84,1,89,4,102,1,107,1,108,1,109,1,110,1,118,1,119,1,120,1,121,1,130,1,131,1,132,1,133,1,142,1,143,1,144,1,145,1,154,1,155,1,156,1,157,1,164,1,165,1,166,1,167,1,168,1,172,1]
,"highly-optimized":[3,1]
,"binary":[3,2,27,1,28,2,31,1,89,4]
,"designed":[3,1]
,"reduce":[3,1,127,1,139,1,151,1,171,1]
,"cost":[3,1]
,"compared":[3,1]
,"previous":[3,1,28,1,43,1,102,2]
,"formats":[3,1]
,"encoding":[3,1,11,1,86,7,87,1,95,7,155,1,156,1,172,1]
,"represents":[3,1,38,1,56,1,58,1,64,1,77,1,78,1,84,1,85,1,117,1,129,1,141,1,166,1,167,1]
,"machine\u2019s":[3,1]
,"native":[3,1]
,"manner":[3,2,41,1,46,1]
,"enabling":[3,1]
,"further":[3,1,4,1,10,1,13,9,21,1,22,1,26,1,27,2,28,1,38,2,77,1,82,1,123,1,130,2,131,1,135,1,147,1,159,1,163,1,173,1,174,1]
,"calculations":[3,1]
,"manipulations":[3,1]
,"allows":[3,1,14,1,15,1,22,1,23,1,24,1,28,2,31,1,37,1,52,1,57,1,159,1]
,"serializing":[3,1]
,"efficient":[3,1]
,"allowing":[3,1]
,"rich":[3,1]
,"content":[3,2,9,1,13,5,17,1,18,1,22,4,23,2,25,2,26,3,27,2,28,1,30,2,33,1,58,8,59,3,63,1,75,1,78,1,92,1,100,2,103,1,108,1,109,1,119,1,120,1,131,1,132,2,143,1,144,1,155,1,156,1,164,2,166,1,172,2]
,"distribute":[3,1]
,"field":[3,1,13,1,22,2,28,1,75,6,76,5,81,3,83,1,84,10,85,7,86,9,87,13,88,1,89,5,90,2,92,1,95,7,96,2,102,1,105,1,106,1,112,1,114,4,127,2,137,1,139,4,149,1,151,1,161,2,163,1,172,3]
,"identifier-value":[3,1]
,"pair":[3,1]
,"self-describing":[3,1]
,"nested":[3,1,171,1]
,"1.5":[4,1]
,"json":[4,1]
,"rtsdk":[4,1]
,"2.0.1.l1":[4,1]
,"supports":[4,1,22,1,23,1,28,4,31,23,38,1,49,1,50,1,59,2,62,1,80,1,107,1,114,1,118,1,130,1,142,1,146,1,154,1,169,1]
,"websocket":[4,2]
,"protocols":[4,1]
,"including":[4,1,10,1,17,1,58,1,77,1,127,1,139,1,161,4]
,"rssl.json.v2":[4,1]
,"tr_json2":[4,2]
,"intends":[4,1]
,"deprecate":[4,1]
,"time":[4,1,8,1,11,2,13,2,28,1,31,1,38,4,43,2,51,1,62,1,63,1,83,1,85,3,88,2,89,6,91,1,104,1,109,1,116,1,117,1,125,1,127,2,132,1,137,1,139,2,141,1,144,1,149,1,151,2,153,1,156,1,159,1,167,1]
,"future":[4,1,10,2,13,1,14,1,15,1,28,1,41,1,85,1,95,1,127,2,151,2,153,1,159,1,161,2]
,"details":[4,1,6,1,10,2,13,9,21,1,22,2,26,2,27,3,28,1,30,1,37,1,38,1,39,1,40,1,41,1,52,1,53,2,54,4,55,3,56,2,59,2,70,1,77,1,78,1,81,1,82,2,83,1,107,1,113,1,118,1,121,1,130,2,142,2,154,1,163,1,171,1,173,1,174,1]
,"refer":[4,1,5,1,10,2,13,9,21,1,22,2,23,1,24,1,25,1,27,4,28,4,30,1,31,8,33,1,37,1,38,1,39,1,48,1,52,1,53,2,54,3,55,4,56,2,57,2,58,6,59,5,60,4,61,1,62,1,70,1,77,2,78,2,81,2,82,3,83,1,84,1,100,1,107,3,108,1,109,1,110,1,111,1,112,1,113,1,118,3,119,1,121,1,122,1,130,3,131,1,134,1,142,3,143,1,146,1,154,3,155,1,158,1,161,2,163,1,165,1,166,1,169,1,171,1,172,1,173,1,174,2,176,1]
,"websockets":[4,1]
,"protocol":[4,1]
,"specification":[4,1,27,1,30,1,33,1,104,1]
,"github":[4,1]
,"https":[4,1]
,"github.com":[4,1]
,"refinitiv":[4,1,9,1]
,"websocket-api":[4,1]
,"blob":[4,1]
,"master":[4,1]
,"websocketapi_protocolspecification.pdf":[4,1]
,"1.6":[5,1]
,"references":[5,1,75,1]
,"additional":[5,1,10,1,13,1,27,2,28,2,31,2,34,1,46,1,54,3,56,1,64,1,75,1,78,1,81,1,100,1,107,1,118,1,154,1,159,1,161,1,164,1,166,1,167,1,169,2]
,"documentation":[5,1,6,2,27,1,28,1,163,1]
,"reference":[5,1,8,1,22,1,25,1,53,1,59,1,75,2,76,1,83,2,92,1,96,2,104,3,116,1,173,1,174,1]
,"developer":[5,1]
,"community":[5,1]
,"1.7":[6,1]
,"feedback":[6,1]
,"every":[6,1,61,1,63,1,83,1,100,1,108,1,109,1,110,1,119,1,120,1,121,1,127,1,132,1,133,1,139,1,143,1,144,1,145,1,151,1,155,1,156,1,157,1,167,1,168,1]
,"effort":[6,1,21,1,29,1,32,1,35,1]
,"ensure":[6,1,89,2,103,1,155,1,156,1,169,1]
,"accurate":[6,1]
,"up-to-date":[6,1]
,"notice":[6,1]
,"errors":[6,1]
,"particular":[6,1,10,1,13,1,14,1,68,1]
,"topic":[6,1]
,"following":[6,1,8,1,9,1,10,2,13,3,15,2,16,1,22,1,27,1,28,1,31,1,34,1,41,1,46,1,48,2,51,1,58,1,65,1,75,1,80,2,86,1,88,1,89,1,91,1,95,1,120,1,125,1,127,1,132,1,137,1,139,1,144,1,151,1,156,1,161,1,171,1,172,1,173,1,175,1,176,2]
,"options":[6,1]
,"send":[6,2,21,2,27,1,28,1,31,2,34,1,39,1,40,1,44,2,46,1,51,1,52,1,53,1,72,1,74,1,80,1,108,3,109,1,110,1,119,1,120,2,121,1,131,1,132,2,133,1,143,1,144,2,145,1,154,1,155,3,156,1,157,1,167,1,168,1,172,1]
,"comments":[6,2,77,1,80,1,85,1,93,1]
,"email":[6,1]
,"productdocumentation@lseg.com":[6,2]
,"mark":[6,1]
,"pdf":[6,2]
,"comment":[6,1]
,"feature":[6,1,11,1,28,3,31,7,51,1,59,1,107,2,118,1,130,1,142,1,154,2,165,1]
,"adobe":[6,1]
,"reader":[6,1]
,"adding":[6,1]
,"submit":[6,1]
,"entire":[6,1,53,2]
,"clicking":[6,1]
,"file":[6,2,9,1,75,1,82,1,85,5,86,4,87,3,92,1,93,3,94,2,95,6,96,1,97,1,98,3]
,"menu":[6,1]
,"address":[6,1,31,1,41,1]
,"1.8":[7,1]
,"conventions":[7,1,8,1,9,1]
,"1.8.1":[8,1]
,"typographic":[8,1]
,"uses":[8,1,9,1,10,1,18,1,28,1,48,1,53,1,59,1,65,4,87,1,91,1,92,1,97,1,98,2,102,1,115,1,127,1,132,1,133,1,139,1,151,1,172,1,176,1]
,"typographical":[8,1]
,"images":[8,1,132,1,144,1,167,1]
,"xml":[8,1,82,1,88,1,105,3,112,2,128,1,140,2,152,1,163,1,171,1]
,"layouts":[8,1]
,"relevant":[8,1,22,1,107,1,118,1,130,1,142,1,154,1,165,1]
,"sections":[8,1,93,1]
,"in-line":[8,1]
,"structures":[8,1]
,"functions":[8,1]
,"shown":[8,4,28,1,85,1]
,"orange":[8,1]
,"lucida":[8,1]
,"console":[8,1]
,"font":[8,3]
,"parameters":[8,1,21,2]
,"filenames":[8,1]
,"directories":[8,1]
,"bold":[8,2]
,"document":[8,1,15,3]
,"titles":[8,1]
,"variable":[8,1,172,1]
,"values":[8,1,9,4,10,1,15,1,27,1,30,1,33,1,43,1,50,1,53,1,54,1,55,1,58,1,59,2,60,2,63,1,65,1,68,1,69,3,75,4,76,1,80,1,81,4,84,1,89,5,90,1,92,3,93,2,97,2,107,1,114,1,118,1,119,1,130,1,142,1,143,1,154,1,155,1,166,1,172,1]
,"italics":[8,2]
,"included":[8,1,28,1,41,1,59,1,120,1,132,1,160,1,172,1]
,"body":[8,1]
,"text":[8,1,11,1,31,1,34,1,61,1,64,2]
,"new":[8,2,15,1,21,1,22,3,24,1,28,1,31,1,46,1,48,4,51,6,56,1,60,5,68,5,69,1,102,3,108,2,114,1,121,1,133,1,145,1,155,2,157,1,159,1,168,1,172,1]
,"called":[8,1]
,"first":[8,1,9,1,17,1,18,1,20,1,22,1,41,1,48,1,59,1,70,1,71,1,83,1,96,1,101,1,108,2,109,1,110,1,119,1,120,2,121,1,124,1,131,1,132,1,133,1,136,1,143,1,144,1,145,1,148,1,151,1,155,2,156,2,157,1,160,1,167,1,168,1]
,"mentioned":[8,1]
,"longer":[8,1,18,1,87,1,92,1]
,"code":[8,1,11,1,29,1,31,1,32,1,34,1,35,2,40,1,48,2,61,1,74,2,85,2,94,1,95,1,105,5,107,1,112,2,118,1,128,2,130,1,140,2,142,1,152,2,154,1,163,2,165,1,171,2]
,"examples":[8,1,159,3,172,1,173,1]
,"courier":[8,1]
,"against":[8,1,62,1]
,"gray":[8,1]
,"background":[8,1]
,"1.8.2":[9,1]
,"general":[9,2,18,1,19,1,109,1,120,1,132,1,144,1,156,1,159,1]
,"transport":[9,1,11,1,59,1,67,1]
,"syntax":[9,2]
,"dot-separated":[9,1]
,"notation":[9,1]
,"indicates":[9,1,12,1,23,1,24,1,25,1,27,4,28,13,30,4,31,14,34,1,48,3,53,2,54,6,55,3,56,1,57,1,59,4,60,2,64,2,65,2,68,2,75,1,77,3,78,5,79,1,81,1,84,1,86,1,95,1,107,6,108,4,109,5,118,6,120,5,121,1,130,6,131,5,132,5,133,1,142,7,143,5,144,3,145,1,154,3,155,4,156,5,157,1,165,5,166,3,167,4,168,1,175,1,176,1]
,"hierarchy":[9,1]
,"period":[9,1]
,"indicate":[9,1,24,1,33,1,53,1,55,1,56,1,59,1,61,1,68,1,75,1,79,1,119,3]
,"structure":[9,1,15,2,42,1,57,1,65,1,78,1]
,"membername":[9,1]
,"entry":[9,1,41,1,42,1,48,2,53,1,59,4,60,4,61,2,62,2,63,2,64,4,65,1,68,1,74,1,75,2,84,1,92,2,119,1,120,1,127,2,129,1,131,1,132,1,135,1,139,1,143,1,144,1,147,1,151,1,161,1,164,2,166,2,167,2,169,1,173,1,174,1,175,1,176,1]
,"element":[9,1,10,1,27,1,28,6,31,4,34,1,41,1,42,1,43,1,57,1,59,2,60,3,61,4,62,1,63,2,64,1,65,1,70,3,81,1,84,4,87,1,92,2,96,1,97,1,172,3,173,3,174,2,175,5,176,2]
,"name":[9,1,13,1,18,1,27,7,28,4,30,3,31,4,33,2,34,1,38,1,39,1,41,2,42,1,43,1,49,2,50,2,51,3,53,1,54,1,55,1,56,1,57,2,59,8,60,1,61,1,62,1,63,1,64,4,65,1,67,1,74,3,75,1,77,3,78,3,79,1,81,1,84,4,85,1,86,2,87,5,92,1,95,2,96,3,97,2,98,1,100,1,107,4,108,5,109,8,110,8,118,4,119,6,120,7,121,7,130,4,131,6,132,6,133,6,142,4,143,4,144,8,145,8,149,1,151,1,154,4,155,5,156,6,157,6,161,2,164,2,165,4,166,4,167,6,168,7,171,1,172,1,173,1,175,1,176,1]
,"streamid":[9,4,27,1]
,"assigned":[9,1,28,1]
,"application":[9,1,11,1,17,2,21,4,22,1,23,2,24,2,25,1,26,2,27,3,28,18,31,13,38,2,39,1,45,1,46,1,48,2,51,3,53,3,54,1,55,1,56,1,57,1,58,1,59,1,60,1,64,1,65,1,70,3,71,2,72,1,73,1,75,1,76,1,77,2,78,5,79,1,89,1,107,2,108,3,109,5,110,2,114,3,119,1,120,5,121,3,130,2,131,5,132,3,133,2,142,2,143,5,144,3,145,3,152,1,154,4,155,5,156,5,157,2,163,2,165,2,166,5,167,3,168,2,172,1,173,1,174,2]
,"used":[9,1,10,2,11,1,13,1,15,1,22,1,26,1,27,8,28,1,30,9,31,1,33,9,34,1,36,1,37,2,38,11,40,1,49,1,50,2,51,2,53,11,54,9,55,10,56,9,57,8,58,4,63,2,65,1,71,1,77,9,78,7,79,10,81,2,83,1,84,2,86,7,87,1,89,3,95,7,100,2,101,1,103,1,104,4,107,7,108,5,109,5,110,5,116,1,118,7,119,5,120,5,121,6,127,2,130,6,131,5,132,5,133,5,139,2,142,7,143,4,144,6,145,5,151,2,154,7,155,5,156,5,157,5,159,2,161,4,163,1,165,7,166,5,167,6,168,5,171,2]
,"across":[9,1,23,3,24,1,28,2,31,1,41,1]
,"consumer":[9,1,17,8,18,4,20,1,21,1,22,1,23,1,24,1,25,1,26,1,27,1,28,15,31,4,33,1,37,2,38,6,39,1,40,1,41,3,42,1,44,2,45,1,46,5,48,2,50,1,52,1,53,7,56,1,58,1,59,5,62,1,64,2,68,1,70,1,71,1,72,2,73,4,75,4,76,2,77,5,78,3,81,1,100,1,102,4,103,1,107,8,108,2,109,2,111,1,114,2,118,10,120,4,122,1,128,1,130,7,131,2,132,2,134,1,140,1,142,9,144,2,146,1,152,1,154,7,155,1,156,2,158,1,165,5,166,4,167,2,169,3,176,4]
,"assign":[9,2,83,1]
,"positive":[9,1,40,1]
,"requesting":[9,1,17,1,23,1,24,1,31,2,59,2,118,1,169,1,172,1,174,1]
,"interactive":[9,1,13,1,17,3,27,1,30,1,38,3,42,1,44,1,52,1,56,1,64,3,78,1,79,1,119,1,120,1,121,1,131,1,132,1,133,1,143,1,144,1,145,1,157,1,168,1]
,"provider":[9,2,13,3,17,7,18,3,23,1,24,1,25,1,26,1,27,3,28,9,30,2,31,40,33,2,37,1,38,6,40,1,41,8,42,4,43,2,44,2,45,1,46,5,48,8,52,1,54,2,55,2,56,2,57,4,58,2,59,3,60,5,62,1,65,2,68,6,72,4,75,2,78,1,79,1,80,2,89,1,100,1,102,1,103,2,105,1,107,2,108,4,109,5,110,3,111,1,118,2,119,5,120,6,121,4,122,1,130,2,131,3,132,8,133,6,134,1,142,2,143,5,144,8,145,6,146,1,154,2,155,4,156,5,157,4,158,1,166,2,167,7,168,6,169,3,172,1]
,"respond":[9,1,24,1,30,1,31,1,41,1,46,1,60,1]
,"non-interactive":[9,1,13,1,26,1,27,1,28,3,33,1,54,1,55,1,56,1,78,1,79,1,108,1,109,1,110,1,119,1,120,1,121,1,131,1,132,1,133,1,143,1,144,1,145,1,155,1,156,1,157,1,166,1,167,1,168,1]
,"negative":[9,1,40,1]
,"payload":[9,2,25,1,27,1,30,3,33,1,37,1,38,3,41,6,42,3,43,2,53,1,54,2,55,3,56,1,57,2,58,2,65,2,74,1,77,1,78,3,79,1,80,1,81,1,82,3,84,3,92,3,96,1,100,1,101,1,107,3,108,2,109,1,110,1,112,2,118,2,119,1,120,1,121,1,123,3,127,2,130,3,131,1,132,1,133,1,135,3,139,2,142,3,143,1,144,1,145,1,147,3,151,2,154,3,155,2,156,1,157,1,159,3,164,2,165,3,166,2,167,2,168,1,169,5,171,1,172,5,173,3,174,2,175,1]
,"generically":[9,1]
,"refers":[9,1]
,"integer":[9,1,84,1,85,2,89,8,90,2,92,2,97,1,127,1,139,2,151,1]
,"constants":[9,1]
,"capital":[9,1]
,"letters":[9,1]
,"underscores":[9,1]
,"e.g":[9,4,12,1,13,3,17,1,28,5,31,3,48,1,51,1,59,7,60,1,61,3,75,5,76,2,84,4,92,1,97,1,100,1,128,1,140,1,152,1,172,1]
,"mmt_market_price":[9,1,59,1,106,1,107,1,108,1,109,1,110,1]
,"service_info_id":[9,2,58,1,59,1]
,"found":[9,1,84,1]
,":ema":[9,1]
,":rdm":[9,1]
,"namespace":[9,1]
,"include":[9,1,27,1,38,1,53,1,59,1,60,1,61,1,63,1,81,1,83,2,98,1,101,1,106,1,108,2,124,1,148,1,155,1,159,1,160,1,175,1]
,"emardm.h":[9,1]
,"names":[9,4,13,2,59,4,73,1,75,1,87,3,92,1,96,1,100,2,164,1,166,1,172,1,173,2,174,2,176,1]
,"filterid":[9,1]
,"correspond":[9,2,58,1,87,1,92,1]
,"flag":[9,1,20,3,21,2,22,1,27,1,58,1,130,1,132,2,142,1,154,2]
,"value":[9,1,10,1,13,1,14,1,16,1,22,4,27,2,28,1,30,2,31,4,33,1,37,1,38,4,41,2,43,1,53,1,54,1,55,1,56,1,57,1,59,1,61,2,62,1,63,1,75,2,76,4,77,1,78,1,79,1,81,2,83,1,84,3,87,1,89,1,90,2,92,6,94,2,95,1,97,7,107,1,108,1,109,2,110,2,112,1,114,5,118,1,119,1,120,1,121,1,127,1,130,2,131,2,132,1,133,1,142,2,143,1,144,1,145,1,151,1,152,1,154,1,155,1,156,1,157,1,161,1,165,1,166,1,167,1,168,1,171,1,172,1,173,1]
,"enumeration":[9,1,13,1,28,1,31,1,34,1,83,1,127,7,139,5,151,8]
,"key\u2019s":[9,1]
,"ilter":[9,1]
,"service_info_filter":[9,1,53,2,58,1,59,1,73,1]
,"shortened":[9,1]
,"clarity":[9,1,16,1]
,"directoryinfo":[9,1,100,1]
,"members":[9,1]
,"method":[9,1,27,1,107,2,118,2,130,1,142,1,154,1]
,"interface":[9,1,11,1]
,"prefixes":[9,1]
,"removed":[9,1,72,2,127,1,151,1]
,"character":[9,1,27,1,28,1]
,"always":[9,1,44,1,73,1,83,1,113,1]
,"upper":[9,1]
,"case":[9,1,22,1,26,1,72,1,107,1,118,1,130,1,131,1,133,1,142,1,154,1,172,1]
,"1.8.3":[10,1]
,"definitions":[10,1,14,1,81,1]
,"standard":[10,1,11,2,14,1,51,1,98,1]
,"behaviors":[10,1,12,1,19,1,28,1,165,1,169,2,174,1,175,1]
,"illustrates":[10,1]
,"default":[10,2,27,1,28,3,31,12,34,1,41,3,42,1,53,2,59,6,60,1,61,1,62,1,63,1,64,3,65,1,77,1,84,1,130,1,132,1,133,1,142,1,172,3,173,1,175,1,176,1]
,"behavior":[10,1,19,1,41,2,48,4,59,4,60,1,61,1,62,1,64,1,114,1,169,1,172,1,174,2,175,1,176,1]
,"means":[10,7,28,1,62,1,83,1,102,2]
,"attribute":[10,2,23,1,24,1,25,1,86,1,95,2]
,"extensible":[10,2,58,7,59,1,81,3,175,1]
,"pass-on":[10,1]
,"information":[10,2,11,1,13,14,18,2,22,4,23,1,24,1,25,2,27,3,28,10,30,2,31,17,33,2,34,1,39,1,41,7,48,4,52,5,53,5,54,3,55,3,56,4,57,1,58,10,59,3,60,2,61,4,62,2,63,1,64,3,65,1,66,1,72,1,73,1,74,1,75,7,76,1,77,6,78,1,80,1,81,1,83,2,84,2,85,2,86,4,92,1,95,4,100,1,101,4,102,3,104,2,106,3,107,2,108,2,109,3,110,3,111,1,112,2,117,1,118,2,119,2,120,5,121,3,122,1,124,1,125,2,127,2,129,2,130,2,131,3,132,5,133,3,134,1,136,1,137,1,139,2,141,2,142,2,143,2,144,5,145,3,146,1,148,1,149,2,151,2,153,1,154,2,155,2,156,3,157,3,158,1,159,2,160,1,161,5,164,2,165,2,166,1,167,4,168,3,169,5,171,2,172,1,176,1]
,"however":[10,1,22,1,28,1,46,1,48,1,60,1,68,2,78,1,108,1,109,1,110,1,114,2,119,1,120,1,121,1,128,1,132,1,140,1,143,1,144,1,145,1,152,1,155,1,156,1,157,1,167,1,168,1]
,"guarantee":[10,1,28,1]
,"passed":[10,2,27,1,28,1,48,1]
,"network":[10,2,75,2,97,1]
,"cause":[10,1,114,1]
,"problems":[10,1]
,"interacting":[10,1]
,"components":[10,1,13,3,25,1,28,1,31,1,34,1,41,1]
,"required":[10,4,13,3,27,8,28,1,30,3,31,3,33,1,34,1,37,1,38,2,41,2,42,1,43,1,46,1,53,5,54,5,55,2,56,2,57,3,58,1,59,5,60,1,61,1,62,1,64,1,65,1,73,1,74,1,75,1,77,9,78,7,79,1,80,1,81,2,97,1,100,1,107,9,108,8,109,7,110,5,118,9,119,7,120,7,121,5,130,8,131,7,132,7,133,5,142,8,143,8,144,7,145,5,154,3,155,8,156,7,157,5,163,1,165,8,166,7,167,6,168,5,172,3,173,1]
,"conditional":[10,1,27,1,28,1,41,2,54,1,55,1,59,1,63,1,78,1,79,1,109,5,110,4,120,3,121,3,130,1,131,1,132,4,133,4,142,1,143,1,144,4,145,4,154,1,155,1,156,5,157,4,165,1,166,1,167,5,168,5,172,1]
,"date":[10,1,18,1,85,1,86,3,88,2,89,3,91,1,95,4,124,1,136,1,148,1,161,9]
,"depending":[10,1,78,1,107,1,118,1,130,1,142,1,154,1,172,1]
,"scenario":[10,1]
,"context":[10,1]
,"description":[10,1,16,1,19,1,26,1,27,2,28,1,30,1,31,1,33,1,34,1,37,1,38,1,41,3,42,1,43,1,52,1,53,1,54,1,55,1,56,1,57,1,58,3,59,2,60,2,61,2,62,1,63,1,64,2,65,1,75,2,77,1,78,1,79,1,80,1,81,1,84,2,86,1,92,2,95,2,104,1,106,1,107,1,108,1,109,1,110,1,117,1,118,1,119,1,120,1,121,1,129,1,130,1,131,1,132,1,133,1,141,1,142,1,143,1,144,1,145,1,153,1,154,1,155,1,156,1,157,1,161,1,164,1,165,1,166,1,167,1,168,1,172,2,173,1,175,1,176,1]
,"recommended":[10,1]
,"strictly":[10,1]
,"optional":[10,1,13,1,27,6,30,6,33,5,38,1,53,2,54,1,55,2,56,3,57,1,77,1,78,2,79,2,107,6,108,5,109,6,110,3,118,6,119,7,120,6,121,6,130,6,131,6,132,6,133,5,142,6,143,5,144,6,145,5,154,6,155,5,156,4,157,5,164,1,165,4,166,6,167,5,168,4]
,"handled":[10,1]
,"understood":[10,1]
,"even":[10,1,21,1,22,1,48,1,59,1,72,1,92,1,103,1,108,1,115,1,127,1,139,1,151,1,155,1]
,"present":[10,2,28,1,30,2,31,4,33,1,41,3,53,2,55,1,56,1,59,2,60,1,61,1,63,1,75,1,108,1,114,2,124,1,131,1,136,1,148,1,155,1,160,1,164,1]
,"numeric":[10,1]
,"elements":[10,1,28,4,31,3,34,3,41,1,42,1,48,1,59,1,60,1,61,1,62,2,63,2,65,1,68,1,69,1,70,1,81,1,100,2,172,3]
,"added":[10,1,58,1,59,1,85,1,95,1]
,"lists":[10,1,59,3,81,1,89,1,96,1,97,1,100,1,116,1]
,"assumes":[10,1,31,1,59,1,118,1]
,"supported":[10,3,19,1,31,2,36,1,49,1,50,1,52,1,53,1,59,2,65,1,75,1,77,1,78,1,80,1,88,1,91,1,106,1,117,1,129,1,132,1,134,1,141,1,144,1,158,1,164,1,167,1,172,1,173,1]
,"existing":[10,1,15,1,22,1,33,1,55,1,56,1,58,1,60,3,68,3,69,1,70,1,98,1,102,2]
,"except":[10,2,80,1]
,"explicitly":[10,1]
,"posting":[10,7,25,4,31,4,39,5,40,2,111,1,122,1,134,1,146,1,158,1]
,"assumed":[10,1,27,1,30,1,33,1,64,1,119,1,131,1,166,1,167,1]
,"currently-defined":[10,1,13,1]
,"otherwise":[10,1,12,1,172,1]
,"indicated":[10,1,20,1,22,1,23,1,48,1,119,1,128,1,140,1,152,1]
,"source":[10,1,11,1,13,3,52,2,53,5,54,2,55,3,56,4,57,6,58,4,59,6,60,2,61,2,62,3,63,3,64,11,65,4,68,5,72,3,73,1,77,1,78,1,102,1,107,1,118,1,128,1,130,1,140,1,141,1,142,1,149,1,152,1,154,1]
,"directory":[10,1,13,2,48,2,52,1,53,12,54,3,55,3,56,9,57,4,58,5,59,2,60,2,61,2,62,2,63,3,64,2,65,5,66,1,67,1,72,3,73,5,74,6,77,1,78,1,80,1,100,2,107,1,118,1,130,1,142,1,154,1]
,"dictionary":[10,1,13,4,22,2,28,5,31,5,58,1,59,6,75,6,76,3,77,13,78,11,79,4,80,3,81,10,83,15,84,6,85,7,86,14,87,4,88,1,91,3,92,6,93,1,94,2,95,19,96,3,97,1,98,3,100,8,101,1,102,7,103,4,104,10,105,3,127,1,139,1,151,1,161,1,163,1]
,"domains":[10,2,17,1,18,1,19,2,20,1,59,1]
,"login":[10,2,13,3,17,1,21,2,23,1,24,1,25,2,26,4,27,22,28,10,29,6,30,14,31,13,32,8,33,14,34,3,35,7,36,2,37,5,38,5,39,2,40,1,41,3,42,4,43,1,44,4,45,7,46,10,47,1,49,3,50,2,51,10,67,1,73,1,169,1]
,"follow":[10,2,15,1,48,1]
,"off-stream":[10,1,25,1,39,2,40,1]
,"rules":[10,2,15,1,124,2,127,2,136,1,148,1,151,1]
,"target":[10,2,87,1]
,"allowed":[10,1,17,1,46,1,60,1,61,1,62,1]
,"on-stream":[10,1,25,1,39,1]
,"1.9":[11,1]
,"acronyms":[11,2]
,"abbreviations":[11,2,48,1]
,"table":[11,1,13,2,16,2,27,2,28,2,30,1,31,1,33,1,34,1,37,1,38,1,41,2,42,1,43,1,48,5,53,1,54,1,55,1,56,1,57,1,58,4,59,1,60,1,61,2,62,1,63,1,64,1,65,1,68,1,75,4,76,4,77,1,78,1,79,1,80,2,81,1,83,1,84,2,85,1,86,2,87,1,88,1,89,2,90,1,92,6,93,2,95,2,96,2,97,2,104,2,107,1,108,1,109,1,110,1,118,1,119,1,120,1,121,1,130,1,131,1,132,1,133,1,142,1,143,1,144,1,145,1,154,1,155,1,156,1,157,1,161,2,165,1,166,1,167,1,168,1,172,1,173,1,175,1,176,1]
,"acronym":[11,1,84,2,85,2,87,4,94,2,96,1]
,"adh":[11,1]
,"advanced":[11,3,23,1,33,1,41,1,52,1,57,3,58,1,59,1,60,1,153,1,163,1]
,"hub":[11,1,52,1,57,3,58,1,59,1,60,1]
,"ads":[11,1]
,"server":[11,2,23,1,28,6,31,14,33,1,41,3,42,2,44,2,51,1,57,2,153,1,163,1]
,"programming":[11,1]
,"ascii":[11,1,28,9,31,4,34,1,41,2,49,1,59,5,64,2,81,3,84,2,88,1,89,1,92,1,100,1,101,1,125,1,172,2,173,1]
,"american":[11,1]
,"interchange":[11,1]
,"ats":[11,1,163,1]
,"transformation":[11,1,153,1,163,1]
,"dacs":[11,1]
,"control":[11,1,27,2,28,5,30,1,31,4,33,1,50,3]
,"dmm":[11,1,172,1,173,1]
,"ema":[11,1]
,"eta":[11,1]
,"omm":[11,1,78,1]
,"qos":[11,1,13,1,27,1,30,1,53,1,54,1,59,13,77,1,78,1,88,1,107,8,108,2,109,2,118,6,119,2,130,8,131,2,132,2,133,2,142,8,143,2,144,2,145,2,154,8,155,2,157,2,165,1,166,1,167,1,168,1]
,"quality":[11,1,52,1,68,1,166,1,167,1,168,1]
,"service":[11,1,13,1,47,2,52,4,53,12,57,1,58,11,59,21,60,10,62,5,63,2,64,3,65,8,67,4,68,1,69,1,70,3,72,7,73,1,74,11,77,4,78,4,100,2,107,4,108,4,109,4,110,4,118,6,119,4,120,4,121,4,130,4,131,4,132,4,133,4,142,4,143,4,144,4,145,4,154,4,155,4,156,4,157,4,164,1,165,4,166,5,167,5,168,5]
,"rdm":[11,1]
,"delivery":[11,1,13,1,17,1]
,"platform":[11,1,13,1,17,1]
,"rmtes":[11,1,88,1,89,1,125,1]
,"multi-lingual":[11,1]
,"sink":[11,1]
,"library":[11,1]
,"rtt":[11,1,28,3,38,9,43,2]
,"round":[11,2,28,1,38,2,43,1]
,"trip":[11,2,28,1,38,2,43,1]
,"latency":[11,1,28,2,43,2]
,"monitoring":[11,1,28,3,31,1,41,1]
,"rwf":[11,1,85,3,87,2,90,2,98,1]
,"ts1":[11,1,116,1]
,"series":[11,1,61,2,78,2,81,1,82,1,84,3,88,1,92,2,104,1]
,"2.1":[12,1]
,"arrangement":[12,1]
,"define":[12,1,14,1,15,1,107,1,118,1,130,1,142,1,154,1,159,3]
,"specialized":[12,1]
,"meaning":[12,1,20,1,68,1,92,2,94,2,97,3]
,"semantics":[12,1,15,2,44,1,66,1,99,1,113,1,126,1,138,1,150,1,162,1,170,1]
,"contained":[12,2,22,1,30,1,75,1,81,1,84,1,95,1,106,1]
,"unless":[12,1,131,1,133,1,172,1]
,"specifies":[12,1,27,5,28,1,30,1,31,4,34,1,41,4,43,3,53,1,54,1,59,5,60,1,61,1,74,1,77,3,78,3,81,1,107,4,108,4,109,7,110,5,118,2,119,5,120,3,121,5,130,4,131,5,132,7,133,7,142,4,143,5,144,9,145,6,154,3,155,5,156,5,157,5,165,3,166,5,167,7,168,5,172,1,174,1,175,1]
,"applies":[12,1,58,1,60,1,61,1]
,"previously-received":[12,1]
,"modified":[12,1,48,1]
,"2.2":[13,1]
,"user-defined":[13,1,14,2,31,3]
,"2.2.1":[13,1]
,"typically":[13,2,22,2,27,2,28,1,30,2,31,2,33,1,42,1,58,1,61,1,67,1,78,1,82,1,86,1,95,1,97,1,107,1,118,1,120,2,125,1,130,1,132,1,136,1,142,1,144,2,145,1,149,1,154,1,156,1,161,5,164,1,165,2,167,1,169,1]
,"consumed":[13,1]
,"product":[13,1,28,1]
,"authenticating":[13,1,28,1]
,"exchanging":[13,1]
,"dictionaries":[13,2,17,1,59,3,75,4,76,1,81,1,83,3,89,1,100,5,101,1,102,1]
,"providing":[13,1,23,1,24,2,26,1,27,1,62,1,63,1,121,1]
,"consuming":[13,1,27,1,107,1,114,1,118,1,120,1,130,1,142,1,154,1,156,1,165,1]
,"price":[13,10,17,1,20,1,23,2,59,2,85,5,89,2,90,1,106,2,107,3,108,5,109,4,110,3,111,2,112,3,117,1,124,1,125,2,127,2,129,5,130,3,131,5,132,5,133,3,134,2,136,1,137,4,139,4,140,2,148,1,149,1,151,5]
,"order":[13,6,17,1,41,1,59,1,61,1,117,5,118,3,119,6,120,6,121,3,122,2,124,2,125,4,127,8,128,1,131,1,136,1,137,4,139,4,148,1,151,2]
,"lseg\u2019s":[13,1]
,"less":[13,1,15,1,62,1,123,1,135,1,147,1]
,"128":[13,1,14,1,15,2,89,1]
,"high-level":[13,1]
,"overview":[13,2]
,"currently-available":[13,1]
,"chapters":[13,1]
,"detailed":[13,1,19,1,107,1,118,1,165,1]
,"descriptions":[13,1,80,1,159,1]
,"purpose":[13,1]
,"authenticates":[13,1,28,1,31,2]
,"advertise":[13,1,72,1,103,1]
,"request":[13,2,15,1,16,2,17,2,20,4,21,2,24,3,26,3,27,19,28,7,29,4,30,4,31,13,33,3,38,1,41,1,44,3,45,1,46,2,48,1,49,2,50,1,51,4,53,14,54,1,56,1,59,1,62,1,68,1,73,5,74,2,75,1,77,9,78,1,100,3,101,1,103,1,105,1,107,12,108,3,109,7,110,5,112,1,113,1,118,10,119,2,120,3,121,1,128,1,130,9,131,3,132,7,133,5,140,1,142,10,143,2,144,3,145,1,152,1,154,9,155,2,156,7,157,5,163,1,165,8,166,3,167,3,168,1,169,2,171,1,172,2,173,3,174,3,175,2]
,"features":[13,1,107,1,118,1,130,1,142,1,154,1,165,1]
,"support":[13,3,20,1,23,2,24,1,25,1,28,3,31,12,41,1,46,1,48,2,59,1,77,1,80,2,105,1,107,1,111,1,113,1,118,1,122,1,130,1,142,1,153,1,154,1]
,"considered":[13,3,20,1,72,1]
,"administrative":[13,3]
,"expected":[13,4,30,1,41,3,75,1,101,1,175,1]
,"conformance":[13,1]
,"chapter":[13,9,59,3,153,1]
,"advertises":[13,1]
,"services":[13,1,17,1,52,1,53,2,54,2,55,3,58,1,59,1,60,1,62,2,63,2,72,2,74,1,107,1,118,1,130,1,142,1,154,1]
,"state":[13,1,28,2,30,1,31,2,33,4,41,1,48,13,52,2,53,1,54,3,55,1,56,5,58,1,60,7,61,3,64,1,68,1,69,1,70,2,71,1,72,1,78,2,79,1,80,1,103,1,108,2,110,3,119,2,121,3,124,1,127,1,131,2,133,3,136,1,139,1,143,2,145,3,148,2,151,1,155,2,157,3,166,2,168,3]
,"capabilities":[13,1,52,1,59,1]
,"conveys":[13,1,52,1,55,1,56,1,59,1,60,1,61,1,62,1,63,1,64,1,81,1,109,1,110,1,121,1,133,1,145,1,156,1,157,1,168,1]
,"group":[13,2,31,1,42,1,47,2,48,1,52,1,55,3,58,3,59,1,60,1,61,15,69,2,71,5,108,1,109,1,110,1,119,1,131,1,143,1,155,1,166,1]
,"status":[13,1,15,1,16,1,20,1,24,1,30,1,33,7,34,2,35,4,37,1,42,1,45,1,46,3,47,2,48,4,52,2,53,2,55,1,56,4,57,1,58,2,60,8,61,6,63,1,64,1,65,1,69,2,70,3,71,2,72,1,77,1,79,3,110,5,113,1,119,1,121,4,131,1,133,4,143,1,145,4,157,4,166,1,168,4]
,"merge":[13,1,58,1,61,2]
,"require":[13,2,57,1,89,1]
,"strongly":[13,1]
,"recommends":[13,2,53,1,60,1,77,1,103,1]
,"consumers":[13,1,31,1,41,1,44,1,60,1,103,3]
,"expect":[13,1]
,"conform":[13,1]
,"needed":[13,1,14,1,15,1,46,1,60,1,65,1,75,1,77,4,80,1,83,1,84,1,92,1,97,1,100,2]
,"decoding":[13,1,75,1,76,1,77,1,87,1,102,1,104,1,155,1,156,1]
,"domain\u2019s":[13,1]
,"level":[13,3,22,2,23,2,106,1,115,3,117,1,129,1]
,"trades":[13,1,106,1]
,"indicative":[13,1,106,1]
,"quotes":[13,3,106,2,141,1]
,"top":[13,1]
,"book":[13,1,119,1,120,1,127,2,131,1]
,"includes":[13,1,26,1,52,1,58,2,59,1,74,1,83,1,91,1,92,1,95,1,100,1,108,1,127,2,136,1,139,1,149,1,151,1,155,1,161,1,169,2,171,1,173,1]
,"volume":[13,1,106,1]
,"bid":[13,4,75,1,106,1,117,1,125,1,127,1,129,1,137,1,139,1,141,1,149,3,151,3]
,"ask":[13,3,106,1,117,1,125,1,127,1,129,1,137,1,139,1,141,1,149,3,151,3]
,"net":[13,1,28,2,29,1,31,2,106,1]
,"change":[13,1,21,1,22,1,27,1,33,1,51,1,52,1,53,1,56,2,58,3,60,3,61,4,66,1,70,1,71,1,80,1,106,1,110,1,114,1,121,2,127,1,133,2,139,1,145,2,151,1,157,2,168,2]
,"last":[13,1,85,5,106,1,131,1]
,"high":[13,1,106,1]
,"low":[13,1,106,1]
,"full":[13,1,57,1,117,1]
,"books":[13,1,117,1]
,"contains":[13,4,28,1,31,1,40,1,41,5,42,1,53,2,54,1,55,1,56,1,58,2,65,1,74,1,75,2,76,1,84,1,92,1,93,1,104,3,115,1,117,1,119,1,120,1,125,2,127,2,129,1,131,1,132,1,137,2,139,3,141,1,143,1,144,2,149,2,151,1,160,1,161,7,164,1,166,2,167,2,169,2,171,1,172,1,173,1]
,"list":[13,5,17,1,31,3,41,5,58,1,59,3,72,1,75,1,76,1,92,2,93,1,100,1,106,1,112,1,117,1,127,1,129,1,137,1,139,1,141,1,149,1,161,1,164,1,165,5,166,6,167,5,168,3,169,3,171,1,172,2,173,3,174,8,175,6,176,4]
,"orders":[13,1,117,1,124,2,127,2,136,2,137,1,139,3,148,2,151,2]
,"keyed":[13,3]
,"ids":[13,1,28,2,31,2,67,1,73,1,172,2]
,"related":[13,3,46,2,53,1,59,3,65,1,100,1,106,1,117,1,129,1,165,1]
,"whether":[13,1,28,3,30,1,31,11,46,1,53,1,54,1,57,1,58,1,59,5,60,2,64,3,68,2,86,1,108,1,114,1,117,1,119,2,131,1,143,1,155,1,166,1,176,1]
,"size":[13,1,84,1,117,1,125,1,127,1,137,1,139,1,149,2,151,2]
,"quote":[13,2,117,1,124,1,125,1,127,1,136,1,137,1,139,1,141,1,148,1,149,1,151,2]
,"maker":[13,4,117,1,125,1,139,3,141,3,142,3,143,7,144,6,145,3,146,3,149,2,151,5,152,1]
,"identifier":[13,1,27,2,30,1,33,1,38,1,53,1,54,1,55,1,56,1,57,1,77,1,78,1,79,1,87,1,107,1,108,1,109,1,110,1,117,1,118,1,119,1,120,1,121,1,124,1,125,1,130,1,131,1,132,1,133,1,136,1,142,1,143,1,144,1,145,1,148,1,154,1,155,1,156,1,157,1,165,1,166,1,167,1,168,1]
,"depth":[13,1,129,1,139,2]
,"points":[13,1,15,1,129,1]
,"side":[13,1,38,3,125,1,127,1,129,1,137,2,139,2]
,"trade":[13,1,124,1,127,1,136,1,139,1,141,1,148,1,151,1]
,"makers":[13,1,137,2,141,1,151,1]
,"maker\u2019s":[13,2,141,2,149,1]
,"asking":[13,1]
,"prices":[13,1,124,1,127,1,136,1,139,1,141,1,148,1,151,1,159,1,161,1]
,"yield":[13,5,153,3,154,3,155,3,156,3,157,3,158,2,159,6,161,8,163,2]
,"curve":[13,6,153,3,154,4,155,3,156,3,157,3,158,2,159,13,161,8,163,2]
,"contain":[13,2,25,1,30,1,31,1,33,1,34,1,38,3,41,2,43,1,57,1,75,1,80,2,92,2,100,1,107,1,108,1,118,1,130,1,139,2,142,1,153,1,154,1,155,1,159,2,163,1,165,1,169,3,172,1]
,"input":[13,1,159,2,161,7]
,"calculate":[13,1,159,2,161,4]
,"along":[13,1,31,3,41,1,85,1,95,1,174,2]
,"output":[13,1,159,2,161,8]
,"itself":[13,1,24,1,64,1,76,1,159,1]
,"shows":[13,1,48,3,61,1,153,1]
,"relation":[13,1,153,1]
,"interest":[13,2,24,1,109,2,120,2,132,2,144,2,153,2,156,2,167,2,172,1,173,2,174,3,175,1]
,"rate":[13,1,107,1,118,1,130,1,142,1,153,1,154,1,161,7]
,"term":[13,1,153,1]
,"debt":[13,1,153,1]
,"borrower":[13,1,153,1]
,"curve\u2019s":[13,1,159,1]
,"shape":[13,1,153,1]
,"help":[13,1,61,1,62,1,89,1,153,1,159,1]
,"give":[13,1,153,1]
,"idea":[13,1,153,1]
,"economic":[13,1,153,1]
,"activity":[13,1,153,1]
,"rates":[13,1,153,1,159,2,161,3]
,"symbol":[13,4,31,3,59,1,89,3,143,1,164,4,165,4,166,4,167,3,168,3,169,4,171,2,174,7,175,4,176,4]
,"index":[13,1,164,1]
,"cache":[13,1,22,7,30,1,54,1,56,1,78,2,79,1,80,1,84,1,100,1,108,1,109,1,114,1,119,2,120,1,121,1,131,2,132,1,133,1,143,2,145,1,155,2,156,1,157,1,164,1,166,2,167,1,168,1]
,"minimally":[13,1,53,1]
,"optionally":[13,1,17,1,43,1,58,2,81,2,137,1]
,"cross-reference":[13,1,164,1,169,1]
,"permission":[13,1,27,1,28,4,30,1,31,4,58,2,65,1,84,1,85,1,108,1,119,1,124,1,127,1,131,1,136,1,139,1,143,1,148,1,151,1,155,1,164,1,166,1,167,1,169,2,171,1]
,"type":[13,1,16,7,25,1,27,1,28,1,30,1,31,1,33,1,34,1,37,1,38,1,41,3,42,1,43,1,51,1,53,1,58,3,59,1,60,1,61,1,62,1,63,4,64,3,65,1,75,2,76,2,78,2,81,6,84,6,85,3,86,3,87,5,88,2,89,7,90,2,91,1,92,9,95,6,96,1,97,1,100,2,104,1,105,1,109,1,110,1,112,1,120,1,121,1,139,1,144,1,145,1,159,3,161,4,164,1,165,1,168,1,172,3,173,1,175,1,176,1]
,"venue-specific":[13,1,164,1]
,"2.2.2":[14,1]
,"user":[14,2,26,3,27,8,28,5,29,1,31,5,32,1,33,2,34,1,37,2,38,1,46,2,51,2,172,1,173,1]
,"party":[14,1]
,"solve":[14,1]
,"need":[14,1,22,2,27,1,28,2,41,1,46,1,52,1,53,1,59,1,61,2,63,1,75,1,83,1,92,1,174,1]
,"deployment":[14,1,50,1]
,"resolvable":[14,1]
,"255":[14,1,15,1,81,1,89,2]
,"designers":[14,1]
,"work":[14,1,15,1,68,1]
,"seamless":[14,1,15,1]
,"interoperability":[14,1,15,1]
,"products":[14,1,15,1]
,"2.2.3":[15,1]
,"creation":[15,1,159,1]
,"discusses":[15,1]
,"capable":[15,1,41,1]
,"flowing":[15,1]
,"create":[15,1,46,2]
,"addition":[15,1,31,1,55,1]
,"defining":[15,1,75,1]
,"consider":[15,1]
,"questions":[15,1]
,"really":[15,1]
,"express":[15,1]
,"well-defined":[15,1]
,"templates":[15,1]
,"good":[15,1]
,"approach":[15,1]
,"properties":[15,1]
,"cases":[15,1,97,1,114,1]
,"limitations":[15,1]
,"specified":[15,1,19,1,27,2,28,2,30,3,31,4,33,1,45,1,51,4,53,4,61,1,107,2,108,2,109,1,110,1,111,1,118,1,119,1,121,1,122,1,130,2,131,2,132,2,133,2,142,2,143,1,154,3,155,3,156,2,157,2,165,2,166,1,168,2,172,2]
,"abide":[15,1]
,"custom":[15,4,90,2]
,"refresh":[15,1,16,1,20,6,21,1,22,5,27,1,30,10,31,4,32,4,41,2,46,1,54,8,58,3,60,2,61,1,70,1,71,1,78,5,81,1,84,1,92,2,105,2,107,2,108,14,109,1,110,1,112,1,113,2,114,4,115,1,118,2,119,13,120,3,121,1,123,1,124,1,127,2,128,2,130,2,131,13,132,1,133,1,135,1,136,1,139,2,140,3,142,2,143,10,144,1,145,1,147,1,148,1,151,2,152,2,154,3,155,11,156,4,157,1,159,1,160,1,166,9,167,1,168,1,169,1,171,2]
,"implicitly":[15,1,46,1]
,"messages":[15,1,17,1,20,3,23,1,27,1,28,1,31,5,36,1,38,2,39,1,40,2,44,1,45,1,46,4,47,1,48,1,53,1,54,1,55,1,57,1,58,1,59,3,60,1,67,1,71,1,77,1,78,1,101,1,108,3,109,1,113,1,119,2,120,2,121,2,123,4,128,2,131,2,132,1,135,3,140,3,143,2,144,1,146,1,147,3,152,2,155,1,156,1,166,2,167,1,173,1,174,1]
,"desired":[15,1,28,1,62,1,77,3,100,1,169,1,172,2]
,"accomplished":[15,1]
,"free-form":[15,1]
,"bidirectional":[15,1]
,"stream":[15,1,18,2,20,2,21,6,24,1,27,5,28,3,31,5,33,5,36,1,37,1,39,3,45,1,46,3,53,1,54,2,55,1,56,7,57,1,61,1,63,1,72,3,78,2,88,1,100,1,107,2,108,4,109,2,110,2,118,2,119,4,120,1,121,3,130,2,131,3,132,2,133,4,142,2,143,3,144,2,145,3,154,2,155,4,156,1,157,4,165,1,166,4,167,2,168,3,169,1]
,"established":[15,1,27,1,33,1,51,1,56,1]
,"domaintype":[15,2,27,1,30,1,33,1,37,1,38,1,53,1,54,1,55,1,56,1,57,1,77,1,78,1,79,1,107,1,108,1,109,1,110,1,118,1,119,1,120,1,121,1,130,1,131,1,132,1,133,1,142,1,143,1,144,1,145,1,154,1,155,1,156,1,157,1,165,1,166,1,167,1,168,1]
,"published":[15,1,59,1,75,1]
,"rather":[15,1,87,1]
,"ensures":[15,1,73,1]
,"2.3":[16,1,70,1,82,1,113,1]
,"mapping":[16,1]
,"actual":[16,1,48,2]
,"interfaces":[16,1]
,"consistency":[16,1]
,"concept":[16,2,114,1]
,"referenced":[16,1,75,1]
,"rest":[16,1]
,"usage":[16,1,23,1,27,1,29,1,32,1,35,1,49,1,50,1,51,1,53,1,57,1,62,2,75,1,77,1,91,1,98,1,102,1,105,1,107,1,115,1,116,1,118,1,127,1,128,1,130,1,139,1,140,1,142,1,151,1,152,1,154,1,163,1,165,1,171,1]
,"reqmsg":[16,1,18,1,21,1,24,1,48,1,53,1,77,1,107,1,118,1,130,1,142,1,154,1,169,1,172,1]
,"whose":[16,7,28,1,57,1,61,2,172,1]
,"datatype.reqmsgenum":[16,1]
,"close":[16,1,18,2,31,3,33,1,37,5,46,1,56,1]
,"ommconsumer.unregister":[16,1]
,"response":[16,3,23,1,27,1,28,2,31,3,49,1,50,1,53,1,54,1,55,1,56,1,70,1,71,1,73,1,74,2,77,3,78,2,80,5,82,3,83,1,91,1,100,1,107,1,108,2,109,2,110,2,112,2,113,2,118,1,119,2,120,2,121,2,123,6,127,1,128,3,130,1,131,2,132,2,133,2,135,5,139,1,140,3,142,1,143,2,144,2,145,2,147,6,151,1,152,3,154,1,155,2,156,2,157,2,159,1,167,2,168,2,169,2,172,1]
,"refreshmsg":[16,1,18,1,20,1,22,1,30,1,41,1,54,1,61,1,101,1,108,1,119,1,131,1,143,1,155,1,166,1]
,"datatype.refreshmsgenum":[16,1]
,"updatemsg":[16,1,18,1,55,1,58,4,109,1,113,1,120,1,132,1,144,1,156,1,167,1]
,"datatype.updatemsgenum":[16,1]
,"statusmsg":[16,1,18,1,56,1,60,1,61,2,70,1,71,1,72,1,79,1,103,1,110,1,121,1,133,1,157,1,168,1]
,"datatype.statusmsgenum":[16,1]
,"post":[16,1,25,1,26,2,31,2,39,2,40,1,45,1,111,2,122,2,134,2,146,3,158,2]
,"postmsg":[16,1,25,2,39,1]
,"datatype.postmsgenum":[16,1]
,"genericmsg":[16,1,65,1,75,1,106,1,117,1,129,1,141,1,153,1,164,1]
,"datatype.genericmsgenum":[16,1]
,"ack":[16,1,40,2]
,"ackmsg":[16,1,40,1]
,"datatype.ackmsgenum":[16,1]
,"2.4":[17,1]
,"initial":[17,2,27,3,45,1,51,1,53,1,60,1,77,1,107,1,118,1,130,1,142,1,154,1,165,1]
,"interaction":[17,2,53,1]
,"connects":[17,1]
,"requires":[17,1,39,1,78,1,79,1]
,"exchange":[17,1,38,1,41,1,85,1,114,1,124,1,127,1,136,1,139,1,148,1,151,2,169,1,171,1]
,"either":[17,1,46,1,53,2,77,2,78,2,80,1,107,3,108,2,109,2,110,2,118,3,119,2,120,2,121,2,130,3,131,2,132,2,133,2,142,3,143,2,144,2,145,2,154,3,155,2,156,2,157,2,165,2,166,2,167,2,168,2]
,"accept":[17,1,59,3,60,3,68,2]
,"reject":[17,1,33,1]
,"log":[17,1,26,2,37,2]
,"decode":[17,1,76,1,100,1,102,2]
,"process":[17,1,57,1,59,4,100,1]
,"successfully":[17,1,68,1]
,"completes":[17,1,166,1]
,"begin":[17,1,27,1,93,1]
,"non-administrative":[17,1,18,1,23,1,24,1,25,1,172,1,173,1]
,"figure":[17,2,18,1,29,1,32,1,41,1,42,1,58,1,65,1,76,2,84,1,92,1,98,1,112,1,123,1,135,1,147,1,159,1,169,1,174,1]
,"interactions":[17,1,27,1,51,1,53,1,77,1,107,1,118,1,130,1,142,2,154,1,165,1]
,"2.5":[18,1]
,"sending":[18,1,28,1,31,2,38,1,46,4,49,1,50,1,60,1,61,1,65,1,156,1]
,"receiving":[18,1,27,1,65,1,77,1]
,"generally":[18,1,20,1]
,"follows":[18,1,41,1,95,1]
,"sequence":[18,1,28,1,54,2,55,2,57,2,78,1,108,1,109,1,119,1,120,1,121,1,131,1,132,1,143,1,144,1,155,1,156,2,166,1,167,1]
,"sends":[18,3,21,1,38,1,45,1,65,1,72,2,74,1,108,1,109,2,120,2,132,2,144,2,155,1,156,1,166,1,167,2]
,"containing":[18,1,50,1,59,1,74,1,78,1,92,1,101,1,108,1,132,1,137,1,151,1,155,1,156,1,175,1]
,"item":[18,1,24,2,27,4,31,3,39,2,46,2,48,6,52,3,55,2,59,3,60,4,61,7,62,1,63,1,68,1,70,1,71,1,75,1,83,1,106,1,107,7,108,6,109,3,110,4,118,5,119,4,120,1,121,3,130,5,131,4,132,2,133,3,142,7,143,5,144,2,145,3,154,7,155,6,156,3,157,3,165,5,166,7,167,4,168,3,173,2]
,"interested":[18,2,23,1,31,1,53,2,107,1,118,1,130,1,142,1,154,1,176,3]
,"responds":[18,1]
,"bring":[18,1,59,1,60,1]
,"currently":[18,1,22,1,23,1,36,1,48,1,58,1,61,1,68,1,70,1,71,1,104,1,105,1,108,2,155,2,171,1]
,"changes":[18,1,21,1,27,1,52,1,55,1,60,1,61,1,77,1,79,1,98,1,102,3,103,3,109,1,114,1,128,1,140,1,152,1,156,1]
,"requested":[18,1,21,1,23,1,24,1,31,2,53,1,58,1,59,1,74,2,78,1,80,1,107,1,108,2,118,1,119,1,130,2,142,2,154,2,155,2,165,2,166,1,169,1,172,2]
,"streaming":[18,1,20,2,21,2,27,4,53,3,62,1,77,2,100,1,103,1,107,2,113,1,118,2,119,1,130,2,131,1,142,2,143,1,154,2,165,2,166,1,176,2]
,"closemsg":[18,1]
,"2.6":[19,1]
,"share":[19,1]
,"common":[19,1]
,"handling":[19,1,26,1,38,2,48,1,59,1,61,1,103,1,155,1,156,1]
,"section":[19,1,23,1,24,1,25,1,26,5,27,2,28,2,30,3,31,3,33,1,37,1,38,1,52,3,53,1,54,3,55,3,56,2,57,2,58,6,59,2,60,4,61,1,62,1,70,1,77,2,78,2,81,2,82,5,84,1,86,1,93,3,95,1,96,2,97,2,98,1,100,1,104,1,107,1,108,1,109,1,110,1,113,1,118,1,119,1,121,1,130,1,131,1,142,1,143,1,154,1,155,1,161,1,166,1]
,"briefly":[19,1,104,1]
,"defines":[19,1,22,1,76,1]
,"greater":[19,1]
,"detail":[19,1]
,"2.6.1":[20,1]
,"snapshot":[20,2,59,3,62,1,107,1,113,2,118,1,130,1,142,2,144,1,154,2,167,1]
,"requests":[20,1,21,2,24,2,27,3,30,1,31,1,38,1,48,4,53,4,59,6,60,6,62,3,64,1,68,9,69,1,70,1,71,1,72,1,74,1,75,1,77,2,100,1,103,1,107,1,118,1,130,2,142,1,154,5,165,2,166,2]
,"issuing":[20,1,21,2]
,"without":[20,1,29,1,32,1,35,1,39,1,46,2,57,1,61,1,74,1,76,1,83,1,98,1,159,1]
,"setting":[20,1,27,3,28,3,31,12,34,1,41,1,62,1,65,1,77,1,83,1,107,1,109,2,118,2,120,2,127,1,130,1,132,2,142,1,144,2,151,1,154,1,156,2,167,2]
,"reqmsg.interestafterrefresh":[20,1,21,1,27,2,77,1,107,1,118,1,130,1,142,1,154,1,165,1]
,"known":[20,1,21,1,27,1,39,1,58,2,72,1,172,1]
,"followed":[20,1,101,2]
,"updates":[20,2,22,2,60,1,77,1,103,1,104,1,107,4,108,1,109,2,118,4,120,2,127,1,130,4,132,2,139,1,142,4,144,2,151,1,154,5,155,1,156,2,165,2,167,2]
,"made":[20,1,48,2,59,3,68,1,100,1,113,1]
,"streamstate":[20,2,30,1,31,2,33,2,46,2,48,2,56,1,60,1,61,2]
,":nonstreamingenum":[20,1]
,"final":[20,3,142,1,143,1,154,1,155,1]
,"part":[20,2,22,1,30,1,58,1,63,1,80,1,119,1,124,1,128,1,131,1,136,1,140,1,142,1,143,1,148,1,152,1,154,1,155,1,160,1,166,1]
,"received":[20,1,22,5,60,1,61,3,77,1,107,1,113,2,114,1,118,1,120,1,130,1,132,1,142,2,144,1,154,2,156,1,167,1]
,"closed":[20,1,28,1,31,1,33,2,37,2,46,4,72,1,80,1,100,1]
,"refreshmsg.complete":[20,1,30,1,113,1,127,1,128,1,139,1,151,1,152,1,154,1]
,"prepared":[20,1]
,"receive":[20,1,45,1,48,1,65,1,71,1,77,1,107,1,118,1,130,1,142,1,154,1,165,1]
,"parts":[20,1,78,1,107,1,118,1,119,2,130,1,131,2,142,1,143,2,154,1,166,2]
,"supplies":[20,1]
,"single":[20,1,24,1,27,1,28,1,30,1,41,1,48,1,52,1,59,1,61,2,67,1,70,1,71,1,83,6,105,1,113,2,115,1,127,1,137,1,139,2,173,1]
,"delivered":[20,1,114,2,119,1,128,1,131,1,140,1,143,1,152,1,166,1]
,"2.6.2":[21,1]
,"reissue":[21,6,27,1,28,1,31,2,45,1,48,1,51,5,53,1,58,1,60,1,68,3,80,1,100,1,103,1]
,"pause":[21,7,27,6,31,8,77,1,107,4,118,3,130,3,142,3,154,4,165,2]
,"resume":[21,6,27,4,31,8]
,"certain":[21,1,163,1]
,"already":[21,1,60,2,68,1]
,"subsequent":[21,2,22,2,27,1,38,1,48,1,51,1,53,1,108,1,155,1]
,"priority":[21,1,77,1,107,2,118,2,130,2,142,2,154,2,165,2]
,"pauses":[21,1]
,"resumes":[21,1]
,"flow":[21,2,23,1,27,1]
,"reqmsg.pause":[21,1,27,1]
,"interpreted":[21,2,27,1,105,1]
,"resulting":[21,1,22,1]
,"streams":[21,1,24,2,27,4,31,4,33,1,37,3,46,2,48,2,60,6,61,1,66,2,68,5,69,1,70,1,77,1,113,1,175,1]
,"paused":[21,1,27,3]
,"best":[21,1,41,1,72,1,107,1,118,1,130,1,142,1,151,4,154,1]
,"continue":[21,1,72,1]
,"issued":[21,1]
,"changeable":[21,1]
,"functionality":[21,1,31,6,38,1,41,1,42,1,118,1,130,1,142,1]
,"2.6.3":[22,1]
,"clearing":[22,2]
,"refreshes":[22,4,123,1,135,1,147,1]
,"perform":[22,1,28,1,31,1,48,2]
,"clear":[22,3,30,1,54,1,56,1,58,1,78,1,79,1,108,1,119,1,121,1,131,1,133,1,143,1,145,1,155,1,166,1,168,1]
,"call":[22,1,27,1,38,2]
,"refreshmsg.clearcache":[22,1]
,"true":[22,6,27,6,29,1,30,4,32,3,48,2,53,2,54,4,55,2,56,1,58,4,77,3,78,3,79,1,107,5,108,5,109,10,110,5,113,2,118,5,119,5,120,9,121,6,127,1,128,1,130,5,131,5,132,8,133,6,139,1,140,1,142,5,143,5,144,10,145,6,151,1,152,1,154,5,155,5,156,9,157,6,165,5,166,4,167,10,168,6]
,".clearcache":[22,1]
,"observe":[22,1]
,"conditions":[22,1,51,2]
,"pass":[22,2,27,2,28,2,31,3]
,"solicited":[22,2,30,3,54,3,108,4,119,3,131,3,143,3,155,3,166,3]
,"calling":[22,1]
,"function":[22,1]
,"unsolicited":[22,3,30,1,54,1,108,3,119,1,131,1,143,1,155,2,166,1]
,"depends":[22,1,46,1,59,1]
,"intent":[22,1]
,"cleared":[22,1,157,1]
,"populated":[22,1,27,1]
,"overlaid":[22,1]
,"onto":[22,1,28,1]
,"image":[22,1,27,1,53,1,77,1,107,1,118,1,130,1,142,1,154,1,165,1]
,"superset":[22,1]
,"fields":[22,2,75,2,81,1,83,1,84,1,89,1,92,2,93,1,96,4,101,1,102,4,104,1,108,6,114,10,115,1,123,1,124,1,127,1,135,1,139,1,147,1,148,1,151,1,155,6,156,1,159,2,160,1,169,1,172,4]
,"brought":[22,1,59,2,60,2]
,"current":[22,1,38,1,43,1,58,3,60,1,62,1,86,1,95,1,110,1,112,1,121,1,127,1,133,1,139,1,145,1,151,1,157,1,168,1]
,"fieldlist":[22,1,75,2,76,1,83,4,88,1,106,1,108,2,109,1,112,1,114,3,117,1,119,1,120,1,125,1,129,1,131,1,132,1,137,1,139,2,141,1,143,1,144,1,149,1,151,1,153,1,155,2,156,1,159,1,161,3,164,1,166,1,167,1,169,2,171,1]
,"container":[22,1,25,1,58,1,161,3]
,"rippling":[22,5,75,1,84,2,114,1]
,"newly":[22,1]
,"fieldid":[22,4,75,3,76,2,84,2,87,1,92,1,93,1]
,"replaces":[22,1]
,"previously":[22,4,38,1,51,1,120,1,156,1]
,"moved":[22,1]
,"rdmfielddictionary":[22,1,81,1,85,2,86,1,89,2,90,1]
,"ripples":[22,1,84,2,85,1,87,1]
,"column":[22,1,48,2,61,1,85,1,87,2,92,2,97,2]
,"reduces":[22,1]
,"bandwidth":[22,1,62,1,67,1,75,1,123,2,127,1,135,2,139,1,147,2,151,1,159,1,171,1]
,"consumption":[22,1]
,"normally":[22,1,70,1,71,1,101,2]
,"sent":[22,1,27,2,28,1,30,4,31,3,37,1,38,1,44,1,48,4,53,1,54,1,55,1,56,1,57,1,58,1,70,1,73,1,77,2,78,1,79,1,81,2,95,1,96,1,106,1,107,1,108,1,109,1,110,1,113,1,117,1,118,1,119,2,120,3,121,1,127,3,129,1,130,1,131,2,132,2,133,1,139,2,141,1,142,1,143,2,144,2,145,1,151,3,152,1,153,1,154,1,155,2,156,4,157,1,165,1,166,2,167,1,168,1,169,1]
,"optimized":[22,1,31,4,89,1,104,1,123,2,135,2,147,2,159,1]
,"relies":[22,1]
,"ripple":[22,1,87,1,114,8]
,"correctly":[22,1]
,"propagate":[22,1]
,"2.6.4":[23,1]
,"dynamic":[23,3,31,5]
,"view":[23,5,31,1,107,2,108,2,118,1,130,2,142,2,154,2,155,2,165,2,172,10]
,"specify":[23,1,27,1,28,2,31,1,53,2,83,1,105,1,172,1,173,1,174,2]
,"subset":[23,2,172,1]
,"choose":[23,1]
,"supply":[23,1,172,1]
,"filtering":[23,1]
,"results":[23,1]
,"reduced":[23,1]
,"connection":[23,1,28,2,30,1,41,5,42,1,48,1,49,1,50,1,51,4,72,1]
,"leveraged":[23,1,24,1,107,1,118,1,130,1,142,1]
,"supportviewrequests":[23,1,31,1]
,"3.3.1":[23,1,24,1,25,1,30,1,41,1]
,"views":[23,1,31,4]
,"note":[23,1,42,1,48,1,53,2,58,1,59,2,60,1,65,1,72,1,75,1,77,2,78,2,81,1,92,1,100,1,106,1,107,4,108,3,109,3,110,3,117,1,118,4,119,3,120,3,121,3,129,1,130,3,131,3,132,3,133,3,141,1,142,4,143,3,144,3,145,3,153,1,154,4,155,3,156,3,157,3,164,1,165,3,166,2,167,3,168,3]
,"view-only":[23,1]
,"result":[23,1,28,1,33,1,101,1]
,"causes":[23,1,48,1]
,"2.6.5":[24,1]
,"batch":[24,7,31,8,107,3,118,2,130,2,142,3,154,3,165,3,173,2]
,"multiple":[24,1,31,1,41,2,46,3,59,3,61,1,62,1,64,1,66,1,78,1,102,1,107,1,118,1,119,1,123,3,130,1,131,1,135,3,142,1,143,1,147,3,154,1,166,1,173,1]
,"like-item":[24,1]
,"individual":[24,1,31,1,48,9,52,1,58,1,174,1,175,2,176,4]
,"supportbatchrequests":[24,1,31,1]
,"2.6.6":[25,1]
,"offers":[25,1]
,"easy":[25,1]
,"publish":[25,1]
,"upstream":[25,1,27,1,57,1,58,1,64,9,68,1,75,1]
,"done":[25,1,172,1]
,"often":[25,1]
,"msg":[25,1]
,"supportommpost":[25,1,31,1]
,"3.1":[26,1]
,"registers":[26,1,27,1,173,1]
,"authenticate":[26,1,27,2,30,1]
,"3.2":[26,1,27,1]
,"3.3":[26,1,41,1]
,"presents":[26,1]
,"payloads":[26,1,42,1,49,1,50,1,82,1]
,"3.4":[26,1,44,1]
,"brief":[26,1,92,1]
,"summary":[26,1,41,2,42,1,80,1,81,1,101,1,124,1,127,1,136,1,148,1,160,1]
,"authentication":[26,1,27,2,28,5,30,1,31,3,34,2]
,"3.5":[26,1,49,1]
,"3.7":[26,1,51,1]
,"cover":[26,1]
,"scenarios":[26,1]
,"3.2.1":[27,1]
,"internally":[27,1,46,1,51,2,53,1,76,1,77,1]
,"constructor":[27,1,53,1,77,1]
,"class":[27,1,53,1,77,1,107,1,114,1,118,1,130,1,142,1,154,1,165,1]
,"successful":[27,1,73,1]
,"configure":[27,2,53,1,77,1]
,"methods":[27,1,159,1]
,"ommconsumerconfig.username":[27,1]
,"ommconsumerconfig.password":[27,1]
,"password":[27,1,28,2,49,1,50,1]
,"ommconsumerconfig.position":[27,1]
,"position":[27,1,28,3,31,2,49,1,50,2,139,1]
,"ommconsumerconfig.applicationid":[27,1]
,"authorization":[27,1,28,1,50,1]
,"ommconsumerconfig.addadminmsg":[27,1,29,1,53,1,77,1]
,"override":[27,1,53,1,77,1]
,"i.e":[27,2,41,2,58,2,59,2,61,1,62,2,75,1,83,1,84,2,106,1,154,1,169,1]
,"handle":[27,1,32,1,35,1,38,1,41,1,45,2,48,1,60,1]
,"obtain":[27,1,59,1,100,1,103,1]
,"specifying":[27,1,74,1,172,1,174,2,175,1]
,"component":[27,1,30,1,33,1,37,1,38,1,53,1,54,1,55,1,56,1,57,1,65,1,77,1,78,1,79,1,107,1,108,1,109,1,110,1,118,1,119,1,120,1,121,1,128,1,130,1,131,1,132,1,133,2,140,1,142,1,143,1,144,1,145,2,152,1,154,1,155,1,156,1,157,2,165,1,166,1,167,1,168,1]
,"mmt_login":[27,1,30,1,33,1,37,1,38,1]
,"initialimage":[27,1,53,1,77,1,107,1,118,1,130,1,142,1,154,1,165,1]
,"interestafterrefresh":[27,1,53,1,77,1,107,1,118,1,130,1,142,1,154,1,165,1]
,"non-streaming":[27,1,53,1,113,1,119,1,131,1,143,1,166,1,176,1]
,"unsupported":[27,1,80,1]
,"issue":[27,1,60,1]
,"worstqos":[27,1,53,1,77,1,107,4,118,3,130,3,142,3,154,4,165,1]
,"extendedheader":[27,1,30,1,33,1,37,1,38,1,53,1,54,1,55,1,56,1,57,1,77,1,78,1,79,1,107,1,108,1,109,1,110,1,118,1,119,1,120,1,121,1,130,1,131,1,132,1,133,1,142,1,143,1,144,1,145,1,154,1,155,1,156,1,157,1,165,1,166,1,167,1,168,1]
,"serviceid":[27,1,30,1,33,1,38,1,39,1,52,1,53,9,54,1,55,1,56,1,58,2,65,1,67,1,77,4,78,4,79,1,107,3,108,3,109,4,110,4,118,3,119,3,120,5,121,5,130,3,131,3,132,4,133,4,142,3,143,3,144,5,145,5,154,3,155,3,156,4,157,4,165,3,166,3,167,4,168,4]
,"nametype":[27,3,30,4,33,4,38,1,49,1,50,1,51,1,53,1,54,1,55,1,56,1,57,1,77,1,78,1,79,1,107,2,108,4,109,6,110,6,118,2,119,4,120,3,121,4,130,1,131,3,132,5,133,5,142,2,143,4,144,4,145,4,154,2,155,3,156,4,157,4,165,4,166,3,167,3,168,4]
,"possible":[27,1,30,1,33,1,41,1,54,1,56,1,75,1,78,1,84,1,108,1,119,1,130,1,142,1]
,"user_name":[27,3,30,2,33,2,49,1,50,1]
,"user_email_address":[27,1,30,1,33,1]
,"user_token":[27,4,30,1,33,1,51,1]
,"user_cookie":[27,1,33,1]
,"user_authn_token":[27,4,30,1]
,"corresponds":[27,1,53,1,75,1,81,1,92,1,112,1,119,1]
,"aaa":[27,3]
,"token":[27,2,28,4,31,1]
,"retrieved":[27,1,38,1]
,"gateway":[27,1]
,"validate":[27,1]
,"manager":[27,1]
,"null":[27,1,85,6,87,1]
,"0x00":[27,1,77,1]
,"authenticationtoken":[27,2,28,3,31,1]
,"attrib":[27,2,28,2,30,1,31,2,33,1,34,2,38,1,50,1,53,1,54,1,55,1,56,1,57,1,77,1,78,1,79,1,107,1,108,1,109,1,110,1,118,1,119,1,120,1,121,1,130,1,131,1,132,1,133,1,142,1,144,1,145,1,154,1,155,1,156,1,157,1,165,1,166,1,167,1,168,1]
,"3.2.2":[27,2,28,1]
,"periodically":[27,1]
,"userauthn":[27,1,28,4]
,"appropriate":[27,1,30,1,33,1,53,1,142,1]
,"corresponding":[27,1,30,1,33,1,58,1,76,1,87,1,93,1,96,1,97,2,120,1]
,"filter":[27,1,30,1,33,1,38,1,48,2,53,8,54,3,55,6,56,5,57,1,58,5,59,4,60,4,61,2,62,2,63,2,64,2,66,1,68,1,73,1,77,4,78,4,79,1,80,6,100,1,107,1,108,1,109,1,110,1,118,1,119,1,120,1,121,1,130,1,131,1,132,1,133,1,142,1,143,1,144,1,145,1,154,1,155,1,156,1,157,1,165,1,166,1,167,1,168,1]
,"elementlist":[27,1,28,1,30,1,31,1,33,2,34,1,38,1,41,7,42,2,43,2,49,1,50,1,58,5,65,1,78,1,81,1,84,2,88,1,92,2,153,1,159,1,166,1,169,2,175,2]
,"attributes":[27,1,45,1,51,1,85,3,86,2,95,4,107,1,154,1]
,"preferences":[28,1,31,1,34,1]
,"reqmsg.attrib":[28,1,31,1,34,1]
,"predefined":[28,1,31,1,34,1]
,"range":[28,1,31,1,34,1,41,2,42,1,43,1,59,5,60,1,61,2,62,1,63,1,64,1,65,1,81,3,83,1,84,1,107,4,118,4,130,4,142,4,154,4,172,1,173,1,176,1]
,"allowsuspectdata":[28,1,31,1,48,11,49,1,50,1]
,"uint":[28,8,31,16,34,1,41,4,42,1,43,2,58,1,59,6,60,2,62,3,63,1,64,3,65,1,81,1,84,4,88,2,89,5,91,1,172,1,176,1]
,"ommstate.suspect":[28,1,33,1,46,1,103,1]
,"prefers":[28,1]
,"suspect":[28,1,31,4,48,28]
,"ommstate.closedrecover":[28,1,31,1,33,1,46,1,60,2,61,1,72,2]
,"3.4.5":[28,2,31,2,48,1]
,"applicationauthorizationtoken":[28,1]
,"byte":[28,1,67,1,172,1]
,"characters":[28,1,49,1,92,1,97,1]
,"base36":[28,1]
,"0-9":[28,1]
,"a-z":[28,1]
,"inspected":[28,1]
,"approved":[28,1]
,"obtaining":[28,1]
,"contact":[28,1]
,"representative":[28,1]
,"applicationid":[28,2,31,2,49,1,50,2]
,"65535":[28,2,31,2,41,3,84,3,89,2]
,"256":[28,2,31,2]
,"valid":[28,2,31,2,50,1]
,"unique":[28,1,31,1,52,1,67,1,137,1,139,1,149,1,151,1]
,"permanent":[28,1,31,1]
,"uniform":[28,1,31,1]
,"client":[28,1,31,2,41,1,44,1,62,1,74,4,172,1,173,2,174,2]
,"systems":[28,1,31,1,58,1]
,"257":[28,1,31,1]
,"site-specific":[28,1,31,1]
,"applicationname":[28,1,31,1]
,"identifies":[28,4,31,3,54,1,58,1,59,1,81,1]
,"authenticationextended":[28,1]
,"buffer":[28,3,31,2,61,4,84,1,88,2,89,4,91,1,125,1,127,1,137,1,139,1,149,1,151,1,171,1]
,"authenticator":[28,1]
,"verifying":[28,1]
,"user\u2019s":[28,1,30,1,37,1]
,"identity":[28,1]
,"string":[28,3,49,1,75,1,76,1,84,1,97,1,101,1,172,1]
,"holder":[28,1]
,"client-generated":[28,1]
,"operating":[28,1]
,"environment":[28,1,57,1]
,"intended":[28,1,104,1]
,"replace":[28,1]
,"expire":[28,1]
,"enabled":[28,1,128,1,140,1,152,1]
,"accessible":[28,1]
,"myaccount":[28,1]
,"empty":[28,1,74,1,114,1,169,1]
,"disabledataconversion":[28,1]
,"downloadconnectionconfig":[28,1,41,1]
,"download":[28,4,31,5]
,"configuration":[28,3,30,1,41,1,48,1,49,1,50,1,57,1,108,1,119,1,131,1,143,1,155,1]
,"wants":[28,3,73,1,107,1,118,2,130,1,142,1,154,1,165,1,166,1,176,1]
,"absent":[28,1,31,7,118,1,119,1,130,1,131,1,142,1,143,1,144,1,145,1,165,1,166,1,167,1,175,1]
,"instanceid":[28,3]
,"instance1":[28,1]
,"differentiate":[28,1]
,"run":[28,1,31,1]
,"machine":[28,2]
,"logging":[28,3]
,"uniqueness":[28,1]
,"different":[28,2,51,1,58,1,102,2,128,1,140,1,152,1,159,1]
,"my_password":[28,1]
,"sets":[28,1,31,1]
,"encrypted":[28,1]
,"addr":[28,2,31,2]
,"hostnameip":[28,1]
,"192.168.1.1":[28,1,31,1]
,"providepermissionexpressions":[28,2,31,3,49,1,50,1]
,"expression":[28,1,31,1]
,"responses":[28,1,31,2,57,1,142,1,154,1]
,"expressions":[28,1,31,1]
,"items":[28,1,31,2,39,1,52,2,58,6,59,1,60,3,61,3,62,2,63,2,70,1,71,2,72,2,145,1,167,1,173,1,174,2,175,1,176,4]
,"proxy":[28,2,31,2]
,"permissioned":[28,1,31,4]
,"content-based":[28,1,31,1]
,"entitlements":[28,1,31,1]
,"defaults":[28,6,31,2,41,1,60,1,64,1,81,1,107,1,108,1,109,1,110,1,121,1,143,1,144,1,145,1,154,1,155,1,156,1,157,1,165,1,168,1]
,"providepermissionprofile":[28,2,31,2,49,1,50,1]
,"desires":[28,1]
,"profile":[28,2,30,1,31,2]
,"permissioning":[28,1,31,1,56,1,78,1,79,1,109,1,110,1,120,1,121,1,132,1,133,1,144,1,145,1,156,1,157,1,168,1]
,"role":[28,7,42,2,57,1]
,"login_role_cons":[28,2]
,"login_role_prov":[28,2]
,"connect":[28,1,41,3,44,1]
,"port":[28,2,41,3]
,"number":[28,1,41,3,43,1,54,1,55,1,57,1,62,5,71,1,78,1,92,1,94,1,98,1,101,1,108,1,109,2,119,2,120,1,121,1,128,1,131,2,132,1,137,1,139,1,140,1,143,2,144,1,152,1,155,2,156,1,166,2,167,1]
,"detect":[28,1]
,"inform":[28,1,33,1,56,1,57,1]
,"incorrect":[28,1]
,"roundtriplatency":[28,1,31,2,38,2,43,1]
,"presence":[28,1]
,"providers":[28,1,41,7,44,1,46,1,57,2,70,1,77,1,80,1,92,1]
,"missing":[28,2,31,2]
,"singleopen":[28,2,31,1,48,13,49,1,50,1]
,"drive":[28,2,31,1,48,2]
,"recovery":[28,2,31,3,48,3,51,3]
,"supportproviderdictionarydownload":[28,2,31,1]
,"downloads":[28,3]
,"3.2.3":[29,1]
,"easy-to-use":[29,1,32,1,35,1]
,"object":[29,2,32,2,35,2]
,"return":[29,1,32,1,35,1,57,1,91,1]
,"extensive":[29,1,32,1,35,1]
,"find":[29,1,32,1,35,1,41,1,81,1]
,"api\u2019s":[29,1,32,1,35,1]
,"ommconsumerconfig":[29,3,45,1]
,"ommconsumerconfig.operationmodel":[29,1]
,":userdispatchenum":[29,1]
,":loginreq":[29,1]
,"loginrequest":[29,1]
,"loginrequest.name":[29,1]
,"loginrequest.applicationid":[29,1]
,"127":[29,1,81,1]
,"loginrequest.position":[29,1]
,"127.0.0.1":[29,1]
,"loginrequest.allowsuspectdata":[29,1]
,"loginrequest.getmessage":[29,1]
,"3.2.4":[30,1]
,"accepted":[30,2,32,1,46,2,62,1]
,"convey":[30,1,33,1,55,1,57,1,61,1]
,"rejected":[30,1,46,1,60,1,68,1]
,"3.2.7":[30,1,33,1,37,1]
,"accepting":[30,1,68,3,72,1]
,"ommstate.open":[30,1,46,1,60,2,61,1,103,1]
,"datastate":[30,1,33,2,46,2,48,2,56,1,61,2]
,"ommstate.ok":[30,1,33,1,46,1,60,1]
,"statuscode":[30,1,33,2,46,1,56,1,61,1]
,"ommstate.none":[30,1,46,1,60,1]
,"false":[30,1,48,3,54,1,68,1,108,1,119,1,131,1,143,1,155,1,166,1]
,"indications":[30,1,54,1,55,1,56,1,78,1,79,1,107,1,108,1,109,1,118,1,119,1,120,1,121,1,130,1,131,1,132,1,133,1,142,1,143,1,144,1,145,1,154,1,155,1,156,1,157,1,165,1,166,1,167,1,168,1]
,"complete":[30,2,54,2,78,2,108,2,119,2,131,2,143,1,155,1,166,1]
,"atomic":[30,1,108,1]
,"therefore":[30,1,58,2,102,1]
,"clearcache":[30,1,54,1,56,1,72,1,78,1,79,1,108,1,119,1,121,1,131,1,133,1,143,1,145,1,155,1,157,1,166,1,168,1]
,"seqnum":[30,1,33,1,38,1,54,1,55,1,57,1,78,1,108,1,109,1,119,1,120,1,121,1,131,1,132,1,143,1,144,1,155,1,156,1,166,1,167,1]
,"itemgroup":[30,1,33,1,54,1,56,1,61,3,78,1,79,1,108,1,109,1,110,1,119,1,121,2,131,1,133,3,143,1,145,2,155,1,157,2,166,1,168,2]
,"permissiondata":[30,1,33,1,38,1,54,1,55,1,56,1,57,1,78,1,79,1,108,1,109,1,110,1,119,1,120,2,121,2,131,1,132,1,133,1,143,1,144,1,145,1,155,1,156,1,157,1,166,1,167,1,168,1]
,"match":[30,2,31,2,33,2,51,1,54,1,56,1,59,1,78,1,86,1,95,1,98,1,108,2,109,1,110,1,119,2,120,1,121,1,131,2,132,1,133,1,143,1,144,1,145,1,155,2,156,1,157,1,165,1,166,2,167,1,168,1]
,"elementlist.elements":[30,1]
,"3.2.5":[30,1,31,1,33,1]
,"none":[31,1,34,1,58,1,62,1,64,1,89,1,104,1,126,1,138,1,150,1,162,1,170,1]
,"passes":[31,2]
,"whatever":[31,2]
,"assigns":[31,1]
,"authenticationerrorcode":[31,2,34,2]
,"4294967296":[31,1,34,1]
,"error":[31,2,34,2]
,"non-error":[31,1,34,1]
,"condition":[31,2,34,2]
,"authenticationerrortext":[31,1,34,1]
,"accompanying":[31,1,34,1]
,"explaining":[31,1,34,1]
,"authenticationextendedresp":[31,2]
,"customer-defined":[31,1]
,"original":[31,1,51,1,59,1,60,1,86,1,95,1,128,1,140,1,152,1,169,1,171,1]
,"authenticationttreissue":[31,1]
,"reissued":[31,1]
,"unix":[31,1]
,"epoch":[31,1]
,"hostname":[31,1,41,3]
,"location":[31,1]
,"connected":[31,1,33,1,41,1,68,1]
,"drives":[31,2]
,"responsibility":[31,1,114,1,120,1,128,1,140,1,156,1]
,"downstream":[31,1,65,4,123,1,135,1,147,1]
,"0x0":[31,1,80,1,176,1]
,"0x1":[31,2,176,1]
,"0x2":[31,2,80,1,176,1]
,"0x4":[31,2]
,"instance":[31,1]
,"based":[31,1,48,10,62,1,82,1]
,"combination":[31,1,137,1,139,1]
,"bits":[31,1,90,1]
,"supportenhancedsymbollist":[31,1]
,"enhanced":[31,1]
,"enhancements":[31,1]
,"supportoptimizedpauseresume":[31,1]
,"pausing":[31,3]
,"resuming":[31,1]
,"supportpauseresume":[31,1]
,"supportstandby":[31,2]
,"warm":[31,9,41,3,42,3]
,"standby":[31,12,41,6,42,4,57,7,65,1]
,"told":[31,1]
,"active":[31,4,41,1,42,1,57,2]
,"behave":[31,1]
,"usual":[31,1]
,"forward":[31,1,68,1,70,1,71,1,161,1]
,"changing":[31,1,60,1,61,1,102,1,172,1]
,"informed":[31,1,60,1,103,1]
,"failed":[31,1]
,"begins":[31,1]
,"setup":[31,1,41,1]
,"3.2.12":[31,1,38,1]
,"supportstandbymode":[31,2]
,"modes":[31,1]
,"login-based":[31,1]
,"service-based":[31,2]
,"contents":[31,1,33,1,41,2,53,1,56,1,58,1,63,1,64,1,76,1,109,1,110,1,120,1,121,1,125,1,133,1,137,1,144,1,145,1,149,1,156,1,157,1,159,1,160,1,167,1,168,1,175,2,176,3]
,"3.2.6":[32,1]
,":loginrefresh":[32,2]
,"loginrefresh":[32,1]
,"loginrefresh.allowsuspectdata":[32,1]
,"loginrefresh.singleopen":[32,1]
,"loginrefresh.name":[32,1]
,"loginrefresh.solicited":[32,1]
,"loginrefresh.state":[32,1]
,"ommstate":[32,3,35,3]
,":openenum":[32,1,61,1]
,":okenum":[32,1,61,1]
,":noneenum":[32,1,61,1]
,"ommprovider.submit":[32,1,35,1]
,"loginrefresh.getmessage":[32,1]
,"cannot":[33,1,56,1,59,2,60,1,80,2,89,1,102,1,114,1]
,"member":[33,1,37,1,38,1,54,1,55,1,56,1,58,1,78,1,107,1,118,1,154,1]
,"rejecting":[33,1]
,"ommstate.closed":[33,1,46,1,72,1]
,"ommstate.notauthorized":[33,2]
,"retry":[33,1]
,"unspecified":[33,1,81,1,83,2,107,1,108,1,109,1,110,1]
,"3.2.8":[34,1]
,"3.2.9":[35,1]
,":loginstatus":[35,2]
,"loginstatus":[35,1]
,"requestmsg.hasnametype":[35,1]
,"loginstatus.nametype":[35,1]
,"requestmsg.getnametype":[35,1]
,"requestmsg.hasname":[35,1]
,"loginstatus.name":[35,1]
,"requestmsg.getname":[35,1]
,"loginstatus.state":[35,1]
,":closedenum":[35,1]
,":suspectenum":[35,1]
,":notfoundenum":[35,1]
,"invalid":[35,1]
,"loginstatus.getmessage":[35,1]
,"3.2.10":[36,1]
,"3.2.11":[37,1]
,"closing":[37,1]
,"equivalent":[37,1,60,1,61,1,84,2]
,"thus":[37,1,59,1,83,1,137,1]
,"3.2.12.1":[38,1]
,"initiated":[38,1]
,"ticks":[38,4,43,2]
,"count":[38,3,62,1,107,1,118,1,130,1,142,1,154,1,165,1]
,"cpu":[38,1,62,1]
,"tick":[38,1]
,"getticks":[38,2]
,"receives":[38,1,65,2,70,1,74,2]
,"automatically":[38,2,46,1,72,1,73,1,114,1]
,"back":[38,2,46,1]
,"unchanged":[38,1]
,"calculates":[38,1]
,"subtracting":[38,1]
,"given":[38,1,62,1,92,1]
,"calculated":[38,1,43,1,62,1,161,1]
,"microseconds":[38,1,43,1]
,"provider\u2019s":[38,3,41,3,48,1]
,"implemented":[38,1,42,1,46,1]
,"watchlist":[38,1]
,"mirrors":[38,1]
,"configured":[38,1]
,"listen":[38,1]
,"implement":[38,1]
,"business-logic":[38,1]
,"partnum":[38,1,57,1,119,1,131,1,143,1,144,1,155,1,156,1,166,1]
,"secondaryseqnum":[38,1,57,1]
,"elemententry":[38,1,43,1,65,1,87,2,92,1,169,1,175,1,176,1]
,"additionally":[38,1]
,"two":[38,1,66,1,67,1,83,1,93,1,100,1,128,1,140,1,152,1]
,"entries":[38,1,54,1,55,3,56,1,57,1,58,2,80,1,84,3,92,2,123,1,135,1,139,1,147,1,159,3,161,2,169,1,172,2]
,"tcpretrans":[38,1,43,1]
,"3.3.2":[38,1,42,1]
,"3.2.13":[39,1]
,"encode":[39,1,40,1,100,2,173,1,174,1,175,1]
,"item\u2019s":[39,2,48,9,61,1,109,1,118,1,119,1,120,1,121,2,132,1,133,3,144,1,145,1,156,1,157,1,167,1,168,1]
,"posted":[39,1]
,"dedicated":[39,2,58,1]
,"3.2.14":[40,1]
,"acknowledgment":[40,2,57,1]
,"acknowledge":[40,1]
,"receipt":[40,1]
,"whenever":[40,1,60,1,77,1,102,1]
,"asks":[40,1,41,1]
,"acknowledgments":[40,1]
,"nack":[40,1]
,"supplying":[41,1]
,"extended":[41,2]
,"load":[41,4,58,1,62,3]
,"balancing":[41,2,58,1]
,"connections":[41,1]
,"well-known":[41,1,75,1]
,"act":[41,1]
,"solely":[41,1]
,"load-balancing":[41,1]
,"servers":[41,2]
,"directing":[41,1]
,"less-loaded":[41,1]
,"load-related":[41,1]
,"formatted":[41,1]
,"sorted":[41,3]
,"vector":[41,3,88,1,153,1,155,1,156,1,159,3,160,3,161,2]
,"vectorentry":[41,3,161,1]
,"non-zero":[41,1]
,"worst":[41,1]
,"choice":[41,1]
,"vector.summarydata\u2019s":[41,1]
,"numstandbyservers":[41,1]
,"0xffffffff":[41,1]
,"serves":[41,1]
,"primary":[41,1]
,"attempted":[41,1]
,"describing":[41,2,92,1,117,1,141,1]
,"myhostname":[41,1]
,"192.168.1.100":[41,1]
,"candidate":[41,2]
,"14002":[41,1]
,"loadfactor":[41,2,62,3]
,"least":[41,2,84,1,92,1]
,"loaded":[41,3,62,1]
,"traverse":[41,1]
,"least-loaded":[41,1]
,"servertype":[41,2]
,"systemid":[41,1]
,"3.3.2.1":[42,1]
,"map":[42,2,54,1,57,1,58,3,64,3,65,1,73,1,74,1,88,1,117,1,119,1,120,2,123,3,127,4,129,1,131,1,132,1,135,4,137,2,139,6,141,1,143,1,144,1,147,4,151,3,164,2,166,2,167,2,169,1,171,1]
,"ascii-":[42,1]
,"key":[42,1,54,1,58,3,64,1,65,1,66,1,117,1,129,1,137,1,139,1,141,1,164,1,169,1,171,1]
,"servicename":[42,1,52,1,53,9,54,1,77,4,78,3,107,3,108,5,109,4,110,4,118,3,119,5,120,7,121,6,130,3,131,5,132,6,133,6,142,3,143,5,144,7,145,7,154,3,155,5,156,6,157,6,165,3,166,3,167,7,168,7]
,"elemententry.payloadthere":[42,1]
,"informs":[42,4,53,1,120,2]
,"mapentry":[42,1,58,2,64,1,65,2,72,1,117,1,119,1,120,1,123,2,125,1,127,1,131,1,135,1,139,1,141,1,143,1,144,1,147,1,149,2,169,1]
,"warmstandbymode":[42,2]
,"version":[42,1,77,2,79,1,80,1,81,4,85,1,86,3,87,1,91,1,95,5,98,1,100,2,101,8,102,9,103,4]
,"3.3.2.2":[43,1]
,"elemententrys":[43,2]
,"tcp":[43,1]
,"retransmission":[43,1]
,"int":[43,1,75,1,81,1,84,4,88,2,89,7,90,1,91,1,92,1,94,1,172,1]
,"264":[43,3]
,"235634":[43,1]
,"created":[43,1,86,1,95,1]
,"358":[43,1]
,"retransmissions":[43,1]
,"special":[44,1,48,1,66,1,92,1,97,1,99,1,113,1,126,1,138,1,150,1,162,1,170,1]
,"3.4.1":[44,1]
,"direction":[44,1]
,"regardless":[44,1,48,1,102,1,119,1,131,1,143,1,166,1]
,"non":[44,1]
,"3.4.2":[45,1]
,"behalf":[45,1,114,1]
,"register":[45,1]
,"3.4.3":[46,1]
,"logins":[46,3]
,"per":[46,2,49,1,50,1]
,"ommconsumer":[46,5,53,1,77,1]
,"opened":[46,1,174,1,175,2,176,4]
,"instances":[46,1]
,"authenticated":[46,1]
,"originally":[46,1]
,"attempt":[46,1,107,1,118,1,130,1,142,1,154,1]
,"closes":[46,1]
,"calls":[46,1]
,"destructor":[46,1]
,"3.4.4":[47,1]
,"apply":[47,1,51,1,60,1,70,1,71,1,73,1,128,1,140,1,152,1]
,"msgkey.attrib":[48,1]
,"affect":[48,1,58,1,60,1,68,1,69,1]
,"processed":[48,1,58,1,68,2,85,1,95,1]
,"convert":[48,1,80,1]
,"honor":[48,1]
,"consumer\u2019s":[48,1,54,1,56,1,59,1,78,1]
,"settings":[48,3,108,2]
,"column\u2019s":[48,1]
,"contradiction":[48,1]
,"takes":[48,1]
,"precedence":[48,1]
,"processing":[48,1,51,1]
,"necessary":[48,1]
,"conversion":[48,1]
,"acceptingrequests":[48,5,60,2,62,1,68,6]
,"servicestate":[48,4,60,2,68,6,70,1]
,"closed_recover":[48,11]
,"down":[48,3,53,1,59,2,60,4,64,2,68,2,72,1,159,1]
,"whena":[48,2]
,"ldf":[49,4,91,2,98,3,115,2,127,2,139,2,140,1,151,2,171,1]
,"composed":[49,1]
,"printable":[49,1]
,"scoping":[49,1,50,1]
,"direct\u2019s":[49,1]
,"attrib\u2019s":[49,1,50,1]
,"ignored":[49,1,50,1,85,1,93,1,127,1,139,1,151,1]
,"3.6":[50,1]
,"rdms":[50,1,105,1,128,1,140,1,152,1]
,"system-enabled":[50,1]
,"username":[50,1]
,"aspects":[50,1]
,"echoed":[50,1]
,"necessarily":[50,1]
,"correct":[50,1,76,2]
,"credentials":[51,8]
,"stores":[51,1,75,1,76,1,86,4,169,1]
,"later":[51,2,74,1]
,"during":[51,3]
,"phase":[51,2]
,"changed":[51,1,55,1,59,1,80,2,102,1,103,1,109,1,114,1,127,1,151,1]
,"point":[51,1,85,1,93,1,129,2,131,1,132,2,137,2,139,1]
,"criteria":[51,3]
,"parameter":[51,2]
,"prior":[51,1,60,1]
,"reissues":[51,1]
,"interactiontype":[51,1]
,"above":[51,2]
,"met":[51,2]
,"store":[51,1,72,1]
,"updated":[51,2,58,1,60,1,81,1,128,1,140,1]
,"ones":[51,1]
,"4.1":[52,1]
,"service\u2019s":[52,1,57,1,58,2,59,1,62,1,70,1,72,1]
,"groups":[52,1]
,"avoiding":[52,1]
,"responsible":[52,1]
,"applying":[52,1]
,"4.3.1.2":[52,1,58,1,60,1]
,"4.3.1.3":[52,1,58,1,61,1,108,1,109,1,110,1,119,1,121,1,131,1,143,1,155,1,166,1]
,"mirroring":[52,1,57,2,59,3,65,1]
,"exchanged":[52,1]
,"specifically-formatted":[52,1]
,"4.2.5":[52,1,57,1]
,"4.2":[53,1]
,"4.2.1":[53,1,54,1,55,1,56,1]
,"user-configured":[53,1]
,"omitting":[53,1]
,"filterlist":[53,2,58,2,61,1,88,1]
,"bit-value":[53,1,58,1]
,"represented":[53,1,58,3,61,1,64,1,87,1,119,1,120,1,131,1,132,1,143,1,144,1,159,3,164,1]
,"service_state_filter":[53,2,58,1,60,1,73,1]
,"info":[53,1,58,1,59,5,60,1,166,1]
,"discovered":[53,1]
,"unavailable":[53,1,60,1]
,"mmt_directory":[53,1,54,1,55,1,56,1,57,1]
,"consumerstatus":[53,1,57,1,65,3]
,"priorityclass":[53,1,77,1]
,"prioritycount":[53,1,77,1]
,"indicating":[53,1,62,1,75,1,101,1,148,1]
,"categories":[53,1,58,6]
,"0x01":[53,1]
,"0x02":[53,1]
,"service_group_filter":[53,1,58,1,61,1,73,1]
,"0x04":[53,1]
,"service_load_filter":[53,1,58,1,62,1]
,"0x08":[53,1]
,"service_data_filter":[53,1,58,1,63,1]
,"0x10":[53,1]
,"service_link_filter":[53,1,58,1,64,1]
,"0x20":[53,1]
,"4.3.1.1":[53,1,57,1,58,1,59,1,60,1,62,1,77,1,78,1,100,1,107,1,118,1,130,1,142,1,154,1]
,"neither":[53,2,68,1]
,"4.2.2":[54,1]
,"currently-known":[54,1]
,"ranging":[54,1]
,"donotcache":[54,1,55,1,58,2,78,1,108,1,109,1,119,1,120,1,131,1,132,1,143,1,144,1,155,1,156,1,166,1,167,1]
,"cached":[54,1,55,1,63,1,69,1,108,1,144,1]
,"filterentries":[54,1,55,1,56,1,69,1]
,"4.3.1":[54,2,55,2,56,1,58,1]
,"user-specified":[54,1,55,1,57,1,78,1,108,1,109,1,119,1,120,1,121,1,131,1,132,1,143,1,144,1,155,1,156,1,166,1,167,1]
,"item-level":[54,1,55,1,57,1,108,1,109,1,119,1,120,1,121,1,131,1,132,1,143,1,144,1,155,1,156,1,166,1,167,1]
,"filtered":[54,1]
,"form":[54,1,101,1,117,1,141,1]
,"entry\u2019s":[54,1,164,1,169,1]
,"4.2.3":[55,1]
,"removal":[55,1]
,"donotconflate":[55,1,58,4,109,1,120,1,132,1,144,1,156,1,167,1]
,"conflated":[55,1,107,1,109,3,118,1,120,3,130,1,132,3,142,1,144,4,154,1,156,3,165,1,167,3]
,"updatetypenum":[55,1,109,2,120,1,132,1,144,1,156,1,167,1]
,"conflatedcount":[55,1,109,2,120,2,132,2,144,2,156,2,167,2]
,"conflatedtime":[55,1,109,2,120,2,132,2,144,2,156,2,167,2]
,"4.2.4":[56,1,59,1]
,"hot":[57,3]
,"running":[57,1]
,"mode":[57,1,65,1]
,"activenostandby":[57,1,65,1]
,"activewithstandby":[57,1,65,1]
,"mainly":[57,1,64,1]
,"informational":[57,1,64,1,65,1,101,1]
,"purposes":[57,1,95,1]
,"better":[57,1,67,1]
,"understand":[57,1]
,"action":[57,1,58,1,72,1]
,"ability":[57,1,58,1,68,1,172,1]
,"acceptingconsumerstatus":[57,1,59,1]
,"4.3.2":[57,1,65,1]
,"4.3":[58,1]
,"uniquely":[58,1,65,1]
,"identified":[58,1,65,1,92,1,97,1]
,"filterentry":[58,4,59,2,60,1,61,1,62,1,63,1,64,1,70,1,71,2,100,1]
,"six":[58,2]
,"filterentry.clear":[58,1]
,"category":[58,3,60,1,64,1]
,"able":[58,2,102,1]
,"service_state_id":[58,1,60,1]
,"effects":[58,2]
,"occur":[58,2]
,"immediately":[58,2,62,1]
,"initiating":[58,3]
,"service_group_id":[58,1,61,1]
,"service_load_id":[58,1,62,1]
,"allowable":[58,1]
,"workload":[58,1,62,3]
,"serviced":[58,1,107,1,118,1,130,1,142,1,154,1]
,"4.3.1.4":[58,1,59,1,62,1]
,"service_data_id":[58,1,63,1]
,"broadcast":[58,1,64,3]
,"independently":[58,1,100,1]
,"commonly":[58,1,63,2]
,"ansi":[58,1,63,2]
,"page-based":[58,1,63,2]
,"prevent":[58,1]
,"conflation":[58,1,109,1,120,1,132,1,144,1,156,1,167,1]
,"caching":[58,1,77,1,84,1,87,1,104,1,123,1,128,1,135,1,140,1,147,1,152,1]
,"4.3.1.5":[58,1,63,1]
,"service_link_id":[58,1,64,1]
,"sources":[58,2,59,3,64,2,107,1,118,1,130,1,142,1,154,1,165,1]
,"primarily":[58,1]
,"aggregate":[58,1]
,"identification":[58,1]
,"4.3.1.6":[58,1,64,1]
,"parse":[59,1,75,1,83,1,98,1,100,3]
,"long":[59,1,84,1]
,"remains":[59,1]
,"track":[59,1,60,1]
,"having":[59,1,60,1,76,1]
,"again":[59,1,60,1,102,1]
,"element\u2019s":[59,1,60,1,61,1,64,1,172,1]
,"idn_rdf":[59,1]
,"concrete":[59,1]
,"map.key":[59,1]
,"vendor":[59,2]
,"issource":[59,1]
,"aggregates":[59,2]
,"directly":[59,1,61,1,68,1]
,"publisher":[59,1]
,"array":[59,4,88,1,92,8,100,1,153,1,155,1,156,1,172,7,173,2]
,"mesagemodeltype":[59,1]
,"1-255":[59,1,89,2]
,"mmt_dictionary":[59,2,77,1,78,1,79,1]
,"dictionariesprovided":[59,1,100,4]
,"rwffld":[59,2,91,2,98,1,127,1,139,1,151,1]
,"dictionariesused":[59,1,100,4]
,"rwfenum":[59,1,98,1]
,"fully":[59,1]
,"display":[59,1,81,1,84,1,85,1,92,3,93,1,94,2,95,1,97,4,100,1,104,1]
,"enumerated":[59,1,75,3,76,5,81,4,84,1,85,1,89,3,92,10,93,2,94,2,95,5,97,2,105,1]
,"tickbytick":[59,1]
,"qualities":[59,1,118,2]
,"comes":[59,1,101,1]
,"usually":[59,1,60,1]
,"realtime":[59,2]
,"tick-by-tick":[59,2]
,"supportsqosrange":[59,1,107,1,118,1,130,1,142,1,154,1]
,"acceptable":[59,1,107,1,118,1,130,1,142,1,154,1]
,"reqmsg.qos":[59,1]
,"itemlist":[59,1,173,2]
,"symbollist":[59,1,169,1,171,2,174,1]
,"mmt_symbol_list":[59,1,164,1,165,1,166,1,167,1,168,1]
,"supportsoutofbandsnapshots":[59,1]
,"reaching":[59,1]
,"openlimit":[59,3,62,1]
,"reached":[59,2]
,"bearing":[60,1]
,"availability":[60,1,64,1]
,"becomes":[60,2,62,1,68,1,74,1,114,1]
,"temporarily":[60,1]
,"states":[60,1]
,"bringing":[60,1]
,"explained":[60,1,61,1,64,1]
,"4.4.3":[60,2,68,1]
,"immediate":[60,1,68,4]
,"remain":[60,1,68,1]
,"unaffected":[60,1,68,1]
,"4.4.4.1":[60,1,70,1]
,"kind":[61,1]
,"impacts":[61,1]
,"filterentrys":[61,1]
,"applied":[61,3,63,3,69,1]
,"1.26.102":[61,1]
,"2-byte":[61,1,89,1]
,"unsigned":[61,2,89,7,92,1,97,1]
,"integers":[61,2]
,"two-byte":[61,2,92,2]
,"next":[61,1]
,"inserted":[61,1]
,"dots":[61,2]
,"mergedtogroup":[61,3]
,"1.26.110":[61,1]
,"matches":[61,2,172,1]
,":nochangeenum":[61,1]
,"4.4.4.2":[61,1,71,1]
,"decide":[62,1]
,"maxuint":[62,2]
,"maximum":[62,2,84,3]
,"out-of-band":[62,1]
,"snapshots":[62,1,113,1,132,1]
,"limit":[62,1]
,"openwindow":[62,3]
,"outstanding":[62,1]
,"assume":[62,1]
,"effective":[62,1]
,"0-65,535":[62,1]
,"calculation":[62,1,159,1]
,"vary":[62,1,82,1]
,"clients":[62,1]
,"requirements":[62,1,75,1]
,"heavily-loaded":[62,1]
,"higher":[62,1,100,1]
,"alert":[63,1]
,"headline":[63,1]
,"1023":[63,1]
,"explains":[63,1,64,1]
,"fans":[63,1,70,1,71,1]
,"link":[64,4]
,"communication":[64,1]
,"scoped":[64,1,83,1]
,"globally":[64,1,83,1]
,"identical":[64,1,66,1,147,1]
,"aggregating":[64,1]
,"balance":[64,1]
,"among":[64,1]
,"typical":[64,1,124,1,148,1,160,1]
,"treat":[64,1]
,"programmatic":[64,1]
,"decisions":[64,1]
,"describe":[64,1,104,1,159,1]
,"linkstate":[64,2]
,"linkcode":[64,2]
,"recoverystarted":[64,1]
,"recoverycompleted":[64,1]
,"mapentrys":[65,1,151,1,171,1]
,"sourcemirroringmode":[65,2]
,"device":[65,3,95,1]
,"actually":[65,1]
,"reply":[65,1]
,"4.4":[66,1]
,"4.4.1":[66,1]
,"unlike":[66,1]
,"messagemodeltypes":[66,1]
,"permissible":[66,1]
,"stream\u2019s":[66,1,121,1,131,1,143,1,145,1,168,1]
,"4.4.2":[67,1]
,"although":[67,1,68,1]
,"utilization":[67,1]
,"optimizes":[67,1]
,"channel":[67,1]
,"together":[68,1]
,"imply":[68,1]
,"anything":[68,1]
,"4.4.4":[69,1]
,"transient":[69,1]
,"directory\u2019s":[70,1,100,1]
,"servicestate.status":[70,2]
,"efficiently":[70,1,71,1]
,"pending":[70,1,71,1]
,"implementation":[70,1,71,1,73,1]
,"instead":[70,1,71,1,75,1,89,1,92,1,97,1]
,"large":[71,1,101,1]
,"group.status":[71,1]
,"4.4.5":[72,1]
,"removing":[72,1,75,1]
,"remove":[72,1,120,1,132,1,144,1,172,1]
,"mapentry.delete":[72,1]
,"place":[72,1,94,1]
,"lost":[72,1]
,"events":[72,1]
,"occurs":[72,1]
,"cleaned":[72,1]
,"closedrecover":[72,1]
,"practice":[72,1]
,"4.4.6":[73,1]
,"automatic":[73,1]
,"internal":[73,1,86,1]
,"fanout":[73,1]
,"service_state_id.status":[73,1]
,"service_group_id.status":[73,1]
,"service_group_id.mergedtogroup":[73,1]
,"forwarded":[73,1]
,"4.4.7":[74,1]
,"non-existing":[74,1]
,"just":[74,1]
,"5.1":[75,1]
,"optimize":[75,1,123,1,135,1,147,1]
,"reducing":[75,1]
,"constantly":[75,1]
,"communicate":[75,1]
,"techniques":[75,1]
,"reconstruct":[75,1]
,"omitted":[75,1]
,"locally":[75,1]
,"fieldentry":[75,1,76,3,112,1,153,1,159,1,161,1]
,"field\u2019s":[75,1,76,1,84,3,114,1]
,"cache-sizing":[75,1]
,"tables":[75,1,83,1,93,2,95,1]
,"enum":[75,1,84,1,85,1,88,2,89,4,91,1,92,3,96,1]
,"currency":[75,1,124,2,127,2,136,2,139,2,148,2,151,2]
,"listing":[75,1]
,"enumerations":[75,1,81,1]
,"currencies":[75,1]
,"decodes":[75,1]
,"840":[75,1,76,1,92,1]
,"cross":[75,1]
,"copy":[75,1]
,"finds":[75,1,76,1]
,"print":[75,1]
,"usd":[75,1,76,1,92,1]
,"possibly":[75,1,101,1,172,1]
,"meaningful":[75,1]
,"5.2":[76,1,161,1]
,"pre-decoded":[76,1]
,"easily":[76,1]
,"cross-referencing":[76,1]
,"determine":[76,1,100,1,102,1,120,1,156,1]
,"referencing":[76,2]
,"datatypeenum":[76,1]
,":enumenum":[76,1]
,"decoded":[76,1,102,1,112,1,161,1]
,"looks":[76,1]
,"displayable":[76,1,92,1]
,"5.3":[77,1]
,"5.3.1":[77,1,78,1]
,"notified":[77,1]
,"refreshcomplete":[77,1,120,1,156,1]
,"seen":[77,1]
,"verbosity":[77,1,78,1,84,1,92,2,100,1,101,1]
,"according":[77,1,142,1]
,"dictionary_info":[77,1,80,3,101,1]
,"dictionary_minimal":[77,1,80,2]
,"0x03":[77,1]
,"dictionary_normal":[77,1,80,2,100,1]
,"0x07":[77,1]
,"dictionary_verbose":[77,1,80,1]
,"0x0f":[77,1]
,"minimal":[77,1,84,7]
,"verbose":[77,1,92,2]
,"filters":[77,1,80,1]
,"5.4.1":[77,1,80,1]
,"5.3.2":[78,1]
,"sequencing":[78,1,108,1,109,1,119,1,120,1,121,1,131,1,132,1,143,1,144,1,155,1,166,1,167,1]
,"advertised":[78,1]
,"varies":[78,1]
,"dictionary\u2019s":[78,1,79,1,80,2,81,1,100,1,103,2]
,"summarydata":[78,1,81,2,100,1,139,1,151,1,171,1]
,"5.3.3":[79,1]
,"5.4":[80,1,86,1,95,1]
,"correlate":[80,1]
,"bitmap":[80,1]
,"combinations":[80,1]
,"0x6":[80,1]
,"filers":[80,1]
,"dictionary\u0027s":[80,1]
,"mask":[80,1]
,"dictionarytype":[80,1,82,2]
,"payload.summarydata":[80,1,83,1,91,1]
,"0x3":[80,1]
,"plus":[80,2]
,"minimum":[80,1,172,1,173,1]
,"0x7":[80,1]
,"0xf":[80,1]
,"5.4.2":[81,1]
,"map.summarydata":[81,1,124,2,127,1,136,1,139,1,148,2,151,1,160,3]
,"1.0.1":[81,3]
,"versions":[81,1,85,1,95,1,102,1]
,"5.7.2":[81,1,101,1]
,"populate":[81,1]
,"dt_version":[81,3,95,4]
,"tag":[81,1,85,6,86,4,95,9]
,"total":[81,2]
,"28-255":[81,1]
,"dictionary_field_definitions":[81,1,86,1]
,"dictionary_enum_tables":[81,1,95,1]
,"dictionary_record_templates":[81,1]
,"dictionary_display_templates":[81,1]
,"dictionary_data_definitions":[81,1]
,"dictionary_style_sheet":[81,1]
,"dictionary_reference":[81,1]
,"dictionaryid":[81,3,83,11,91,2,98,2]
,"-16383":[81,2,83,2]
,"16383":[81,2,83,2]
,"signifies":[81,1]
,"associate":[81,1]
,"5.4.4":[81,1,83,1]
,"rt_version":[81,2,95,3]
,"template":[81,1,95,1]
,"5.4.3":[82,1]
,"widely":[82,1]
,"elementlists":[82,1,104,1]
,"opaque":[82,1,88,2]
,"5.5.1":[82,1,84,1]
,"5.6.1":[82,1,84,1,92,1,93,1]
,"dictionarytypes":[82,1]
,"external":[82,1]
,"5.5.2":[82,1,85,1,98,1]
,"5.6.2":[82,1,93,1]
,"parsed":[83,1,137,1,139,1]
,"interpret":[83,1]
,"fieldlist\u2019s":[83,2]
,"message\u2019s":[83,1]
,"associates":[83,1,108,1,109,1,110,1,119,1,131,1,143,1,155,1,166,1]
,"family":[83,3,105,1]
,"fielddefinition":[83,3,91,2]
,"consolidated":[83,1]
,"enumtable":[83,1,98,2]
,"recordtemplate":[83,1]
,"displaytemplate":[83,1,85,1,104,2]
,"stylesheet":[83,1,104,2]
,"parsing":[83,1,104,1]
,"interpreting":[83,1,104,1]
,"displaying":[83,1,104,1]
,"fieldlists":[83,2,104,1]
,"timezone":[83,3]
,"world":[83,1]
,"zone":[83,1,127,1,139,1,151,1]
,"dictionaryids":[83,2]
,"selecting":[83,1]
,"switch":[83,1]
,"5.5":[84,1]
,"consists":[84,1,92,1]
,"seriesentry":[84,1,92,1]
,"row":[84,2,85,2]
,"prod_perm":[84,1,85,1,124,1,127,1,136,1,139,1,148,1,151,1,169,1,171,1]
,"short":[84,1]
,"fid":[84,1,85,1,87,2,94,2,96,1]
,"-32768":[84,2]
,"32767":[84,2]
,"rippleto":[84,1,87,1]
,"marketfeed":[84,2,87,2,89,7,90,1]
,"lengtha":[84,1]
,"length":[84,4,85,1,87,4,89,4,90,1,172,2]
,"rwftype":[84,1,87,1,88,2,89,3]
,"datatype":[84,1,87,1]
,"rwflen":[84,1,87,1,89,2]
,"fieldentry\u2019s":[84,1,159,1]
,"encdata":[84,1]
,"suggestion":[84,1]
,"enforced":[84,1]
,"implies":[84,1]
,"enumlength":[84,1,87,1]
,"normal":[84,2,92,3]
,"longname":[84,1,87,1]
,"dde":[84,1,85,1,87,1]
,"plain-text":[85,1,93,1]
,"datum":[85,1]
,"separated":[85,2,93,2]
,"line":[85,1]
,"break":[85,1]
,"columns":[85,1,87,2,93,1]
,"whitespace":[85,1,93,1]
,"lines":[85,1,93,2]
,"beginning":[85,2,95,1]
,"exclamation":[85,1,93,1]
,"len":[85,1,87,1,90,1]
,"uint64":[85,1,88,1,91,1]
,"rdndisplay":[85,1]
,"uint32":[85,1,88,1,89,2,91,1]
,"dsply_name":[85,1]
,"alphanumeric":[85,1,89,6,97,1]
,"rmtes_string":[85,1,88,1,89,2,91,1]
,"rdn_exchid":[85,1]
,"idn":[85,1,95,1,116,1]
,"timact":[85,1]
,"trdprc_1":[85,1]
,"trdprc_2":[85,2]
,"real64":[85,5,88,1,91,1]
,"trdprc_3":[85,2]
,"trdprc_4":[85,2]
,"trdprc_5":[85,2]
,"sample":[85,2,94,1,95,1,105,3,112,2,128,1,140,2,152,1,163,1,171,1]
,"several":[85,1,95,1,127,1,139,1]
,"tagged":[85,2,95,3]
,"versioning":[85,1]
,"loading":[85,1,95,1]
,"file-based":[85,1,95,1]
,"conveyed":[85,1,95,1,112,1]
,"tags":[85,2,95,2]
,"become":[85,1,95,1]
,"below":[85,1,89,1]
,"filename":[85,1,86,2,95,3]
,"rwf.dat":[85,1]
,"desc":[85,1,86,2,95,3]
,"rdfd":[85,1]
,"4.00.14":[85,1]
,"build":[85,1,86,3]
,"002":[85,1]
,"18-nov-2010":[85,1]
,"5.5.2.1":[86,1]
,"release":[86,1,95,1]
,"5.5.2.2":[87,1]
,"notes":[87,1,89,1,90,1,97,1]
,"abbreviated":[87,1]
,"rows":[87,1,93,1]
,"hint":[87,1]
,"5.5.2.3":[88,1]
,"keywords":[88,3,89,2]
,"keyword":[88,1,89,1]
,"ansi_pagea":[88,1]
,"ansi_page":[88,1]
,"arraya":[88,1]
,"ascii_string":[88,1,89,4,91,1]
,"datetimea":[88,1]
,"datetime":[88,1]
,"double":[88,2]
,"element_list":[88,1]
,"elem_lista":[88,1]
,"field_lista":[88,1]
,"filter_lista":[88,1]
,"floata":[88,1]
,"float":[88,1]
,"int32":[88,1,91,1]
,"int64":[88,1,91,1]
,"mapa":[88,1]
,"qosa":[88,1]
,"real":[88,2,89,3,90,2,91,1,127,2,139,2,151,4]
,"real32":[88,1,91,1]
,"seriesa":[88,1]
,"statusa":[88,1]
,"utf8_string":[88,1]
,"utf8":[88,1]
,"vectora":[88,1]
,"xmla":[88,1]
,"5.5.2.4":[89,1]
,"rdmfielddictionary\u2019s":[89,1]
,"derived":[89,1]
,"marketfeed.valid":[89,1]
,"time_seconds":[89,2]
,"thee":[89,1]
,"truncated":[89,1]
,"converted":[89,2]
,"converting":[89,1]
,"overflow":[89,1]
,"mappings":[89,2,90,1]
,"safe":[89,1]
,"ric":[89,3,124,1,127,1]
,"technically":[89,1]
,"2-3":[89,1]
,"1-8":[89,1]
,"3-8":[89,1]
,"base64":[89,4]
,"3-byte":[89,1]
,"171":[89,1]
,"day":[89,1,94,1,127,1,139,1,151,1]
,"month":[89,1]
,"year":[89,1]
,"hour":[89,2]
,"minute":[89,2]
,"second":[89,2,97,1,114,2,151,1]
,"millisecond":[89,1,127,1,139,1,151,1]
,"represent":[89,1,90,1]
,"fractional":[89,1,90,1]
,"denominators":[89,1,90,1]
,"trailing":[89,2,90,1]
,"zeros":[89,1,90,1]
,"decimal":[89,1,90,1,94,7]
,"positions":[89,1,90,1,137,1,139,2]
,"signed":[89,1,90,1,92,1]
,"zero":[89,1,161,1]
,"240-1":[89,1]
,"264-1":[89,1]
,"232-1":[89,1]
,"5.5.2.5":[90,1]
,"fids":[90,1,92,1,96,1]
,"couple":[90,1,102,1]
,"recommendations":[90,1]
,"identifiers":[90,1,163,1,172,1]
,"sign":[90,1]
,"bit":[90,1]
,"5.5.3":[91,1]
,"named":[91,1]
,"datamasks":[91,1]
,"dictionaryverbose":[91,1]
,"dictionarynormal":[91,1]
,"5.6":[92,1]
,"representing":[92,1]
,"1084":[92,1]
,"1085":[92,1]
,"fieldid\u2019s":[92,1]
,"ommarray.fixedwidth":[92,2]
,"826":[92,1]
,"fieldentries":[92,1]
,"stringascii":[92,1]
,"stringrmtes":[92,1]
,"stringutf8":[92,1]
,"gbp":[92,1]
,"hexadecimal":[92,1,97,1]
,"hash":[92,1,97,1]
,"marks":[92,2,97,2]
,"quotation":[92,1,97,1]
,"42fe":[92,1,97,1]
,"pound":[92,1]
,"sterling":[92,1]
,"dollar":[92,1]
,"enumtype.def":[93,1,95,2,98,1]
,"excepting":[93,1]
,"quoted":[93,1,97,1]
,"strings":[93,1]
,"illustrated":[93,1]
,"respective":[93,1,161,1]
,"5.6.2.1":[94,1]
,"-------":[94,6]
,"---":[94,2]
,"big_figure":[94,1]
,"6207":[94,1]
,"pips_pos":[94,1]
,"6208":[94,1]
,"-----":[94,2]
,"whole":[94,1]
,"1dp":[94,1]
,"2dp":[94,1]
,"places":[94,6]
,"3dp":[94,1]
,"4dp":[94,1]
,"5dp":[94,1]
,"6dp":[94,1]
,"7dp":[94,1]
,"matur_unit":[94,1]
,"2378":[94,1]
,"undefined":[94,1]
,"years":[94,1]
,"mth":[94,1]
,"months":[94,1]
,"weeks":[94,1]
,"days":[94,1]
,"5.6.2.2":[95,1]
,"enumtype.001":[95,1]
,"marketstream":[95,1]
,"4.20.17":[95,1]
,"15.41":[95,1]
,"5-feb-2017":[95,1]
,"regarding":[95,1]
,"compatibility":[95,1]
,"5.6.2.3":[96,1]
,"matching":[96,1]
,"enumtype":[96,1,97,1]
,"5.6.2.4":[97,1]
,"expanded":[97,1]
,"5.6.3":[98,1]
,"parsers":[98,1]
,"fielddictionary":[98,1]
,"5.7":[99,1]
,"5.7.1":[100,1]
,"dynamically":[100,1]
,"discover":[100,1]
,"minimizing":[100,1]
,"amount":[100,1]
,"downloaded":[100,1]
,"helpful":[100,1]
,"acquired":[100,1]
,"unneeded":[100,1]
,"verbosities":[101,1]
,"tend":[101,1]
,"dotted-decimal":[101,1]
,"major":[101,2,102,5,103,1]
,"minor":[101,2,102,2,103,1]
,"third":[101,1]
,"micro-version":[101,2]
,"1.2.3":[101,1]
,"5.7.2.1":[102,1]
,"adds":[102,1,167,1]
,"modify":[102,1]
,"unable":[102,1]
,"latest":[102,1,103,1]
,"data\u2019s":[102,1]
,"compatible":[102,1]
,"learns":[102,1]
,"retrieve":[102,1]
,"5.7.2.2":[103,1]
,"keep":[103,1,143,1,172,1]
,"disconnect":[103,1]
,"entirely":[103,1]
,"resynchronized":[103,1]
,"5.8":[104,1]
,"versionable":[104,1]
,"rarely":[104,1]
,"specifications":[104,2]
,"screen":[104,1]
,"datadefinition":[104,2]
,"elementlistdefs":[104,1]
,"fieldlistdefs":[104,1]
,"setdefinitions":[104,1]
,"xslt":[104,1]
,"css":[104,1]
,"style":[104,1]
,"sheet":[104,1]
,"5.9":[105,1]
,"dictionaryid\u2019s":[105,1]
,"doesn\u2019t":[105,1]
,"6.1":[106,1]
,"top-of-book":[106,1]
,"field-value":[106,1]
,"pairs":[106,1]
,"6.2":[107,1]
,"6.2.1":[107,1]
,"ends":[107,1]
,"stop":[107,1,118,1,130,1,142,1,154,1]
,"conflatedinupdates":[107,1,118,1,130,1,142,1,154,1]
,"satisfied":[107,1,118,1,130,1,142,1,154,1]
,"encounters":[107,1,130,1,142,1,154,1]
,"claim":[107,1,118,1,130,1,142,1,154,1]
,"request.qos":[107,1,118,1,130,1,142,1,154,1]
,"upon":[107,1,118,1,130,1,142,1,154,1]
,"timeliness":[107,1,118,1,130,1,142,1,154,1]
,"wishes":[107,2,108,2,118,1,130,1,142,1,154,1,155,1]
,"instrument_name_ric":[107,2,108,1,109,1,110,1,118,2,119,1,120,1,121,1,130,2,131,1,132,1,133,1,142,2,143,1,144,2,145,2,154,2,155,1,156,1,157,1,165,2,166,1,167,2,168,1]
,"instrument":[107,1,118,1,130,1,142,1,154,1,165,1,171,1]
,"appendix":[107,1,118,1,130,1,142,1,154,1,165,1,172,1,174,1]
,"6.2.2":[108,1]
,"blank":[108,1,115,1,155,1]
,"responding":[108,1,155,1]
,"reason":[108,1,155,1]
,"currently-present":[108,1,155,1]
,"multi-part":[108,1,119,1,131,1,143,1,155,1,166,1]
,"msgkeyinupdates":[108,1,109,5,110,5,119,1,120,5,121,5,131,1,132,5,133,5,143,1,144,5,145,5,155,1,156,5,157,5,167,5,168,5]
,"consist":[108,1,109,1,155,1,156,1]
,"6.2.3":[109,1]
,"instrument_update_unspecified":[109,1,120,1,132,1,144,1,156,1]
,"instrument_update_quote":[109,1,120,1,132,1,144,1,156,1]
,"instrument_update_trade":[109,1]
,"instrument_update_news_alert":[109,1]
,"instrument_update_volume_alert":[109,1]
,"instrument_update_order_indication":[109,1]
,"instrument_update_closing_run":[109,1]
,"instrument_update_correction":[109,2]
,"instrument_update_market_digest":[109,1]
,"instrument_update_quotes_trade":[109,1]
,"instrument_update_multiple":[109,1]
,"instrument_update_verify":[109,1]
,"updverify":[109,1]
,"donotripple":[109,1,114,1]
,"conflate":[109,1,120,1,132,1,156,1,167,1]
,"reqmsg.conflatedinupdates":[109,2,120,2,132,2,144,2,156,2,167,2]
,"interval":[109,1,120,1,132,1,144,1,156,1,167,1]
,"milliseconds":[109,1,120,1,132,1,144,1,156,1,167,1]
,"6.2.4":[110,1]
,"6.2.5":[111,1]
,"6.3":[112,1]
,"piece":[112,1]
,"checking":[112,1,161,1,169,1]
,"fieldentry.loadtype":[112,1]
,"retrieving":[112,1]
,"marketprice":[112,1,113,1,115,2,116,1]
,"6.4":[113,1]
,"6.4.1":[113,1]
,"few":[113,1]
,"6.4.2":[114,1]
,"former":[114,2]
,"turn":[114,1,144,1]
,"reflect":[114,1]
,"rippled":[114,1]
,"determined":[114,1]
,"venue":[114,1,171,1]
,"ripple-to":[114,1]
,"6.5":[115,1]
,"siac":[115,1]
,"nasdaq":[115,1,127,1,151,1]
,"opra":[115,1,171,3]
,"6.6":[116,1]
,"legacy":[116,1]
,"records":[116,4]
,"structured":[116,1]
,"page":[116,2]
,"historical":[116,1]
,"chains":[116,2]
,"indices":[116,1]
,"ranked":[116,1]
,"segment":[116,1]
,"sales":[116,1]
,"news":[116,1]
,"stories":[116,1]
,"7.1":[117,1]
,"order\u2019s":[117,1]
,"mmt_market_by_order":[117,1,118,1,119,1,120,1,121,1]
,"7.2":[118,1]
,"7.2.1":[118,1]
,"makes":[118,1,154,1]
,"end":[118,1,130,1]
,"encountering":[118,1]
,"7.2.2":[119,1]
,"7.2.3":[120,1]
,"add":[120,1,132,1,144,1]
,"application\u2019s":[120,1,156,1]
,"applicable":[120,1,156,1]
,"holds":[120,1]
,"7.2.4":[121,1]
,"7.2.5":[122,1]
,"7.3":[123,1]
,"7.3.1":[123,1]
,"putting":[123,1,135,1,147,1]
,"optimal":[123,1,135,1,147,1]
,"performance":[123,1,135,1,147,1]
,"packed":[123,1,128,1,135,1,140,1,147,1,152,1]
,"6000":[123,1,135,1,147,1]
,"bytes":[123,1,135,1,147,1]
,"split":[123,1,135,1,147,1]
,"map.totalcounthint":[123,1,127,1,135,1,139,1,147,1,151,1,171,1]
,"datadefinitions":[123,1,127,1,135,1,139,1,147,1,151,1,159,1,171,1]
,"marketbyorder":[123,1,127,1,128,1]
,"7.3.2":[124,1]
,"units":[124,1,127,1,136,1,139,1,148,1,151,1]
,"precision":[124,1,127,1,136,1,139,1,148,1,151,1]
,"trd_units":[124,1,127,1,136,1,139,1,148,1,151,1]
,"mkt_st_ind":[124,1,127,1,136,1,139,1,148,1,151,1]
,"placed":[124,1,127,1,136,1,139,1,148,1,151,1]
,"rdn_exchd2":[124,1,127,1,136,1,139,1,148,1,151,1]
,"ranking":[124,2,127,2,136,1,148,1,151,1]
,"pr_rnk_rul":[124,1,127,1,136,1,148,1,151,1]
,"or_rnk_rul":[124,1,127,1]
,"quote_date":[124,1,136,1,148,1]
,"underlying":[124,1,127,1]
,"equity":[124,1,127,1]
,"stock_ric":[124,1,127,1]
,"7.3.3":[125,1]
,"mapentry.key":[125,1,127,1,137,1,139,1]
,"mapentry.keyfieldid":[125,1,151,1]
,"order_id":[125,1,127,2]
,"repeated":[125,1,149,1]
,"mapentry.value":[125,2,139,2]
,"order_prc":[125,1,127,1,137,1,139,1]
,"order_side":[125,1,127,1,137,1,139,1]
,"bidsize":[125,1,137,1,149,1,151,1]
,"asksize":[125,1,137,1,149,1,151,1]
,"order_size":[125,1,127,1,137,1,139,1]
,"qualifiers":[125,1,149,1]
,"prc_ql_cd":[125,1,149,1,151,1]
,"prc_ql2":[125,1,149,1,151,1]
,"mkt_mkr_id":[125,1,149,1,151,2]
,"mmid":[125,1,137,1,139,1,149,1,151,1]
,"quotim_ms":[125,1,127,1,137,1,139,1,149,1,151,1]
,"7.4":[126,1]
,"7.5":[127,1]
,"markets":[127,1,139,1]
,"totalview":[127,1]
,"archipelago":[127,1,139,1]
,"ecn":[127,2,139,2]
,"instinet":[127,1,139,1]
,"until":[127,1,139,1,151,1]
,"resposne":[127,1]
,"133":[127,1,139,1,151,1]
,"1709":[127,1,139,1,151,1]
,"3423":[127,1,151,1]
,"3425":[127,1]
,"1026":[127,1]
,"map.keyfieldid":[127,2,149,1,151,1,171,1]
,"mapentry.data":[127,1,137,1,149,1,151,1]
,"3427":[127,1,139,1]
,"3428":[127,1,139,1]
,"buy":[127,1,139,2]
,"sell":[127,1,139,2]
,"3429":[127,1,139,1]
,"3426":[127,2]
,"mapentry.keydata":[127,1,139,1]
,"3855":[127,1,139,1,151,1]
,"gmt":[127,2,139,2,151,2]
,"fieldlist.dictid":[127,1,139,1,151,1]
,"7.6":[128,1]
,"differences":[128,1,140,1,152,1]
,"8.1":[129,1]
,"mmt_market_by_price":[129,1,130,1,131,1,132,1,133,1]
,"8.2":[130,1]
,"8.2.1":[130,1]
,"8.2.2":[131,1]
,"8.2.3":[132,1]
,"update\u2019s":[132,1]
,"marketbyprice":[132,1,135,1,140,1]
,"8.2.4":[133,1]
,"8.2.5":[134,1]
,"8.3":[135,1]
,"8.3.1":[135,1]
,"8.3.2":[136,1]
,"8.3.3":[137,1]
,"mapentry.key\u2019s":[137,2,139,1,149,1,151,1]
,"treated":[137,1,139,1]
,"entity":[137,1,139,1]
,"meant":[137,1,139,1]
,"aggregated":[137,1,139,2]
,"no_ord":[137,1,139,1]
,"8.4":[138,1]
,"8.5":[139,1]
,"market_by_price":[139,1]
,"nyse":[139,1]
,"openbook":[139,1]
,"3430":[139,1]
,"venues":[139,1]
,"extra":[139,1,159,2]
,"keyfieldid":[139,1]
,"3435":[139,1,151,1]
,"mapentry.value\u2019s":[139,1]
,"nodata":[139,1]
,"8.6":[140,1]
,"respmsg.complete":[140,1]
,"9.1":[141,1]
,"mmt_market_maker":[141,1,142,1,143,1,144,1,145,1]
,"9.2":[142,1]
,"9.2.1":[142,1]
,"reverts":[142,1]
,"9.2.2":[143,1]
,"mind":[143,1]
,"9.2.3":[144,1]
,"9.2.4":[145,1]
,"9.2.5":[146,1]
,"9.3":[147,1]
,"9.3.1":[147,1]
,"marketmaker":[147,1,152,1]
,"9.3.2":[148,1]
,"9.3.3":[149,1]
,"houses":[149,1,161,1]
,"mkt_source":[149,1,151,1]
,"mkt_mkr_nm":[149,1,151,1]
,"9.4":[150,1]
,"9.5":[151,1]
,"market_maker":[151,1]
,"212":[151,2]
,"rmtesstring":[151,2]
,"213":[151,1]
,"city":[151,1]
,"214":[151,1]
,"118":[151,1]
,"qualifier":[151,2]
,"131":[151,1]
,"9.6":[152,1]
,"10.1":[153,1]
,"maturity":[153,1,161,4]
,"documents":[153,1]
,"mmt_yield_curve":[153,1,154,1,155,1,156,1,157,1]
,"10.2":[154,1]
,"10.2.1":[154,1]
,"required.specifies":[154,1]
,"leveraging":[154,1,165,1]
,"10.2.2":[155,1]
,"fieldentrys":[155,1,156,1]
,"aware":[155,1,156,1]
,"proper":[155,1,156,1]
,"10.2.3":[156,1]
,"10.2.4":[157,1]
,"10.2.5":[158,1]
,"10.3":[159,1]
,"10.3.1":[159,1]
,"crv_type":[159,1]
,"algorithm":[159,1]
,"crv_algthm":[159,1]
,"interpolation":[159,1]
,"inter_mthd":[159,1]
,"extrapolation":[159,1]
,"extrp_mthd":[159,1]
,"broken":[159,1]
,"inputs":[159,2,161,1]
,"non-sorted":[159,2]
,"cash":[159,1,161,2]
,"cash_rates":[159,1,161,1]
,"futr_prcs":[159,1,161,1]
,"swap":[159,1,161,3]
,"swap_rates":[159,1,161,1]
,"outputs":[159,2,161,1]
,"yld_curve":[159,1,161,1]
,"meta":[159,3]
,"ex_met_dat":[159,1]
,"needing":[159,1]
,"owner":[159,1]
,"10.3.2":[160,1]
,"tenors":[160,2]
,"10.3.3":[161,1]
,"settlement":[161,3]
,"cash_sdate":[161,1]
,"cash_mdate":[161,1]
,"basis":[161,2]
,"cash_basis":[161,1]
,"pricing":[161,1]
,"futr_sdate":[161,1]
,"futr_mdate":[161,1]
,"futr_basis":[161,1]
,"swap_sdate":[161,1]
,"swap_mdate":[161,1]
,"swap_rate_val":[161,1]
,"roll":[161,2]
,"swap_rdate":[161,1]
,"spread":[161,4]
,"sprd_rates":[161,1]
,"frequency":[161,1]
,"sprd_freq":[161,1]
,"sprd_mdate":[161,1]
,"sprd_rate":[161,1]
,"sprd_rdate":[161,1]
,"yct_zrate":[161,1]
,"yct_fwrate":[161,1]
,"discount":[161,1]
,"factor":[161,1]
,"yct_disfac":[161,1]
,"10.4":[162,1]
,"10.5":[163,1]
,"consumes":[163,1]
,"11.1":[164,1]
,"11.2":[165,1]
,"11.2.1":[165,1]
,"additions":[165,1]
,"removals":[165,1]
,"conflateinupdates":[165,1]
,"11.2.2":[166,1]
,"11.2.3":[167,1]
,"removes":[167,1]
,"11.2.4":[168,1]
,"11.3":[169,1]
,"supporting":[169,1]
,"encodes":[169,1]
,"domaintypethe":[169,1]
,"asciistring":[169,1]
,"frequently":[169,1]
,"prov_symb":[169,1,171,1]
,"3422":[169,1,171,1]
,"11.4":[170,1]
,"11.5":[171,1]
,"150":[171,1]
,"mapentry\u2019s":[171,2]
,"request\u2019s":[171,1]
,"venue\u2019s":[171,1]
,"hierarchical":[171,1]
,"symbollists":[171,2]
,"start":[171,1]
,"a.1":[172,1]
,"factors":[172,1]
,"aggregation":[172,1]
,":viewtype":[172,3]
,":viewdata":[172,3]
,"reissuing":[172,1]
,"wanting":[172,1]
,"re-issuing":[172,1]
,"vt_field_id_list":[172,2]
,"vt_element_name_list":[172,1]
,"fixed":[172,1]
,"a.2":[173,1]
,":itemlist":[173,2]
,"max":[173,1]
,"a.3":[174,1]
,"getting":[174,1,176,3]
,"belonging":[174,2]
,"a.3.1":[174,1,175,1]
,":symbollistbehaviors":[175,2,176,3]
,"datastreams":[175,1]
,"a.3.2":[176,1]
,":datastreams":[176,2]
,"bit-masks":[176,1]
,"snap-shots":[176,1]
},
"synonyms":
{
}
}
;Search.control.advance(info);
